/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2007 The LS-Universe Team

    Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#include "stdafx.h"
#include "GhostLabel.h"

GhostLabel::GhostLabel() :
	strConfiguration(""),

	strName(""),
	strLabelGroup(""),

	strOrgX("0"),
	strOrgY("0"),
	iX(0),
	iY(0),

	strOrgWidth("20"),
	strOrgHeight("20"),
	iWidth(20),
	iHeight(20),

	pNormalTexture(NULL),
	pHoverTexture(NULL),
	pPressedTexture(NULL),

	pNormalText(NULL),
	pHoverText(NULL),
	pPressedText(NULL),
	
	strOriginalText(""),
	strText(""),

	bNormal(false),
	bHover(false),
	bPressed(false),

	bIsHover(false),
	bIsPressed(false),

	bStandalone(false),

	strEnterCommand(""),
	strLeaveCommand(""),

	bNoEscape(false),

	bMouseInside(false),
	
	bVisible(false)
{
	pNormalTexture = Create_xTextureClass();
	pHoverTexture = Create_xTextureClass();
	pPressedTexture = Create_xTextureClass();

	pNormalText = Create_xHTMLTextClass();
	pHoverText = Create_xHTMLTextClass();
	pPressedText = Create_xHTMLTextClass();
}

GhostLabel::~GhostLabel()
{
	if (pNormalTexture)
		Destroy_xTextureClass(pNormalTexture);
	if (pHoverTexture)
		Destroy_xTextureClass(pHoverTexture);
	if (pPressedTexture)
		Destroy_xTextureClass(pPressedTexture);

	pNormalTexture = NULL;
	pHoverTexture = NULL;
	pPressedTexture = NULL;

	if (pNormalText)
		Destroy_xHTMLTextClass(pNormalText);
	if (pHoverText)
		Destroy_xHTMLTextClass(pHoverText);
	if (pPressedText)
		Destroy_xHTMLTextClass(pPressedText);

	pNormalText = NULL;
	pHoverText = NULL;
	pPressedText = NULL;
}

