/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2007 The LS-Universe Team

    Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#include "StdAfx.h"
#include "Label.h"

#include "GhostLabel.h"

#include "verinfo.h"

#include "shlobj.h"
#include "shlwapi.h"

#define GET_X_LPARAM(lp) ((int)(short)LOWORD(lp))
#define GET_Y_LPARAM(lp) ((int)(short)HIWORD(lp))

//MouseWheel
//-----------------------------------------------------
#ifndef WM_MOUSEWHEEL
	#define WM_MOUSEWHEEL 0x020A
#endif
//-----------------------------------------------------

//XBUTTONS
//-----------------------------------------------------
#ifndef WM_XBUTTONDOWN
  #define WM_XBUTTONDOWN 0x020B
#endif
#ifndef WM_XBUTTONUP
  #define WM_XBUTTONUP 0x020C
#endif

#ifndef WM_XBUTTONDBLCLK
  #define WM_XBUTTONDBLCLK 0x020D
#endif

#ifndef MK_XBUTTON1  
   #define MK_XBUTTON1 0x0020
#endif
#ifndef MK_XBUTTON2  
   #define MK_XBUTTON2 0x0040
#endif
#ifndef XBUTTON1  
   #define XBUTTON1 0x0001
#endif
#ifndef XBUTTON2
  #define XBUTTON2 0x0002
#endif
//-----------------------------------------------------

#ifndef CLEARTYPE_QUALITY
	#define CLEARTYPE_QUALITY       5
#endif

//Ballon Tooltip
//-----------------------------------------------------
#ifndef TTS_BALLOON
	#define TTS_BALLOON 0x40
#endif
//-----------------------------------------------------

//Timers
//-----------------------------------------------------
#define TIMER_MOUSETRACK 1
#define TIMER_UPDATE 2
#define TIMER_SCROLL 3
#define TIMER_AUTOHIDE 4
#define TIMER_ALPHAFADEIN 5
#define TIMER_ALPHAFADEOUT 6
#define TIMER_FRAMEANIMATION 7
#define TIMER_SCROLLPAUSE 8
#define TIMER_ALPHAFADEUPBANG 15
#define TIMER_ALPHAFADEDOWNBANG 16
//-----------------------------------------------------

//SendMessage
//-----------------------------------------------------
#define LM_SETLABELTEXT 9600
#define LM_SETCURSOR    9610
#define LM_TEXTEDITBOX  9650
//-----------------------------------------------------

//Alpha Transparency
//-----------------------------------------------------
#ifndef WS_EX_LAYERED
	#define WS_EX_LAYERED           0x00080000L
	#define LWA_COLORKEY            0x00000001L
	#define ULW_COLORKEY            0x00000001L
	#define LWA_ALPHA               0x00000002L
	#define ULW_ALPHA               0x00000002L
	#define ULW_OPAQUE              0x00000003L
#endif // WS_EX_LAYERED

#ifndef AC_SRC_ALPHA
	#define AC_SRC_ALPHA            0x00000001L
#endif

typedef BOOL (WINAPI *PULW)(HWND hwnd, HDC hdcDst, POINT *pptDst, SIZE *psize, HDC hdcSrc, POINT *pptSrc, COLORREF crKey, BLENDFUNCTION *pblend, DWORD dwFlags);
typedef DWORD (WINAPI *PSLWA)(HWND, DWORD, BYTE, DWORD);

static PULW pUpdateLayeredWindow = NULL;
static PSLWA pSetLayeredWindowAttributes = NULL;

static BOOL alphaInitialized = FALSE;
//-----------------------------------------------------

extern LRESULT WINAPI TextEditProc(HWND hText, UINT msg, WPARAM wParam, LPARAM lParam);

extern int bitsperpixel;

extern LabelList labelList;

Label::Label(const string &name) : 
    actualx(0),actualy(0),actualwidth(0),actualheight(0),
	ParentDestroyNotificationReceived(false), alwaysOnTop(false), focusActive(false), 
	hWnd(0), hInstance(0), box(0), hWndTextBox(0), hTextBGBrush(0), 
	oldbackupBMP(NULL), backupDC(NULL), backupBitmap(NULL),
	sender(0),
	pTooltip(NULL),
	hWndTooltip(0),
	cursor(0), textcursor(0), handcursor(0),
	bTrueTransparency(false),
	bLabelInitialized(false),
	bDisablezOrderChange(true),
	normalbackground(0), hoverbackground(0), pressedbackground(0),
	normalanim(0), hoveranim(0),
	texteditboxbackground(0),
	normalfont(0), hoverfont(0), pressedfont(0),
	hasHookedModules(false),
	hoverActive(false),	pressedActive(false), useHover(false), usePressed(false),
	bMousePressed(false), bMouseInside(false), bMouseInside2(false), bMouseInsideHREF(false),
	bMoveModifierKeyPressed(false), iMoveButtonPressed(0), bUseCustomMoveArea(false), iMoveRestriction(0),
	skipButton(false),
	autoHideIsRunning(false),
	bHasMoved(false),
	dockedtoSide(-1),
	bVisible(false),
	dynamicText(false), dynamicTooltip(false),
	text(""), originalTextBackup(""),
	current(0),	currentBackup(0),

	oldWidth(-1), oldHeight(-1),
	iScroll(0), iScrollBackup(1), bScrollingPaused(true), iScrollLimit(0), iScrollPosition(0), bFrozenScroll(false), bSkipScrollRepaint(false), bRestartScrollRepaint(false), iScrollPause(0), iScrollSteps(0), iScrollActualStep(1), iScrollStepsInitial(0),
	
	resizeCommand(""),
	moveCommand(""),

	//AlphaFade
	alphaFadeBangStep(2),

	//Animations
	iFrameCounter(0), iLoopCounter(-1), iHoverLoopCounter(-1), normalAnim(false), hoverAnim(false),

	bLayeredFlag(false), iUpdateAlpha(0), alphaMap(false), fakealphaMap(false), alphaFadeStep(2), alphaFadeDelay(10),

	bUseResizeBorder(false),	iResizeBorderLeft(-1), iResizeBorderRight(-1), iResizeBorderTop(-1), iResizeBorderBottom(-1),
	bResizeBorderResize(true),

	//TextEdit Box
	textboxhFont(0), textboxXOrg(""), textboxYOrg(""), textboxWidthOrg(""),	textboxHeight(0),
	textboxVisible(false), tebleftBorder(0), tebrightBorder(0),	tebtopBorder(0), tebbottomBorder(0)
{
	strName = name;

	ptResizeStepSize.x = ptResizeStepSize.y = 0;

	ptSavedMovePoint.x = ptSavedMovePoint.y = 0;

	rectCustomMoveArea.left = rectCustomMoveArea.right = rectCustomMoveArea.top = rectCustomMoveArea.bottom = 0;

	normalbackground = Create_xTextureClass();
	hoverbackground = Create_xTextureClass();
	pressedbackground = Create_xTextureClass();

	normalfont = Create_xHTMLTextClass();
	hoverfont = Create_xHTMLTextClass();
	pressedfont = Create_xHTMLTextClass();
}

Label::~Label()
{
	if (cursor && !cursorPath.empty())
		DestroyCursor(cursor);
	if (handcursor)
		DestroyCursor(handcursor);

	if (pTooltip)
	{
		Destroy_xTooltipClass(pTooltip);
		pTooltip = NULL;
	}

	CleanupPointers();

	if (hWndTextBox)
	{
		if ( textcursor )
		{
			DestroyCursor(textcursor);
			textcursor = NULL;
		}

        // Remove the subclass from the edit control. 
        SetWindowLong(hWndTextBox, GWL_WNDPROC, (LONG) wpOrigEditProc); 

		if ( hTextBGBrush )
		{
			DeleteObject(hTextBGBrush);
			hTextBGBrush = NULL;
		}

		if ( textboxhFont )
		{
			DeleteObject(textboxhFont);
			textboxhFont = NULL;
		}
		
		DestroyWindow(hWndTextBox);
		hWndTextBox = NULL;
	}

	if(IsWindow(hWnd))
	{
		KillTimer(hWnd, TIMER_MOUSETRACK);
		KillTimer(hWnd, TIMER_UPDATE);
		KillTimer(hWnd, TIMER_SCROLL);
		KillTimer(hWnd, TIMER_AUTOHIDE);
		KillTimer(hWnd, TIMER_ALPHAFADEIN);
		KillTimer(hWnd, TIMER_ALPHAFADEOUT);
		KillTimer(hWnd, TIMER_FRAMEANIMATION);
		KillTimer(hWnd, TIMER_SCROLLPAUSE);
		KillTimer(hWnd, TIMER_ALPHAFADEUPBANG);
		KillTimer(hWnd, TIMER_ALPHAFADEDOWNBANG);

		DestroyWindow(hWnd);
	}

	if ( backupBitmap )
	{
		backupBitmap = (HBITMAP) SelectObject(backupDC, oldbackupBMP);
		DeleteObject(backupBitmap);
	}
	if ( backupDC )
		DeleteDC(backupDC);
	if ( oldbackupBMP )
		DeleteObject(oldbackupBMP);

	backupDC = NULL;
	backupBitmap = NULL;
	oldbackupBMP = NULL;

	if ( scrollBitmap )
	{
		scrollBitmap = (HBITMAP) SelectObject(scrollDC, oldscrollBMP);
		DeleteObject(scrollBitmap);
	}
	if ( scrollDC )
		DeleteDC(scrollDC);
	if ( oldscrollBMP )
		DeleteObject(oldscrollBMP);

	scrollDC = NULL;
	scrollBitmap = NULL;
	oldscrollBMP = NULL;

	if (normalbackground)
		Destroy_xTextureClass(normalbackground);
	if (hoverbackground)
		Destroy_xTextureClass(hoverbackground);
	if (pressedbackground)
		Destroy_xTextureClass(pressedbackground);

	normalbackground = NULL;
	hoverbackground = NULL;
	pressedbackground = NULL;

	if (normalanim)
		Destroy_xTextureClass(normalanim);
	if (hoveranim)
		Destroy_xTextureClass(hoveranim);

	normalanim = NULL;
	hoveranim = NULL;
	
	if (normalfont)
		Destroy_xHTMLTextClass(normalfont);
	if (hoverfont)
		Destroy_xHTMLTextClass(hoverfont);
	if (pressedfont)
		Destroy_xHTMLTextClass(pressedfont);

	normalfont = NULL;
	hoverfont = NULL;
	pressedfont = NULL;

	if ( texteditboxbackground )
		Destroy_xTextureClass(texteditboxbackground);
	
	texteditboxbackground = NULL;
}

void Label::CleanupPointers()
{
	//Delete All GhostLabel Pointers
	for(GhostLabelListIterator glit = ghostlabelList.begin(); glit != ghostlabelList.end(); glit++)
	{
		delete *glit;
		*glit = NULL;
	}
	ghostlabelList.clear();

	//Delete All Label_Region Pointers
	Label_RegionListIterator llit;
	for(llit = labelGhostRegions.begin(); llit != labelGhostRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelGhostRegions.clear();
	
	//Left Click Regions
	for(llit = labelLeftClickRegions.begin(); llit != labelLeftClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelLeftClickRegions.clear();
	
	for(llit = labelLeftDoubleClickRegions.begin(); llit != labelLeftDoubleClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelLeftDoubleClickRegions.clear();
	
	//Middle Click Regions
	for(llit = labelMiddleClickRegions.begin(); llit != labelMiddleClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelMiddleClickRegions.clear();

	for(llit = labelMiddleDoubleClickRegions.begin(); llit != labelMiddleDoubleClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelMiddleDoubleClickRegions.clear();

	//Right Click Regions
	for(llit = labelRightClickRegions.begin(); llit != labelRightClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelRightClickRegions.clear();

	for(llit = labelRightDoubleClickRegions.begin(); llit != labelRightDoubleClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelRightDoubleClickRegions.clear();

	//X1 Click Regions
	for(llit = labelX1ClickRegions.begin(); llit != labelX1ClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelX1ClickRegions.clear();

	for(llit = labelX1DoubleClickRegions.begin(); llit != labelX1DoubleClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelX1DoubleClickRegions.clear();

	//X2 Click Regions
	for(llit = labelX2ClickRegions.begin(); llit != labelX2ClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelX2ClickRegions.clear();

	for(llit = labelX2DoubleClickRegions.begin(); llit != labelX2DoubleClickRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelX2DoubleClickRegions.clear();

	//Tooltip Regions 
	for(llit = labelTooltipRegions.begin(); llit != labelTooltipRegions.end(); llit++)
	{
		delete *llit;
		*llit = NULL;
	}
	labelTooltipRegions.clear();

	//Delete All ModClick Pointers
	//------------------------------------------------------------------------------------------------
	ModClickListIterator mlit;
	// Left
	for(mlit = leftModClickList.begin(); mlit != leftModClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	leftModClickList.clear();

	for(mlit = leftModClickUpList.begin(); mlit != leftModClickUpList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	leftModClickUpList.clear();

	for(mlit = leftModClickDownList.begin(); mlit != leftModClickDownList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	leftModClickDownList.clear();

	for(mlit = leftModDoubleClickList.begin(); mlit != leftModDoubleClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	leftModDoubleClickList.clear();

	// Middle
	for(mlit = middleModClickList.begin(); mlit != middleModClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	middleModClickList.clear();

	for(mlit = middleModClickUpList.begin(); mlit != middleModClickUpList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	middleModClickUpList.clear();

	for(mlit = middleModClickDownList.begin(); mlit != middleModClickDownList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	middleModClickDownList.clear();

	for(mlit = middleModDoubleClickList.begin(); mlit != middleModDoubleClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	middleModDoubleClickList.clear();

	// Right
	for(mlit = rightModClickList.begin(); mlit != rightModClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	rightModClickList.clear();

	for(mlit = rightModClickUpList.begin(); mlit != rightModClickUpList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	rightModClickUpList.clear();

	for(mlit = rightModClickDownList.begin(); mlit != rightModClickDownList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	rightModClickDownList.clear();

	for(mlit = rightModDoubleClickList.begin(); mlit != rightModDoubleClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	rightModDoubleClickList.clear();

	// X1
	for(mlit = X1ModClickList.begin(); mlit != X1ModClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	X1ModClickList.clear();

	for(mlit = X1ModClickUpList.begin(); mlit != X1ModClickUpList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	X1ModClickUpList.clear();

	for(mlit = X1ModClickDownList.begin(); mlit != X1ModClickDownList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	X1ModClickDownList.clear();

	for(mlit = X1ModDoubleClickList.begin(); mlit != X1ModDoubleClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	X1ModDoubleClickList.clear();

	// X2
	for(mlit = X2ModClickList.begin(); mlit != X2ModClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	X2ModClickList.clear();

	for(mlit = X2ModClickUpList.begin(); mlit != X2ModClickUpList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	X2ModClickUpList.clear();

	for(mlit = X2ModClickDownList.begin(); mlit != X2ModClickDownList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	X2ModClickDownList.clear();

	for(mlit = X2ModDoubleClickList.begin(); mlit != X2ModDoubleClickList.end(); mlit++)
	{
		delete *mlit;
		*mlit = NULL;
	}
	X2ModDoubleClickList.clear();
}

void Label::load(HINSTANCE hInstance, HWND box, bool dropShadow)
{
	this->hInstance = hInstance;
	
	if (IsWindow(box))
	{
		this->box = box;
	}
	else
	{
		this->box = NULL;
	}
	
	if (IsWindow(hWnd))	// window already exists...
		return;

	if (!IsOS(OS_XP))
		dropShadow = false;

	hWnd = CreateWindowEx( (box ? 0 : WS_EX_TOOLWINDOW),
							(dropShadow ? "xLabelXP" : "xLabel"),
							strName.c_str(),
							(box ? WS_CHILD : WS_POPUP) | WS_CLIPCHILDREN,
							actualx, actualy,		
							actualwidth, actualheight,
							(box ? box : GetLitestepWnd()), 
							NULL,
							hInstance,
							this);
		
	if (hWnd)
	{
		PrefixedLSSetVariable(strName, "CurrentHWND", IntToString( (int) hWnd ));

		SetWindowLong(hWnd, GWL_USERDATA, MAGIC_DWORD);

		reconfigure();
	}
	else
	{
		delete this;
	}
}

void Label::reconfigure(bool refresh)
{
	const NameValuePair keyValues[] = {
		{ ".none", -1 },
		{ ".ctrl", 1 },
		{ ".shift", 2 },
		{ ".ctrl+shift", 3 },
		{ ".shift+ctrl", 3 },
		{ "none", -1 },
		{ "ctrl", 1 },
		{ "shift", 2 },
		{ "ctrl+shift", 3 },
		{ "shift+ctrl", 3 },
		{ 0, 0 }
	};

	const NameValuePair buttonValues[] = {
		{ ".left", 1 },
		{ ".right", 2 },
		{ ".middle", 3 },
		{ "left", 1 },
		{ "right", 2 },
		{ "middle", 3 },
		{ 0, 0 }
	};

	const NameValuePair moverestrictionValues[] = {
		{ "horizontal", 1},
		{ "vertical", 2},
		{ ".horizontal", 1},
		{ ".vertical", 2},
		{ 0, 0 }
	};

	const NameValuePair autoWidthValues[] = {
		{ "left", 1 },
		{ "right", 2 },
		{ "center", 3 },
		{ ".left", 1 },
		{ ".right", 2 },
		{ ".center", 3 },
		{ 0, 0 }
	};

	const NameValuePair autoHeightValues[] = {
		{ "top", 1 },
		{ "bottom", 2 },
		{ "center", 3 },
		{ ".top", 1 },
		{ ".bottom", 2 },
		{ ".center", 3 },
		{ 0, 0 }
	};

	const NameValuePair scrollValues[] = {
		{ "false", -1},
		{ "true", 1},
		{ "horizontal", 1},
		{ "vertical", 2},
		{ "horizontal-left", 1},
		{ "vertical-up", 2},
		{ "horizontal-right", 3},
		{ "vertical-down", 4},
		{ ".horizontal", 1},
		{ ".vertical", 2},
		{ ".horizontal-left", 1},
		{ ".vertical-up", 2},
		{ ".horizontal-right", 3},
		{ ".vertical-down", 4},
		{ 0, 0 }
	};

	const NameValuePair dockValues[] = {
		{ "nothing", 0},
		{ "none", 0},
		{ "moving", 1},
		{ "snappedto", 2},
		{ "moving+snappedto", 3},
		{ "snappedto+moving", 3},
		{ ".nothing", 0},
		{ ".none", 0},
		{ ".moving", 1},
		{ ".snappedto", 2},
		{ ".moving+snappedto", 3},
		{ ".snappedto+moving", 3},
		{ 0, 0 }
	};

	//Initialize Basic Helper Strings
	int numTokens = 0;
	string one = "";
	string two = "";
	string three = "";
	string four = "";
	string five = "";
	string six = "";
	string seven = "";

	SetWindowRgn( hWnd, NULL, true );

	StringList listOverlayLabelConfigurations;

	if ( refresh ) 
	{
		//For AutoWidth
		oldWidth = -1;
		oldHeight = -1;

		//Backup GhostLabel Configuration
		for(GhostLabelListIterator glit = ghostlabelList.begin(); glit != ghostlabelList.end(); glit++)
		{
			listOverlayLabelConfigurations.insert(listOverlayLabelConfigurations.end(), (*glit)->strConfiguration); 
		}

		//Erase all Pointers on Refresh (they are created later new)
		CleanupPointers();
	}

	bLabelInitialized = true;
	
	//LabelGroup Settings
	labelGroup = iGetxRCString(strName, "AddToGroup", "");

	//Module Hook (only on first Start!)
	if ( !refresh )
	{
		moduleHook = GetxRCLineList( ("*" + strName + "ModuleHook") );

		if ( !moduleHook.empty() )
			hasHookedModules = true;
	}

	bNormalWindowzOrder = Getx2RCBool(strName.c_str(), "WindowzOrder");

	//--------------------------------------------------------------------------------
	//Internal Sizing Settings
	//--------------------------------------------------------------------------------
	int maxX = 0;
	int maxY = 0;
	if (box != NULL)
	{
		RECT rc;
		GetClientRect(box, &rc);
		maxX = rc.right;
		maxY = rc.bottom;
	}
	else
	{
		maxX = iScreenWidth;
		maxY = iScreenHeight;
	}

	m_bLineBreak = Getx2RCBool(strName.c_str(), "FontLineBreak");
	m_bHoverLineBreak = Getx2RCBool(strName.c_str(), "HoverFontLineBreak", m_bLineBreak);
	m_bPressedLineBreak = Getx2RCBool(strName.c_str(), "PressedFontLineBreak", m_bHoverLineBreak);

	//AutoSize
	autoWidthMode = Getx2RCNamedValue(strName.c_str(), "AutoWidthMode", autoWidthValues, 0);
	autoHeightMode = Getx2RCNamedValue(strName.c_str(), "AutoHeightMode", autoHeightValues, 0);
	autoMinWidth = Getx2RCInt(strName.c_str(), "AutoMinWidth", 0, 0, maxX);
	autoMinHeight = Getx2RCInt(strName.c_str(), "AutoMinHeight", 0, 0, maxY);
	autoMaxWidth = Getx2RCInt(strName.c_str(), "AutoMaxWidth", maxX, 0, maxX);
	autoMaxHeight = Getx2RCInt(strName.c_str(), "AutoMaxHeight", maxY, 0, maxY);

	numTokens = SplitString(iGetx2RCLine(strName, "AutoAnimation", "0 0"), one, two, three, four, five, six, seven);
	
	if (numTokens >= 2)
	{
		autoAnimSteps = atoi( one.c_str() );
		autoAnimDelay = atoi( two.c_str() );

		if ( autoAnimSteps <= 0 || autoAnimDelay <= 0 )
		{
			autoAnimSteps = 0;
			autoAnimDelay = 0;
		}
		
		autoAnimDelay = min(autoAnimDelay,50);
	}
	else
	{
		autoAnimSteps = 0;
		autoAnimDelay = 0;
	}

	if ( autoMinWidth > autoMaxWidth )
		autoMinWidth = autoMaxWidth;
	if ( autoMinHeight > autoMaxHeight )
		autoMinHeight = autoMaxHeight;

	//Resizable Border
	//--> Affected by Resizable Border (must be set before!)
	fireOnMoveDuringMove = Getx2RCBool(strName.c_str(), "FireOnMoveDuringMove");
	fireOnResizeDuringResize = Getx2RCBool(strName.c_str(), "FireOnResizeDuringResize");
	//-->

	//Use Split Helper Strings
	numTokens = SplitString(iGetx2RCLine(strName, "ResizeBorder", "-1"), one, two, three, four, five, six, seven);
	
	if (numTokens == 1)
	{
		iResizeBorderLeft = iResizeBorderRight = iResizeBorderTop = iResizeBorderBottom = atoi(one.c_str());
	}
	else if (numTokens == 2)
	{
		iResizeBorderLeft = iResizeBorderRight = atoi(one.c_str());
		iResizeBorderTop = iResizeBorderBottom = atoi(two.c_str());
	}
	else if (numTokens == 4)
	{
		iResizeBorderLeft = atoi(one.c_str());
		iResizeBorderRight = atoi(two.c_str());
		iResizeBorderTop = atoi(three.c_str());
		iResizeBorderBottom = atoi(four.c_str());	
	}

	if ( iResizeBorderLeft <= 0 )
		iResizeBorderLeft = -1;
	if ( iResizeBorderRight <= 0 )
		iResizeBorderRight = -1;
	if ( iResizeBorderTop <= 0 )
		iResizeBorderTop = -1;
	if ( iResizeBorderBottom <= 0 )
		iResizeBorderBottom = -1;

	if ( iResizeBorderLeft > -1 || iResizeBorderRight > -1 || iResizeBorderTop > -1 || iResizeBorderBottom > -1 )
	{
		bUseResizeBorder = true;
		fireOnResizeDuringResize = true;

		//Use Split Helper Strings
		numTokens = SplitString(iGetx2RCLine(strName, "ResizeBorderSteps", "0"), one, two, three, four, five, six, seven);
	
		if (numTokens == 1)
		{
			ptResizeStepSize.x = ptResizeStepSize.y = atoi(one.c_str());
		}
		else if (numTokens == 2)
		{
			ptResizeStepSize.x = atoi(one.c_str());
			ptResizeStepSize.y = atoi(two.c_str());
		}
	}

	//--------------------------------------------------------------------------------
	//Image Setup
	//--------------------------------------------------------------------------------
	
	//Background Painting Class
	alphaMap = Getx2RCBool(strName.c_str(), "AlphaMap");

	if ( !hoverbackground )
		hoverbackground = Create_xTextureClass();

	if ( !pressedbackground )
		pressedbackground = Create_xTextureClass();

	normalbackground->configure(strName.c_str(), "", alphaMap);
	if ( hoverbackground->configure(strName.c_str(), "Hover", alphaMap, normalbackground) == 1 )
	{
		useHover = true;

		if ( pressedbackground->configure(strName.c_str(), "Pressed", alphaMap, hoverbackground) == 1 )
			usePressed = true;
		else
		{
			Destroy_xTextureClass(pressedbackground);
			pressedbackground = NULL;
		}
	}
	else
	{
		if ( pressedbackground->configure(strName.c_str(), "Pressed", alphaMap, hoverbackground) == 1 )
			usePressed = true;
		else
		{
			Destroy_xTextureClass(pressedbackground);
			pressedbackground = NULL;
		}
		
		Destroy_xTextureClass(hoverbackground);
		hoverbackground = NULL;
	}

	if ( refresh )
	{
		if ( normalanim )
		{
			Destroy_xTextureClass(normalanim);
			normalanim = NULL;
		}
		if ( hoveranim )
		{
			Destroy_xTextureClass(hoveranim);
			hoveranim = NULL;
		}
	}

	//Normal Animation
	imageLoop = GetxRCInt(strName.c_str(), "AnimFrameLoops", -1);
	imageFrameDelay = GetxRCInt(strName.c_str(), "AnimFrameDelay", 100, 1);
	imageFrameCount = GetxRCInt(strName.c_str(), "AnimFrameCount", 0, 0);
	if (imageFrameCount != 0)
	{
		normalAnim = true;
		normalanim = Create_xTextureClass();
		normalanim->configure(strName.c_str(), "Anim", alphaMap);
	}
	
	//Hover Animation
	hoverimageLoop = GetxRCInt(strName.c_str(), "HoverAnimFrameLoops", -1);
	hoverimageFrameDelay = GetxRCInt(strName.c_str(), "HoverAnimFrameDelay", 100, 1);
	hoverimageFrameCount = GetxRCInt(strName.c_str(), "HoverAnimFrameCount", 0, 0);
	if (hoverimageFrameCount != 0)
	{
		useHover = true;
		hoverAnim = true;
		hoveranim = Create_xTextureClass();
		hoveranim->configure(strName.c_str(), "HoverAnim", alphaMap);
	}

	if ( !refresh )
	{
		StringList extraPainting;
		//Create Extra Painting Background IMAGE
		extraPainting = GetxRCLineList( ("*" + strName + "OverlayLabel") );
		extraPainting.merge( GetxRCLineList( ("*" + labelGroup + "OverlayLabel") ) );
		one = "*";
		one.append( "AllLabels" );
		extraPainting.merge( GetxRCLineList( (one + "OverlayLabel") ) );
		
		for(StringListIterator sit = extraPainting.begin(); sit != extraPainting.end(); sit++)
		{
			CreateOverlay((*sit));
		}
	}
	else
	{
		for(StringListIterator sit = listOverlayLabelConfigurations.begin(); sit != listOverlayLabelConfigurations.end(); sit++)
		{
			CreateOverlay((*sit));
		}
	}

	listOverlayLabelConfigurations.clear();

	//--------------------------------------------------------------------------------
	//Text/Font Setup
	//--------------------------------------------------------------------------------
	if ( refresh )
	{
		if ( !hoverfont )
			hoverfont = Create_xHTMLTextClass();
		if ( !pressedfont )
			pressedfont = Create_xHTMLTextClass();
	}
	//Font Painting Class
	normalfont->configure(strName.c_str(), "", alphaMap);
	if ( hoverfont->configure(strName.c_str(), "Hover", alphaMap, normalfont) )
	{	
		useHover = true;

		if ( pressedfont->configure(strName.c_str(), "Pressed", alphaMap, hoverfont) )
			usePressed = true;
		else
		{
			Destroy_xHTMLTextClass(pressedfont);
			pressedfont = NULL;
		}
	}
	else
	{
		Destroy_xHTMLTextClass(hoverfont);
		hoverfont = NULL;

		if ( pressedfont->configure(strName.c_str(), "Pressed", alphaMap, normalfont) )
			usePressed = true;
		else
		{
			Destroy_xHTMLTextClass(pressedfont);
			pressedfont = NULL;
		}
	}

	//Scrolling
	iScrollPadLength = Getx2RCInt(strName.c_str(), "ScrollPad", 10);
	iScrollInterval = Getx2RCInt(strName.c_str(), "ScrollInterval", 100, 50);
	iScrollSpeed = Getx2RCInt(strName.c_str(), "ScrollSpeed", 1, 1);
	
	if (!refresh)
	{
		int tmpScroll = Getx2RCNamedValue(strName.c_str(), "Scroll", scrollValues, 0);
		
		//Compatibility Mode
		if ( tmpScroll == 0 && Getx2RCBool(strName.c_str(), "Scroll") )
			tmpScroll = 1;
		if ( tmpScroll == -1 )
			tmpScroll = 0;

		setScrolling(tmpScroll);
	}

	if ( iScroll == 2 || iScroll == 4 )
	{
		//Use Split Helper Strings
		numTokens = SplitString(iGetx2RCLine(strName.c_str(), "ScrollPerLine", ""), one, two, three, four, five, six, seven);

		if (numTokens == 3)
		{
			iScrollStepsInitial = atoi(one.c_str());
			iScrollSteps = atoi(two.c_str());
			iScrollPause = atoi(three.c_str());
		}
	}

	//Text Updates
	updateInterval = Getx2RCInt(strName.c_str(), "UpdateInterval", 1000, 250);
	alwaysUpdateContent = Getx2RCBool(strName.c_str(), "UpdateAlways");

	//Extra Settings
	noEscape = Getx2RCBool(strName.c_str(), "NoEscapeSequence");
	noTextSplit = Getx2RCBool(strName.c_str(), "NoTextSplit");
	hrefconfig = split(iGetx2RCLine(strName.c_str(), "HrefHoverConfig", ""), ";");

	//--------------------------------------------------------------------------------
	//Event/Action Setup
	//--------------------------------------------------------------------------------

	leftClickCommand = iGetx2RCLine(strName.c_str(), "OnLeftClick", "");
	leftClickDownCommand = iGetx2RCLine(strName.c_str(), "OnLeftClickDown", "");
	leftClickUpCommand = iGetx2RCLine(strName.c_str(), "OnLeftClickUp", "");
	leftDoubleClickCommand = iGetx2RCLine(strName.c_str(), "OnLeftDoubleClick", "");

	middleClickCommand = iGetx2RCLine(strName.c_str(), "OnMiddleClick", "");
	middleClickDownCommand = iGetx2RCLine(strName.c_str(), "OnMiddleClickDown", "");
	middleClickUpCommand = iGetx2RCLine(strName.c_str(), "OnMiddleClickUp", "");
	middleDoubleClickCommand = iGetx2RCLine(strName.c_str(), "OnMiddleDoubleClick", "");

	rightClickCommand = iGetx2RCLine(strName.c_str(), "OnRightClick", "");
	rightClickDownCommand = iGetx2RCLine(strName.c_str(), "OnRightClickDown", "");
	rightClickUpCommand = iGetx2RCLine(strName.c_str(), "OnRightClickUp", "");
	rightDoubleClickCommand = iGetx2RCLine(strName.c_str(), "OnRightDoubleClick", "");

	X1ClickCommand = iGetx2RCLine(strName.c_str(), "OnX1Click", "");
	X1ClickDownCommand = iGetx2RCLine(strName.c_str(), "OnX1ClickDown", "");
	X1ClickUpCommand = iGetx2RCLine(strName.c_str(), "OnX1ClickUp", "");
	X1DoubleClickCommand = iGetx2RCLine(strName.c_str(), "OnX1DoubleClick", "");

	X2ClickCommand = iGetx2RCLine(strName.c_str(), "OnX2Click", "");
	X2ClickDownCommand = iGetx2RCLine(strName.c_str(), "OnX2ClickDown", "");
	X2ClickUpCommand = iGetx2RCLine(strName.c_str(), "OnX2ClickUp", "");
	X2DoubleClickCommand = iGetx2RCLine(strName.c_str(), "OnX2DoubleClick", "");

	StringList ExtraModClicks;
	one = "*";
	one.append( "AllLabels" );

	//Left
	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnLeftClick") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnLeftClick") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnLeftClick") ) );
	FillModClickList(ExtraModClicks, leftModClickList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnLeftClickUp") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnLeftClickUp") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnLeftClickUp") ) );
	FillModClickList(ExtraModClicks, leftModClickUpList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnLeftClickDown") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnLeftClickDown") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnLeftClickDown") ) );
	FillModClickList(ExtraModClicks, leftModClickDownList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnLeftDoubleClick") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnLeftDoubleClick") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnLeftDoubleClick") ) );
	FillModClickList(ExtraModClicks, leftModDoubleClickList);

	//Middle
	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnMiddleClick") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnMiddleClick") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnMiddleClick") ) );
	FillModClickList(ExtraModClicks, middleModClickList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnMiddleClickUp") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnMiddleClickUp") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnMiddleClickUp") ) );
	FillModClickList(ExtraModClicks, middleModClickUpList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnMiddleClickDown") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnMiddleClickDown") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnMiddleClickDown") ) );
	FillModClickList(ExtraModClicks, middleModClickDownList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnMiddleDoubleClick") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnMiddleDoubleClick") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnMiddleDoubleClick") ) );
	FillModClickList(ExtraModClicks, middleModDoubleClickList);

	//Right
	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnRightClick") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnRightClick") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnRightClick") ) );
	FillModClickList(ExtraModClicks, rightModClickList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnRightClickUp") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnRightClickUp") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnRightClickUp") ) );
	FillModClickList(ExtraModClicks, rightModClickUpList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnRightClickDown") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnRightClickDown") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnRightClickDown") ) );
	FillModClickList(ExtraModClicks, rightModClickDownList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnRightDoubleClick") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnRightDoubleClick") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnRightDoubleClick") ) );
	FillModClickList(ExtraModClicks, rightModDoubleClickList);

	// X1
	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnX1Click") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnX1Click") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnX1Click") ) );
	FillModClickList(ExtraModClicks, X1ModClickList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnX1ClickUp") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnX1ClickUp") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnX1ClickUp") ) );
	FillModClickList(ExtraModClicks, X1ModClickUpList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnX1ClickDown") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnX1ClickDown") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnX1ClickDown") ) );
	FillModClickList(ExtraModClicks, X1ModClickDownList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnX1DoubleClick") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnX1DoubleClick") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnX1DoubleClick") ) );
	FillModClickList(ExtraModClicks, X1ModDoubleClickList);

	// X2
	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnX2Click") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnX2Click") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnX2Click") ) );
	FillModClickList(ExtraModClicks, X2ModClickList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnX2ClickUp") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnX2ClickUp") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnX2ClickUp") ) );
	FillModClickList(ExtraModClicks, X2ModClickUpList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnX2ClickDown") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnX2ClickDown") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnX2ClickDown") ) );
	FillModClickList(ExtraModClicks, X2ModClickDownList);

	ExtraModClicks.clear();
	ExtraModClicks = GetxRCLineList( ("*" + strName + "OnX2DoubleClick") );
	ExtraModClicks.merge( GetxRCLineList( ("*" + labelGroup + "OnX2DoubleClick") ) );
	ExtraModClicks.merge( GetxRCLineList( (one + "OnX2DoubleClick") ) );
	FillModClickList(ExtraModClicks, X2ModDoubleClickList);


	wheelDownCommand = iGetx2RCLine(strName.c_str(), "OnWheelDown", "");
	wheelUpCommand = iGetx2RCLine(strName.c_str(), "OnWheelUp", "");
	enterCommand = iGetx2RCLine(strName.c_str(), "OnEnter", "");
	leaveCommand = iGetx2RCLine(strName.c_str(), "OnLeave", "");
	dropCommand = iGetx2RCLine(strName.c_str(), "OnDrop", "");
	textChangeCommand = iGetx2RCLine(strName.c_str(), "OnTextChange", "");
	hideCommand = iGetx2RCLine(strName.c_str(), "OnHide", "");
	showCommand = iGetx2RCLine(strName.c_str(), "OnShow", "");
	focusCommand = iGetx2RCLine(strName.c_str(), "TextEditBoxOnFocus", "");
	unfocusCommand = iGetx2RCLine(strName.c_str(), "TextEditBoxOnUnFocus", "");
	hoverCommand = iGetx2RCLine(strName.c_str(), "OnHover", "");

	gainfocusCommand = iGetx2RCLine(strName.c_str(), "OnFocusGained", "");
	loosefocusCommand = iGetx2RCLine(strName.c_str(), "OnFocusLost", "");

	animloopstartCommand = iGetx2RCLine(strName.c_str(), "OnAnimLoopStart", "");
	animloopstopCommand = iGetx2RCLine(strName.c_str(), "OnAnimLoopStop", "");

	keyDownCommand = iGetx2RCLine(strName.c_str(), "OnKeyDown", "");
	keyUpCommand = iGetx2RCLine(strName.c_str(), "OnKeyUp", "");

	//Helper Settings
	focusOnEnter = Getx2RCBool(strName.c_str(), "FocusOnEnter");
	hoverTime = Getx2RCInt(strName.c_str(), "HoverTimeOut", 400, 100);

	//Event Regions
	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnLeftClickRegion").c_str() ), labelLeftClickRegions);
	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnLeftDoubleClickRegion").c_str() ), labelLeftDoubleClickRegions);
	
	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnMiddleClickRegion").c_str() ), labelMiddleClickRegions);
	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnMiddleDoubleClickRegion").c_str() ), labelMiddleDoubleClickRegions);

	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnRightClickRegion").c_str() ), labelRightClickRegions);
	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnRightDoubleClickRegion").c_str() ), labelRightDoubleClickRegions);

	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnX1ClickRegion").c_str() ), labelX1ClickRegions);
	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnX1DoubleClickRegion").c_str() ), labelX1DoubleClickRegions);

	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnX2ClickRegion").c_str() ), labelX2ClickRegions);
	FillLabel_Regions( GetxRCLineList( ("*" + strName + "OnX2DoubleClickRegion").c_str() ), labelX2DoubleClickRegions);

	FillLabel_Regions( GetxRCLineList( ("*" + strName + "TooltipRegion").c_str() ), labelTooltipRegions, true);
	//--------------------------------------------------------------------------------
	//Docking/SnapTo/zOrder Setup
	//--------------------------------------------------------------------------------

	//Label Docking
	dockedToList.clear();

	dockedToList = GetxRCLineList( ("*" + strName + "DockedTo") );

	if ( refresh )
	{
		for(StringListIterator sit = dockedToList.begin(); sit != dockedToList.end(); sit++)
		{
			numTokens = SplitString( (*sit), one, two, three, four, five, six, seven);
			
			if ( numTokens >= 1 )
			{
				if ( numTokens >= 2 )
				{
					if ( _stricmp(two.c_str(), "left") == NULL )
						dockedtoSide = 0;
					else if ( _stricmp(two.c_str(), "top") == NULL )
						dockedtoSide = 1;
					else if ( _stricmp(two.c_str(), "right") == NULL )
						dockedtoSide = 2;
					else if ( _stricmp(two.c_str(), "bottom") == NULL )
						dockedtoSide = 3;
					else if ( _stricmp(two.c_str(), "topleft") == NULL )
						dockedtoSide = 4;
					else if ( _stricmp(two.c_str(), "topright") == NULL )
						dockedtoSide = 5;
					else if ( _stricmp(two.c_str(), "bottomleft") == NULL )
						dockedtoSide = 6;
					else if ( _stricmp(two.c_str(), "bottomright") == NULL )
						dockedtoSide = 7;
					else
						dockedtoSide = -1;
				}

				bool found = false;
				bool alreadyFound = false;
				for(LabelListIterator plit = labelList.begin(); plit != labelList.end(); plit++)
				{
					if( _stricmp( one.c_str(), (*plit)->getName().c_str()) == NULL )
					{
						for(LabelListIterator lit = (*plit)->hasDockedLabelList.begin(); lit != (*plit)->hasDockedLabelList.end(); lit++)
						{
							if ( _stricmp( strName.c_str(), (*lit)->getName().c_str() ) == NULL )
							{
								alreadyFound = true;
								break;
							}
						}

						if (!alreadyFound)
						{
							(*plit)->hasDockedLabelList.insert((*plit)->hasDockedLabelList.end(), this);
							found = true;
						}
						break;
					}
				}

				alreadyFound = false;
				if (!found)
				{
					for(LabelListIterator plit = labelList.begin(); plit != labelList.end(); plit++)
					{
						if( _stricmp( one.c_str(), (*plit)->getLabelGroup().c_str()) == NULL )
						{
							for(LabelListIterator lit = (*plit)->hasDockedLabelList.begin(); lit != (*plit)->hasDockedLabelList.end(); lit++)
							{
								if ( _stricmp( strName.c_str(), (*lit)->getName().c_str() ) == NULL )
								{
									alreadyFound = true;
									break;
								}
							}

							if (!alreadyFound)
							{
								(*plit)->hasDockedLabelList.insert((*plit)->hasDockedLabelList.end(), this);
							}
						}
					}
				}
			}
		}
	}

	dockOnSnapTo = Getx2RCNamedValue(strName.c_str(), "DockOnSnap", dockValues, 0);

	//Snap To Settings
	//Use Split Helper Strings
	numTokens = SplitString(iGetx2RCLine(strName.c_str(), "SnapTo", "0 desktop"), one, two, three, four, five, six, seven);

	if ( numTokens >= 1 )
	{
		snapDistance = atoi( one.c_str() );
		if (numTokens == 1)
			snapTo = "desktop";
		else if (numTokens >= 2)
			snapTo = two;
	}

	//--------------------------------------------------------------------------------
	//Moving Setup
	//--------------------------------------------------------------------------------

	bMoveable = Getx2RCBool(strName.c_str(), "Moveable");
	iMoveRestriction = Getx2RCNamedValue(strName.c_str(), "Moveable", moverestrictionValues, 0);
	iMoveKey = Getx2RCNamedValue(strName.c_str(), "MoveModifierKey", keyValues, 1);
	iMoveButton = Getx2RCNamedValue(strName.c_str(), "MoveButton", buttonValues, 1);

	string workArea = iGetx2RCLine(strName.c_str(), "MoveArea", "");
	if ( !workArea.empty() )
	{
		numTokens = SplitString(workArea, one, two, three, four, five, six, seven);
		
		if ( numTokens >= 4 )
		{
			rectCustomMoveArea.left = xParseCoord(one.c_str(), 0, maxX, false);
			rectCustomMoveArea.top = xParseCoord(two.c_str(), 0, maxY, true);
			rectCustomMoveArea.right = rectCustomMoveArea.left+xParseDimen(three.c_str(), maxX, maxX, false);
			rectCustomMoveArea.bottom = rectCustomMoveArea.top+xParseDimen(four.c_str(), maxY, maxY, true);

			bUseCustomMoveArea = true;
		}
	}

	//--------------------------------------------------------------------------------
	//Transparency/Alpha Features Setup
	//--------------------------------------------------------------------------------

	//Transparency Settings
	bTrueTransparency = Getx2RCBool(strName.c_str(), "TrueTransparency");
	
	bTrackingIgnoreTrueTransparency = Getx2RCBool(strName.c_str(), "TrackingIgnoreTrueTransparency");

	alphaTransparency = Getx2RCInt(strName.c_str(), "AlphaTransparency", 255, 0, 255);
	alphaFade = Getx2RCBool(strName.c_str(), "AlphaFade");

	//Use Split Helper Strings
	string tmpCustomFade = iGetx2RCLine(strName.c_str(), "CustomAlphaFade", "");
	if ( !tmpCustomFade.empty() )
	{
		numTokens = SplitString(tmpCustomFade, one, two, three, four, five, six, seven);
		
		if (numTokens == 2)
		{
			alphaFade = true;
			alphaFadeStep = atoi( one.c_str() );
			if (alphaFadeStep < 1 || alphaFadeStep > 255)
				alphaFadeStep = 2;
		
			alphaFadeDelay = atoi( two.c_str() );
			if (alphaFadeDelay < 1 || alphaFadeDelay > 500)
				alphaFadeDelay = 10;
		}
	}

	if ( IsOS(OS_2KXP) )
		ghosted = Getx2RCBool(strName.c_str(), "Ghosted");
	else
		ghosted = false;

	//Final Check
	if ( !box && (alphaTransparency != 255 || alphaMap || alphaFade || ghosted) && IsOS(OS_2KXP) )
	{
		if ( !refresh )
		{
			// MUST BE SET BEFORE setAlwaysOnTop()
			ModifyStyleEx(hWnd, 0, WS_EX_LAYERED);

			if (ghosted)
				ModifyStyleEx(hWnd, 0, WS_EX_TRANSPARENT);

			if ( !alphaMap && (alphaTransparency != 255 || alphaFade) && !hasHookedModules && iGetx2RCLine(strName.c_str(), "TextEditBox", "").empty() )
			{
				fakealphaMap = true;
			}
			else
			{
				fakealphaMap = false;
				if ( !Getx2RCBool(strName.c_str(), "AlwaysOnTop") && !alphaMap )
					alwaysUpdateContent = true;
			}

			if ( alphaMap || fakealphaMap )
				SetWindowRgn(hWnd, NULL, true);

			if ( !alphaFade )
			{
				alphaFadeTransparencyBackup = alphaTransparency;
				UpdateWindowTransparency(alphaTransparency);
			}
			else
			{
				alphaFadeTransparencyBackup = alphaTransparency;
				alphaTransparency = 0;
				UpdateWindowTransparency(0);
			}
		}
	}
	else
	{
		alphaFadeTransparencyBackup = 255;
		alphaTransparency = 255;
		alphaMap = false;
		alphaFade = false;
		fakealphaMap = false;
		ghosted = false;
	}

	//--------------------------------------------------------------------------------
	//Special Features Setup
	//--------------------------------------------------------------------------------

	//Cursor
	noMoveCursor = Getx2RCBool(strName.c_str(), "NoMoveCursor");
	cursorPath = iGetx2RCString(strName.c_str(), "Cursor", "");
	if ( cursor )
	{
		DestroyCursor(cursor);
		cursor = NULL;
	}
	SendMessage(hWnd, LM_SETCURSOR, 0, 0);

	//File Actions
	if ( !dropCommand.empty() )
		DragAcceptFiles(hWnd, true);

	if ( !refresh )
	{	
		//AlwaysOnTop (before initial reposition due to MultiMonitor Support)
		setAlwaysOnTop(Getx2RCBool(strName.c_str(), "AlwaysOnTop"), true);
		
		POINT ptDefaultSize = normalbackground->getImageSize();
	
		int iUsedWidth = ptDefaultSize.x;
		int iUsedHeight = ptDefaultSize.y;

		if ( autoWidthMode != 0 )
			iUsedWidth = max(iUsedWidth, autoMinWidth);

		if ( autoHeightMode != 0 )
			iUsedHeight = max(iUsedHeight, autoMinHeight);

		//Initial Repositioning
		reposition(3, Getx2RCCoord(strName.c_str(), "X", 0, maxX, false),
						Getx2RCCoord(strName.c_str(), "Y", 0, maxY, true),	
							Getx2RCDimen(strName.c_str(), "Width", iUsedWidth, maxX, false),
								Getx2RCDimen(strName.c_str(), "Height", iUsedHeight, maxY, true) );
	}
	else
	{
		int bResize = 0;
		POINT ptDefaultSize = normalbackground->getImageSize();

		if ( _stricmp(iGetx2RCString(strName.c_str(), "Width", "").c_str(), ".image") == NULL )
			bResize += 1;

		if ( _stricmp(iGetx2RCString(strName.c_str(), "Height", "").c_str(), ".image") == NULL )
			bResize += 2;

		if ( bResize != 0 )
			reposition(2, 0, 0, ((bResize == 1 || bResize == 3) ? ptDefaultSize.x : actualwidth), ((bResize == 2 || bResize == 3) ? ptDefaultSize.y : actualheight));

		//Update internal Regions after a Refresh, since no Reposition was called!
		UpdateLabel_Regions( labelLeftClickRegions );
		UpdateLabel_Regions( labelLeftDoubleClickRegions );
		
		UpdateLabel_Regions( labelMiddleClickRegions );
		UpdateLabel_Regions( labelMiddleDoubleClickRegions );

		UpdateLabel_Regions( labelRightClickRegions );
		UpdateLabel_Regions( labelRightDoubleClickRegions );

		UpdateLabel_Regions( labelX1ClickRegions );
		UpdateLabel_Regions( labelX1DoubleClickRegions );

		UpdateLabel_Regions( labelX2ClickRegions );
		UpdateLabel_Regions( labelX2DoubleClickRegions );

		UpdateLabel_Regions( labelTooltipRegions );

		UpdateLabel_Regions( labelGhostRegions );
	}

	startHidden = Getx2RCBool(strName.c_str(), "StartHidden");

	//OnMove and OnResize AFTER first Positioning
	resizeCommand = iGetx2RCLine(strName.c_str(), "OnResize", "");
	moveCommand = iGetx2RCLine(strName.c_str(), "OnMove", "");

	//--------------------------------------------------------------------------------
	//Additional Extra Features Setup
	//--------------------------------------------------------------------------------

	//TextEdit Box
	numTokens = SplitString(iGetx2RCLine(strName.c_str(), "TextEditBox", ""), one, two, three, four, five, six, seven);

	bool textboxStartHidden = false;
	int textboxAlign = 0;
	bool textboxPassword = false;
	bool textboxNumber = false;
	int textboxDigits = -1;

	if ( numTokens >= 3 )
	{
		textboxXOrg = one;
		textboxYOrg = two;
		textboxWidthOrg = three;

		if ( numTokens >= 4 )
		{
			textboxStartHidden = (strchr(four.c_str(), 'h') != 0 || strchr(four.c_str(), 'H') != 0);
			if ( strchr(four.c_str(), 'r') != 0 || strchr(four.c_str(), 'R') != 0 )
				textboxAlign = 2;
			else if ( strchr(four.c_str(), 'c') != 0 || strchr(four.c_str(), 'C') != 0)
				textboxAlign = 1;
			else
				textboxAlign = 0;
			textboxPassword = (strchr(four.c_str(), 'p') != 0 || strchr(four.c_str(), 'P') != 0);
			textboxNumber = (strchr(four.c_str(), 'n') != 0 || strchr(four.c_str(), 'N') != 0);

			if ( numTokens >= 5 )
				textboxDigits = atoi(five.c_str());
		}
	}

	enterAction = iGetx2RCLine(strName.c_str(), "TextEditBoxEnterAction", ".execute");

	//Destroy on Refresh
	if ( refresh && hWndTextBox )
	{
		if ( textcursor )
		{
			DestroyCursor(textcursor);
			textcursor = NULL;
		}

		// Remove the subclass from the edit control. 
        SetWindowLong(hWndTextBox, GWL_WNDPROC, (LONG) wpOrigEditProc); 

		if ( hTextBGBrush )
		{
			DeleteObject(hTextBGBrush);
			hTextBGBrush = NULL;
		}

		if ( textboxhFont )
		{
			DeleteObject(textboxhFont);
			textboxhFont = NULL;
		}
		
		DestroyWindow(hWndTextBox);
		hWndTextBox = NULL;
	}
	
	if ( hWndTextBox == NULL && (!textboxXOrg.empty() || !textboxYOrg.empty() || !textboxWidthOrg.empty()) && !alphaMap && !fakealphaMap )
	{
		hWndTextBox = CreateWindow( "EDIT",
									TEXT(""),
									WS_CHILD | WS_VISIBLE | (textboxNumber ? ES_NUMBER : 0 ) | (textboxPassword ? ES_PASSWORD : 0) | ES_AUTOHSCROLL | (textboxAlign == 1 ? ES_CENTER : 0) | (textboxAlign == 2 ? ES_RIGHT : 0),
									0, 0,
									0, 0,
									hWnd,
									0,
									hInstance,
									0);
	}

	if ( hWndTextBox )
	{	
		if ( texteditboxbackground )
			Destroy_xTextureClass(texteditboxbackground);

		texteditboxbackground = NULL;

		texteditboxbackground = Create_xTextureClass();
		texteditboxbackground->configure(strName.c_str(), "TextEditBox", false);

		successCommand = iGetx2RCLine(strName.c_str(), "TextEditBoxOnSuccess", "");
		failCommand = iGetx2RCLine(strName.c_str(), "TextEditBoxOnFail", "");

		textcursorPath = iGetx2RCString(strName, "TextEditBoxCursor", "");
		if ( !textcursorPath.empty() )
		{
			if ( strstr(textcursorPath.c_str(), ":\\") != NULL )
			{
				textcursor = LoadCursorFromFile( textcursorPath.c_str() );
			}

			if ( !textcursor )
			{	
				char imagePath[MAX_LINE_LENGTH] = {0};
				VarExpansion( imagePath, "$lsimagefolder$" );
				strcat(imagePath, textcursorPath.c_str());

				textcursor = LoadCursorFromFile( imagePath );
			}
		}

		if ( textboxDigits >= 1 )
			SendMessage(hWndTextBox, EM_LIMITTEXT, textboxDigits, 0 );  

		//Padding Calculation
		numTokens = SplitString(iGetx2RCLine(strName, "TextEditBoxPadding", "0"), one, two, three, four, five, six, seven);
		
		if (numTokens == 1)
		{
			tebleftBorder = tebrightBorder = tebtopBorder = tebbottomBorder = atoi(one.c_str());
		}
		else if (numTokens == 2)
		{
			tebleftBorder = tebrightBorder = atoi(one.c_str());
			tebtopBorder = tebbottomBorder = atoi(two.c_str());
		}
		else if (numTokens == 4)
		{
			tebleftBorder = atoi(one.c_str());
			tebrightBorder = atoi(two.c_str());
			tebtopBorder = atoi(three.c_str());
			tebbottomBorder = atoi(four.c_str());
		}

		if ( tebleftBorder <= 0 )
			tebleftBorder = 0;

		if ( tebrightBorder <= 0 )
			tebrightBorder = 0;

		if ( tebtopBorder <= 0 )
			tebtopBorder = 0;

		if ( tebbottomBorder <= 0 )
			tebbottomBorder = 0;

		// Buffer for Fontheight Calculation
		HDC	bufferDC = CreateCompatibleDC(NULL);
		HBITMAP bufferBitmap = CreateCompatibleBitmap(bufferDC, actualwidth, actualheight);
		HBITMAP oldBMP = (HBITMAP) SelectObject(bufferDC, bufferBitmap);

		//Temporary Variables
		const NameValuePair CharSetConstants[] =
		{
			{ "ANSI_CHARSET", ANSI_CHARSET },
			{ "BALTIC_CHARSET", BALTIC_CHARSET },
			{ "CHINESEBIG5_CHARSET", CHINESEBIG5_CHARSET },
			{ "DEFAULT_CHARSET", DEFAULT_CHARSET },
			{ "EASTEUROPE_CHARSET", EASTEUROPE_CHARSET },
			{ "GB2312_CHARSET", GB2312_CHARSET },
			{ "GREEK_CHARSET", GREEK_CHARSET },
			{ "HANGUL_CHARSET", HANGUL_CHARSET },
			{ "MAC_CHARSET", MAC_CHARSET },
			{ "RUSSIAN_CHARSET", RUSSIAN_CHARSET },
			{ "SHIFTJIS_CHARSET", SHIFTJIS_CHARSET },
			{ "SYMBOL_CHARSET", SYMBOL_CHARSET },
			{ "TURKISH_CHARSET", TURKISH_CHARSET },
			{ "VIETNAMESE_CHARSET", VIETNAMESE_CHARSET },
			{ "JOHAB_CHARSET", JOHAB_CHARSET },
			{ "ARABIC_CHARSET", ARABIC_CHARSET },
			{ "HEBREW_CHARSET", HEBREW_CHARSET },
			{ "THAI_CHARSET", THAI_CHARSET },
			{ "OEM_CHARSET", OEM_CHARSET },
			{ 0, 0 }
		};

		string strFontName = iGetx2RCString(strName.c_str(), "Font", "Arial");
		int iFontHeight = Getx2RCInt(strName.c_str(), "FontHeight", 15);
		bool bFontItalic = Getx2RCBool(strName.c_str(), "FontItalic");
		bool bFontUnderline = Getx2RCBool(strName.c_str(), "FontUnderline");
		bool bFontBold = Getx2RCBool(strName.c_str(), "FontBold");
		short shFontCharSet = Getx2RCNamedValue(strName.c_str(), "FontCharSet", CharSetConstants, DEFAULT_CHARSET);
		bool bFontSmoothing = Getx2RCBool(strName.c_str(), "FontSmoothing");
		bool bFontClearType = Getx2RCBool(strName.c_str(), "FontClearType");

		LOGFONT lf;
		memset(&lf, 0, sizeof(LOGFONT));

		StringCchCopy(lf.lfFaceName, LF_FACESIZE, strFontName.c_str());
		lf.lfHeight = iFontHeight;
		lf.lfItalic = bFontItalic ? TRUE : FALSE;
		lf.lfUnderline = bFontUnderline ? TRUE : FALSE;
		lf.lfWeight = bFontBold ? FW_BOLD : FW_NORMAL;
		lf.lfCharSet = shFontCharSet;
		if ( IsOS( OS_XP ) && bFontSmoothing && bFontClearType )
			lf.lfQuality = CLEARTYPE_QUALITY;
		else if ( bFontSmoothing )
			lf.lfQuality = ANTIALIASED_QUALITY;
		else
			lf.lfQuality = NONANTIALIASED_QUALITY;

		if ( textboxhFont )
		{
			DeleteObject(textboxhFont);
			textboxhFont = NULL;
		}

		textboxhFont = CreateFontIndirect(&lf);

		textboxTextColor = Getx2RCColor(strName.c_str(), "FontColor", RGB(0,0,0));

		SendMessage(hWndTextBox, WM_SETFONT, (WPARAM) textboxhFont, FALSE);

		RECT r = {0,0,0,0};

		HFONT hFont = (HFONT) SelectObject(bufferDC, textboxhFont);
				
		string testtext = "Test Text Calculation!";
		DrawTextEx(bufferDC, (char *) testtext.c_str(), testtext.length(), &r, DT_SINGLELINE | DT_CALCRECT, 0);
		textboxHeight = (r.bottom-r.top)+(tebtopBorder+tebbottomBorder);

		textboxhFont = (HFONT) SelectObject(bufferDC, hFont);

		DeleteObject(hFont);

		bufferBitmap = (HBITMAP) SelectObject(bufferDC, oldBMP);
		DeleteDC(bufferDC);
		DeleteObject(bufferBitmap);
		DeleteObject(oldBMP);
 
		// Set margins
        SendMessage(hWndTextBox, EM_SETMARGINS, EC_LEFTMARGIN | EC_RIGHTMARGIN, MAKELONG(0,0));
       
		TextEditBoxSizeBorder.left = xParseCoord(textboxXOrg.c_str(), 0, actualwidth, false);
		TextEditBoxSizeBorder.right = TextEditBoxSizeBorder.left+xParseDimen(textboxWidthOrg.c_str(), actualwidth, actualwidth, true);
		TextEditBoxSizeBorder.top = xParseCoord(textboxYOrg.c_str(), 0, actualheight, true);
		TextEditBoxSizeBorder.bottom = TextEditBoxSizeBorder.top+textboxHeight;

		TextEditBoxSize.left = TextEditBoxSizeBorder.left+tebleftBorder;
		TextEditBoxSize.right = TextEditBoxSizeBorder.right-tebrightBorder;
		TextEditBoxSize.top = TextEditBoxSizeBorder.top+tebtopBorder;
		TextEditBoxSize.bottom = TextEditBoxSizeBorder.bottom-tebbottomBorder;

		SetWindowPos(hWndTextBox, NULL, 
						TextEditBoxSize.left,
						TextEditBoxSize.top,
						(TextEditBoxSize.right-TextEditBoxSize.left), 
						(TextEditBoxSize.bottom-TextEditBoxSize.top), 
						SWP_NOACTIVATE | SWP_NOZORDER);

		wpOrigEditProc = (WNDPROC) SetWindowLong(hWndTextBox, GWL_WNDPROC, (LONG) TextEditProc);

		if ( !textboxStartHidden )
		{
			ShowWindow(hWndTextBox, SW_SHOW);
			textboxVisible = true;

			PrefixedLSSetVariable(strName, "CurrentTextEditBoxText", "");
			PrefixedLSSetVariable(strName.c_str(), "TextEditBoxVisible", "true");
		}
		else
		{
			ShowWindow(hWndTextBox, SW_HIDE);
			textboxVisible = false;

			PrefixedLSSetVariable(strName, "CurrentTextEditBoxText", "");
			PrefixedLSSetVariable(strName.c_str(), "TextEditBoxVisible", "false");
		}
	}
	else
	{
		textboxXOrg = textboxYOrg = textboxWidthOrg = "";
		hWndTextBox = NULL;

		successCommand = "";
		failCommand = "";
	}

	//Tooltips
	strOriginalTooltip = iGetx2RCString(strName, "Tooltip", "");

	if ( !pTooltip && !strOriginalTooltip.empty() || !labelTooltipRegions.empty() )
	{
		pTooltip = Create_xTooltipClass(hWnd, hInstance);
		hWndTooltip = pTooltip->configure(strName.c_str(), "");
			
		strTooltip = (processLabelText(strOriginalTooltip, this, &dynamicTooltip));	
		pTooltip->apply(strTooltip.c_str());
		pTooltip->apply(strTooltip.c_str(), TRUE);
	}

	//--------------------------------------------------------------------------------
	//Final Routines Start (TextUpdate and AnimationStart)
	//--------------------------------------------------------------------------------

	if ( refresh )
	{
		update();
		repaint(true);
		if ( hasHookedModules )
			RedrawWindow(hWnd, NULL, NULL, RDW_UPDATENOW | RDW_ALLCHILDREN);
	}
	else
	{
		setText(iGetx2RCString(strName, "Text", ""), true);
	}
	
	/*if (normalAnim)
	{
		if ( imageLoop != 0 )
		{
			SetTimer(hWnd, TIMER_FRAMEANIMATION, imageFrameDelay, NULL);

			if ( !animloopstartCommand.empty() )
				xLSExecute(hWnd, animloopstartCommand.c_str(), SW_SHOWNORMAL);
		}
	}*/
}

void Label::CreateOverlay(string strConfig)
{
	//Initialize Basic Helper Strings
	int numTokens = 0;
	string one = "";
	string two = "";
	string three = "";
	string four = "";
	string five = "";
	string six = "";
	string seven = "";

	//Use Split Helper Strings
	numTokens = SplitString(strConfig, one, two, three, four, five, six, seven);

	if ( numTokens >= 5 )
	{
		GhostLabel* newimage = new GhostLabel();

		newimage->strConfiguration = strConfig;
			
		newimage->strOrgX = one;
		newimage->strOrgY = two;
				
		newimage->iX = xParseCoord(one.c_str(), 0, actualwidth, false);
		newimage->iY = xParseCoord(two.c_str(), 0, actualheight, true);

		newimage->strOrgWidth = three;
		newimage->strOrgHeight = four;
				
		newimage->iWidth = xParseDimen(three.c_str(), 0, actualwidth, false);
		newimage->iHeight = xParseDimen(four.c_str(), 0, actualheight, true);

		newimage->strName = five;
		newimage->strLabelGroup = iGetxRCString(five, "AddToGroup", "");

		if ( numTokens >= 6 )
		{
			bool bUseNormal = false;
			bool bUseHover = false;
			bool bUsePressed = false;
			if ( IsOS( OS_2KXP ) && (strchr(six.c_str(), 'a') != 0 || strchr(six.c_str(), 'A') != 0) )
			{
				bUseNormal = (newimage->pNormalTexture->configure(five.c_str(), "", TRUE) != 0 ? true : false);
				bUseHover = (newimage->pHoverTexture->configure(five.c_str(), "Hover", TRUE, newimage->pNormalTexture) == 1 ? true : false);
				bUsePressed = (newimage->pPressedTexture->configure(five.c_str(), "Pressed", TRUE, newimage->pHoverTexture) == 1 ? true : false);
			}
			else
			{
				bUseNormal = (newimage->pNormalTexture->configure(five.c_str(), "", FALSE) != 0 ? true : false);
				bUseHover = (newimage->pHoverTexture->configure(five.c_str(), "Hover", FALSE, newimage->pNormalTexture) == 1 ? true : false);
				bUsePressed = (newimage->pPressedTexture->configure(five.c_str(), "Pressed", FALSE, newimage->pHoverTexture) == 1 ? true : false);
			}

			if ( !bUseNormal )
			{
				Destroy_xTextureClass(newimage->pNormalTexture);
				newimage->pNormalTexture = NULL;
			}
			if ( !bUseHover )
			{
				Destroy_xTextureClass(newimage->pHoverTexture);
				newimage->pHoverTexture = NULL;
			}
			if ( !bUsePressed )
			{
				Destroy_xTextureClass(newimage->pPressedTexture);
				newimage->pPressedTexture = NULL;
			}

			newimage->bNormal = (strchr(six.c_str(), 'n') != 0 || strchr(six.c_str(), 'N') != 0);
			newimage->bHover = (strchr(six.c_str(), 'h') != 0 || strchr(six.c_str(), 'H') != 0);
			newimage->bPressed = (strchr(six.c_str(), 'p') != 0 || strchr(six.c_str(), 'P') != 0);
			newimage->bStandalone = (strchr(six.c_str(), 's') != 0 || strchr(six.c_str(), 'S') != 0);
					
			//Define useHover and usePressed
			if ( !newimage->bStandalone && newimage->pHoverTexture )
				useHover = true;
			if ( !newimage->bStandalone && newimage->pPressedTexture )
				usePressed = true;
		}

		if ( newimage->bStandalone )
		{
			Label_Region *insert = new Label_Region();

			insert->strOrgX = one;
			insert->strOrgY = two;
			insert->strOrgWidth = three;
			insert->strOrgHeight = four;

			insert->pGhostLabel = newimage;

			labelGhostRegions.insert(labelGhostRegions.end(), insert);

			string tmpTooltip = iGetx2RCString(five.c_str(), "Tooltip", "");

			string tmpleftClickCommand = iGetx2RCLine(five.c_str(), "OnLeftClick", "");
			string tmpleftDoubleClickCommand = iGetx2RCLine(five.c_str(), "OnLeftDoubleClick", "");
					
			string tmpmiddleClickCommand = iGetx2RCLine(five.c_str(), "OnMiddleClick", "");
			string tmpmiddleDoubleClickCommand = iGetx2RCLine(five.c_str(), "OnMiddleDoubleClick", "");
					
			string tmprightClickCommand = iGetx2RCLine(five.c_str(), "OnRightClick", "");
			string tmprightDoubleClickCommand = iGetx2RCLine(five.c_str(), "OnRightDoubleClick", "");

			string tmpX1ClickCommand = iGetx2RCLine(five.c_str(), "OnX1Click", "");
			string tmpX1DoubleClickCommand = iGetx2RCLine(five.c_str(), "OnX1DoubleClick", "");

			string tmpX2ClickCommand = iGetx2RCLine(five.c_str(), "OnX2Click", "");
			string tmpX2DoubleClickCommand = iGetx2RCLine(five.c_str(), "OnX2DoubleClick", "");

			if ( !tmpTooltip.empty() )
			{
				Label_Region *insertt = new Label_Region();

				insertt->strOrgX = one;
				insertt->strOrgY = two;
				insertt->strOrgWidth = three;
				insertt->strOrgHeight = four;

				insertt->pGhostLabel = newimage;

				insertt->strOriginalTooltip = tmpTooltip;

				insertt->strOriginalTooltip = trim(insertt->strOriginalTooltip, true);

				while ( strstr(insertt->strOriginalTooltip.c_str(), "<br>") != NULL )
					insertt->strOriginalTooltip.replace(insertt->strOriginalTooltip.find("<br>"), 4, "\n", 1);
					
				labelTooltipRegions.insert(labelTooltipRegions.end(), insertt);
			}
			if ( !tmpleftClickCommand.empty() )
			{
				Label_Region *insertl = new Label_Region();

				insertl->strOrgX = one;
				insertl->strOrgY = two;
				insertl->strOrgWidth = three;
				insertl->strOrgHeight = four;

				insertl->pGhostLabel = newimage;

				insertl->strAction = tmpleftClickCommand;
					
				labelLeftClickRegions.insert(labelLeftClickRegions.end(), insertl);
			}
			if ( !tmpleftDoubleClickCommand.empty() )
			{
				Label_Region *insertld = new Label_Region();

				insertld->strOrgX = one;
				insertld->strOrgY = two;
				insertld->strOrgWidth = three;
				insertld->strOrgHeight = four;

				insertld->pGhostLabel = newimage;

				insertld->strAction = tmpleftDoubleClickCommand;
					
				labelLeftDoubleClickRegions.insert(labelLeftDoubleClickRegions.end(), insertld);
			}
			if ( !tmpmiddleClickCommand.empty() )
			{
				Label_Region *insertm = new Label_Region();

				insertm->strOrgX = one;
				insertm->strOrgY = two;
				insertm->strOrgWidth = three;
				insertm->strOrgHeight = four;

				insertm->pGhostLabel = newimage;

				insertm->strAction = tmpmiddleClickCommand;
				
				labelMiddleClickRegions.insert(labelMiddleClickRegions.end(), insertm);
			}
			if ( !tmpmiddleDoubleClickCommand.empty() )
			{
				Label_Region *insertmd = new Label_Region();

				insertmd->strOrgX = one;
				insertmd->strOrgY = two;
				insertmd->strOrgWidth = three;
				insertmd->strOrgHeight = four;

				insertmd->pGhostLabel = newimage;

				insertmd->strAction = tmpmiddleDoubleClickCommand;
				
				labelMiddleDoubleClickRegions.insert(labelMiddleDoubleClickRegions.end(), insertmd);
			}
			if ( !tmprightClickCommand.empty() )
			{
				Label_Region *insertr = new Label_Region();

				insertr->strOrgX = one;
				insertr->strOrgY = two;
				insertr->strOrgWidth = three;
				insertr->strOrgHeight = four;

				insertr->pGhostLabel = newimage;

				insertr->strAction = tmprightClickCommand;
				
				labelRightClickRegions.insert(labelRightClickRegions.end(), insertr);
			}
			if ( !tmprightDoubleClickCommand.empty() )
			{
				Label_Region *insertrd = new Label_Region();

				insertrd->strOrgX = one;
				insertrd->strOrgY = two;
				insertrd->strOrgWidth = three;
				insertrd->strOrgHeight = four;

				insertrd->pGhostLabel = newimage;

				insertrd->strAction = tmprightDoubleClickCommand;
			
				labelRightDoubleClickRegions.insert(labelRightDoubleClickRegions.end(), insertrd);
			}
			if ( !tmpX1ClickCommand.empty() )
			{
				Label_Region *insertX1 = new Label_Region();

				insertX1->strOrgX = one;
				insertX1->strOrgY = two;
				insertX1->strOrgWidth = three;
				insertX1->strOrgHeight = four;

				insertX1->pGhostLabel = newimage;

				insertX1->strAction = tmpX1ClickCommand;
				
				labelX1ClickRegions.insert(labelX1ClickRegions.end(), insertX1);
			}
			if ( !tmpX1DoubleClickCommand.empty() )
			{
				Label_Region *insertX1d = new Label_Region();

				insertX1d->strOrgX = one;
				insertX1d->strOrgY = two;
				insertX1d->strOrgWidth = three;
				insertX1d->strOrgHeight = four;

				insertX1d->pGhostLabel = newimage;

				insertX1d->strAction = tmpX1DoubleClickCommand;
			
				labelX1DoubleClickRegions.insert(labelX1DoubleClickRegions.end(), insertX1d);
			}
			if ( !tmpX2ClickCommand.empty() )
			{
				Label_Region *insertX2 = new Label_Region();

				insertX2->strOrgX = one;
				insertX2->strOrgY = two;
				insertX2->strOrgWidth = three;
				insertX2->strOrgHeight = four;

				insertX2->pGhostLabel = newimage;

				insertX2->strAction = tmpX2ClickCommand;
				
				labelX2ClickRegions.insert(labelX2ClickRegions.end(), insertX2);
			}
			if ( !tmpX2DoubleClickCommand.empty() )
			{
				Label_Region *insertX2d = new Label_Region();

				insertX2d->strOrgX = one;
				insertX2d->strOrgY = two;
				insertX2d->strOrgWidth = three;
				insertX2d->strOrgHeight = four;

				insertX2d->pGhostLabel = newimage;

				insertX2d->strAction = tmpX2DoubleClickCommand;
				
				labelX2DoubleClickRegions.insert(labelX2DoubleClickRegions.end(), insertX2d);
			}
		}

		//Secure Functions
		//------------------------------------------------------------------------
		if ( !newimage->bNormal && !newimage->bHover && !newimage->bPressed )
		{
			newimage->bNormal = true;
			newimage->bHover = true;
			newimage->bPressed = true;
		}

		newimage->strOriginalText = iGetx2RCString(five, "Text", "");
		newimage->bNoEscape = Getx2RCBool(five.c_str(), "NoEscapeSequence");

		if ( !newimage->strOriginalText.empty() )
		{
			newimage->pNormalText->configure(five.c_str(), "", alphaMap);
			if ( newimage->pHoverText->configure(five.c_str(), "Hover", alphaMap, newimage->pNormalText) )
			{	
				if ( !newimage->pPressedText->configure(five.c_str(), "Pressed", alphaMap, newimage->pHoverText) )
				{
					Destroy_xHTMLTextClass(newimage->pPressedText);
					newimage->pPressedText = NULL;
				}
			}
			else
			{
				Destroy_xHTMLTextClass(newimage->pHoverText);
				newimage->pHoverText = NULL;

				if ( !newimage->pPressedText->configure(five.c_str(), "Pressed", alphaMap, newimage->pNormalText) )
				{
					Destroy_xHTMLTextClass(newimage->pPressedText);
					newimage->pPressedText = NULL;
				}
			}
		}
		else
		{
			Destroy_xHTMLTextClass(newimage->pNormalText);
			Destroy_xHTMLTextClass(newimage->pHoverText);
			Destroy_xHTMLTextClass(newimage->pPressedText);
			newimage->pNormalText = NULL;
			newimage->pHoverText = NULL;
			newimage->pPressedText = NULL;
		}

		newimage->strEnterCommand = iGetx2RCLine(five, "OnEnter", "");
		newimage->strLeaveCommand = iGetx2RCLine(five, "OnLeave", "");

		newimage->bVisible = !Getx2RCBool(five.c_str(), "StartHidden");

		ghostlabelList.insert(ghostlabelList.end(), newimage);
	}
}

void Label::ModifyOverlay(string strOverlayName, string strConfig)
{
	int numTokens = 0;
	string one = "";
	string two = "";
	string three = "";
	string four = "";
	string five = "";
	string six = "";
	string seven = "";

	for(GhostLabelListIterator lit = ghostlabelList.begin(); lit != ghostlabelList.end(); lit++)
	{
		if ( _stricmp((*lit)->strName.c_str(), strOverlayName.c_str()) == NULL )
		{
			numTokens = SplitString(strConfig, one, two, three, four, five, six, seven);

			if ( numTokens >= 2 )
			{
				(*lit)->strConfiguration = strConfig;

				(*lit)->strOrgX = one;
				(*lit)->strOrgY = two;
				
				(*lit)->iX = xParseCoord(one.c_str(), 0, actualwidth, false);
				(*lit)->iY = xParseCoord(two.c_str(), 0, actualheight, true);

				if ( numTokens >= 4 )
				{
					(*lit)->strOrgWidth = three;
					(*lit)->strOrgHeight = four;
							
					(*lit)->iWidth = xParseDimen(three.c_str(), 0, actualwidth, false);
					(*lit)->iHeight = xParseDimen(four.c_str(), 0, actualheight, true);
				}

				if ( (*lit)->bStandalone )
				{
					Label_RegionListIterator llit;
					//Tooltip Regions
					for(llit = labelTooltipRegions.begin(); llit != labelTooltipRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelTooltipRegions);
					//Left Click Regions
					for(llit = labelLeftClickRegions.begin(); llit != labelLeftClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelLeftClickRegions);
					
					for(llit = labelLeftDoubleClickRegions.begin(); llit != labelLeftDoubleClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelLeftDoubleClickRegions);
				
					//Middle Click Regions
					for(llit = labelMiddleClickRegions.begin(); llit != labelMiddleClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelMiddleClickRegions);
				
					for(llit = labelMiddleDoubleClickRegions.begin(); llit != labelMiddleDoubleClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelMiddleDoubleClickRegions);
				
					//Right Click Regions
					for(llit = labelRightClickRegions.begin(); llit != labelRightClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelRightClickRegions);
			
					for(llit = labelRightDoubleClickRegions.begin(); llit != labelRightDoubleClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelRightDoubleClickRegions);
			
					//X1 Click Regions
					for(llit = labelX1ClickRegions.begin(); llit != labelX1ClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelX1ClickRegions);
			
					for(llit = labelX1DoubleClickRegions.begin(); llit != labelX1DoubleClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelX1DoubleClickRegions);
			
					//X2 Click Regions
					for(llit = labelX2ClickRegions.begin(); llit != labelX2ClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelX2ClickRegions);
			
					for(llit = labelX2DoubleClickRegions.begin(); llit != labelX2DoubleClickRegions.end(); llit++)
					{
						if ( (*llit)->pGhostLabel == (*lit) )
						{
							(*llit)->strOrgX = (*lit)->strOrgX;
							(*llit)->strOrgY = (*lit)->strOrgY;

							(*lit)->strOrgWidth = (*lit)->strOrgWidth;
							(*lit)->strOrgHeight = (*lit)->strOrgHeight;
							break;
						}
					}
					UpdateLabel_Regions(labelX2DoubleClickRegions);
				}
			}
			break;
		}
	}
}

void Label::DestroyOverlay(string strOverlayName)
{
	for(GhostLabelListIterator lit = ghostlabelList.begin(); lit != ghostlabelList.end(); lit++)
	{
		if ( _stricmp((*lit)->strName.c_str(), strOverlayName.c_str()) == NULL )
		{
			//Destroy Additional ClickRegions
			if ( (*lit)->bStandalone )
			{
				Label_RegionListIterator llit;
				//Tooltip Regions
				for(llit = labelTooltipRegions.begin(); llit != labelTooltipRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;	
						labelTooltipRegions.erase(llit);
						break;
					}
				}

				//Left Click Regions
				for(llit = labelLeftClickRegions.begin(); llit != labelLeftClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;	
						labelLeftClickRegions.erase(llit);
						break;
					}
				}
				
				for(llit = labelLeftDoubleClickRegions.begin(); llit != labelLeftDoubleClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;
						labelLeftDoubleClickRegions.erase(llit);
						break;
					}
				}
				
				//Middle Click Regions
				for(llit = labelMiddleClickRegions.begin(); llit != labelMiddleClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;
						labelMiddleClickRegions.erase(llit);
						break;
					}
				}
		
				for(llit = labelMiddleDoubleClickRegions.begin(); llit != labelMiddleDoubleClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;
						labelMiddleDoubleClickRegions.erase(llit);
						break;
					}
				}
		
				//Right Click Regions
				for(llit = labelRightClickRegions.begin(); llit != labelRightClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;
						labelRightClickRegions.erase(llit);
						break;
					}
				}
			
				for(llit = labelRightDoubleClickRegions.begin(); llit != labelRightDoubleClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;
						labelRightDoubleClickRegions.erase(llit);
						break;
					}
				}
			
				//X1 Click Regions
				for(llit = labelX1ClickRegions.begin(); llit != labelX1ClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;
						labelX1ClickRegions.erase(llit);
						break;
					}
				}
			
				for(llit = labelX1DoubleClickRegions.begin(); llit != labelX1DoubleClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;
						labelX1DoubleClickRegions.erase(llit);
						break;
					}
				}
			
				//X2 Click Regions
				for(llit = labelX2ClickRegions.begin(); llit != labelX2ClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;
						labelX2ClickRegions.erase(llit);
						break;
					}
				}
		
				for(llit = labelX2DoubleClickRegions.begin(); llit != labelX2DoubleClickRegions.end(); llit++)
				{
					if ( (*llit)->pGhostLabel == (*lit) )
					{
						delete *llit;
						*llit = NULL;
						labelX2DoubleClickRegions.erase(llit);
						break;
					}
				}
			}

			delete (*lit);
			(*lit) = NULL;
			ghostlabelList.erase( lit );
			break;
		}
	}
}

void Label::FillModClickList(StringList inputList, ModClickList &outputList)
{
	if ( inputList.empty() )
		return;

	char modifier[32] = {0};
	char action[MAX_LINE_LENGTH] = {0};
	char *buffers[] = {modifier};

	for(StringListIterator sit = inputList.begin(); sit != inputList.end(); sit++)
	{
		if(LCTokenize((*sit).c_str(), buffers, 1, action) >= 1)
		{
			ModClick *insert = new ModClick();

			if ( _stricmp( modifier, ".ctrl") == NULL )
				insert->iModifier = 1;
			else if ( _stricmp( modifier, ".shift") == NULL )
				insert->iModifier = 2;
			else if ( _stricmp( modifier, ".alt") == NULL )
				insert->iModifier = 3;
			else if ( _stricmp( modifier, ".ctrl+shift") == NULL || _stricmp( modifier, ".shift+ctrl") == NULL )
				insert->iModifier = 12;
			else if ( _stricmp( modifier, ".ctrl+alt") == NULL || _stricmp( modifier, ".alt+ctrl") == NULL )
				insert->iModifier = 13;
			else if ( _stricmp( modifier, ".shift+alt") == NULL || _stricmp( modifier, ".alt+shift") == NULL )
				insert->iModifier = 23;
			else if ( _stricmp( modifier, ".ctrl+shift+alt") == NULL 
						|| _stricmp( modifier, ".ctrl+alt+shift") == NULL
						|| _stricmp( modifier, ".shift+alt+ctrl") == NULL
						|| _stricmp( modifier, ".shift+ctrl+alt") == NULL 
						|| _stricmp( modifier, ".alt+ctrl+shift") == NULL
						|| _stricmp( modifier, ".alt+shift+ctrl") == NULL )
				insert->iModifier = 123;
			else
			{
				delete insert;
				continue;
			}

			insert->strAction = action;
				
			outputList.insert(outputList.end(), insert);
		}
	}
}

bool Label::CheckModClick(ModClickList inputList)
{
	if ( inputList.empty() )
		return false;

	bool found = false;

	for(ModClickListIterator mlit = inputList.begin(); mlit != inputList.end(); mlit++)
	{
		if ( (*mlit)->iModifier == 123 && (0x8000 & GetKeyState(VK_CONTROL)) && (0x8000 & GetKeyState(VK_SHIFT)) && (0x8000 & GetKeyState(VK_MENU)) )
		{
			xLSExecute(hWnd, (*mlit)->strAction.c_str(), SW_SHOWNORMAL);
			found = true;
			break;
		}
		else if ( (*mlit)->iModifier == 12 && (0x8000 & GetKeyState(VK_CONTROL)) && (0x8000 & GetKeyState(VK_SHIFT)) && !(0x8000 & GetKeyState(VK_MENU)))
		{
			xLSExecute(hWnd, (*mlit)->strAction.c_str(), SW_SHOWNORMAL);
			found = true;
			break;
		}
		else if ( (*mlit)->iModifier == 13 && (0x8000 & GetKeyState(VK_CONTROL)) && !(0x8000 & GetKeyState(VK_SHIFT)) && (0x8000 & GetKeyState(VK_MENU)) )
		{
			xLSExecute(hWnd, (*mlit)->strAction.c_str(), SW_SHOWNORMAL);
			found = true;
			break;
		}
		else if ( (*mlit)->iModifier == 23 && !(0x8000 & GetKeyState(VK_CONTROL)) && (0x8000 & GetKeyState(VK_SHIFT)) && (0x8000 & GetKeyState(VK_MENU)) )
		{
			xLSExecute(hWnd, (*mlit)->strAction.c_str(), SW_SHOWNORMAL);
			found = true;
			break;
		}
		else if ( (*mlit)->iModifier == 1 && (0x8000 & GetKeyState(VK_CONTROL)) && !(0x8000 & GetKeyState(VK_SHIFT)) && !(0x8000 & GetKeyState(VK_MENU)) )
		{
			xLSExecute(hWnd, (*mlit)->strAction.c_str(), SW_SHOWNORMAL);
			found = true;
			break;
		}
		else if ( (*mlit)->iModifier == 2 && !(0x8000 & GetKeyState(VK_CONTROL)) && (0x8000 & GetKeyState(VK_SHIFT)) && !(0x8000 & GetKeyState(VK_MENU)) )
		{
			xLSExecute(hWnd, (*mlit)->strAction.c_str(), SW_SHOWNORMAL);
			found = true;
			break;
		}
		else if ( (*mlit)->iModifier == 3 && !(0x8000 & GetKeyState(VK_CONTROL)) && !(0x8000 & GetKeyState(VK_SHIFT)) && (0x8000 & GetKeyState(VK_MENU)) )
		{
			xLSExecute(hWnd, (*mlit)->strAction.c_str(), SW_SHOWNORMAL);
			found = true;
			break;
		}
	}

	return found;
}

void Label::FillLabel_Regions(StringList inputList, Label_RegionList &outputList, bool tooltipregion)
{
	if ( inputList.empty() )
		return;

	char x[16] = {0};
	char y[16] = {0};
	char width[16] = {0};
	char height[16] = {0};
	char command[MAX_LINE_LENGTH] = {0};;
	char *buffers[] = {x, y, width, height};

	for(StringListIterator sit = inputList.begin(); sit != inputList.end(); sit++)
	{
		if(LCTokenize((*sit).c_str(), buffers, 4, command) >= 4)
		{
			Label_Region *insert = new Label_Region();

			insert->strOrgX = x;
			insert->strOrgY = y;
			insert->strOrgWidth = width;
			insert->strOrgHeight = height;

			if ( !tooltipregion )
			{
				insert->strAction = command;
			}
			else
			{
				insert->strOriginalTooltip = command;

				insert->strOriginalTooltip = trim(insert->strOriginalTooltip, true);

				while ( strstr(insert->strOriginalTooltip.c_str(), "<br>") != NULL )
					insert->strOriginalTooltip.replace(insert->strOriginalTooltip.find("<br>"), 4, "\n", 1);
			}

			outputList.insert(outputList.end(), insert);
		}
	}
}

void Label::UpdateLabel_Regions(Label_RegionList inputList)
{
	if ( inputList.empty() )
		return;	

	for (Label_RegionListIterator lrit = inputList.begin(); lrit != inputList.end(); lrit++)
	{
		(*lrit)->region.left = xParseCoord((*lrit)->strOrgX.c_str(), 0, actualwidth, false);
		(*lrit)->region.right = (*lrit)->region.left+xParseDimen((*lrit)->strOrgWidth.c_str(), actualwidth, actualwidth, false);
		(*lrit)->region.top = xParseCoord((*lrit)->strOrgY.c_str(), 0, actualheight, true);
		(*lrit)->region.bottom = (*lrit)->region.top+xParseDimen((*lrit)->strOrgHeight.c_str(), actualheight, actualheight, true);
	}
}

//------------------------------------------------------------
//"Modify Styles"
//------------------------------------------------------------

void Label::setAlwaysOnTop(bool setalwaysOnTop, bool firstSetup)
{
	if ( box != NULL )
		return;
	
	bool realChange = ( alwaysOnTop != setalwaysOnTop );

	alwaysOnTop = setalwaysOnTop;
	
	if ( realChange || firstSetup )
	{
		ModifyStyle(hWnd, WS_POPUP, WS_CHILD);
		SetParent(hWnd, (alwaysOnTop || bNormalWindowzOrder || iRealMonitors > 1) ? 0 : GetLitestepDesktop());
		ModifyStyle(hWnd, WS_CHILD, WS_POPUP);

		if ( alwaysOnTop )
		{	
			bDisablezOrderChange = false;
			SetWindowPos(hWnd, HWND_TOPMOST,
								0, 0, 0, 0,
								SWP_NOACTIVATE | SWP_NOMOVE | SWP_NOSIZE );
		}
		else
		{
			bDisablezOrderChange = false;
			SetWindowPos(hWnd, (firstSetup || bNormalWindowzOrder || iRealMonitors == 1) ? HWND_NOTOPMOST : HWND_BOTTOM,
								0, 0, 0, 0,
								SWP_NOACTIVATE | SWP_NOMOVE | SWP_NOSIZE );
		}
	}
	
	HWND hWndNextInzOrder = NULL;

	string strBehindWindow = iGetx2RCLine(strName, "BehindWindow", "");
	
	if ( !strBehindWindow.empty() )
	{
		string one = "";
		string two = "";
		string three = "";
		string four = "";
		string five = "";
		string six = "";
		string seven = "";

		SplitString(strBehindWindow, one, two, three, four, five, six, seven);
	
		hWndNextInzOrder = FindWindowEx2(one.c_str(), two.c_str());
	}
	/*else
	{
		hWndNextInzOrder = GetNextWindow(hWnd, GW_HWNDPREV);
	}*/

	if ( hWndNextInzOrder != NULL )
	{
		bDisablezOrderChange = false;
		SetWindowPos(hWnd, hWndNextInzOrder,
							0, 0, 0, 0,
							SWP_NOACTIVATE | SWP_NOMOVE | SWP_NOSIZE );
	}
}

void Label::setGhosted(bool setghosted)
{	
	if (box != NULL)
		return;

	ghosted = setghosted;
	
	if (ghosted)
	{
		if ( !bLayeredFlag )
		{
			ModifyStyleEx(hWnd, 0, WS_EX_LAYERED | WS_EX_TRANSPARENT);
			UpdateWindowTransparency(alphaTransparency);
		}
		else
		{
			ModifyStyleEx(hWnd, 0, WS_EX_TRANSPARENT);
		}
	}
	else
	{
		ModifyStyleEx(hWnd, WS_EX_TRANSPARENT, 0);
	}
}

void Label::setAlpha(int newAlphaTransparency, bool hookingReset)
{
	if (box != NULL)
		return;

	if ( hookingReset )
	{
		UpdateWindowTransparency(alphaFadeTransparencyBackup);
		
		if ( !alwaysOnTop && !alphaMap )
			alwaysUpdateContent = true;

		return;
	}

	if (newAlphaTransparency >= 0 && newAlphaTransparency <= 255 && IsOS(OS_2KXP) )
	{
		if (!bLayeredFlag)
		{
			ModifyStyle(hWnd, WS_POPUP, WS_CHILD);
			SetParent(hWnd, 0);
			ModifyStyle(hWnd, WS_CHILD, WS_POPUP);

			ModifyStyleEx(hWnd, 0, WS_EX_LAYERED);

			ModifyStyle(hWnd, WS_POPUP, WS_CHILD);
			SetParent(hWnd, alwaysOnTop ? 0 : GetLitestepDesktop());
			ModifyStyle(hWnd, WS_CHILD, WS_POPUP);

			bLayeredFlag = true;
		}
		
		alphaTransparency = newAlphaTransparency;
		alphaFadeTransparencyBackup = newAlphaTransparency;
		
		UpdateWindowTransparency(newAlphaTransparency);
	}
}

void Label::setAlphaFade(int newAlphaTransparency, int step, int delay)
{
	if (box != NULL)
		return;

	if (newAlphaTransparency >= 0 && newAlphaTransparency <= 255 && IsOS(OS_2KXP) )
	{
		if (!bLayeredFlag)
		{
			ModifyStyle(hWnd, WS_POPUP, WS_CHILD);
			SetParent(hWnd, 0);
			ModifyStyle(hWnd, WS_CHILD, WS_POPUP);

			ModifyStyleEx(hWnd, 0, WS_EX_LAYERED);

			ModifyStyle(hWnd, WS_POPUP, WS_CHILD);
			SetParent(hWnd, alwaysOnTop ? 0 : GetLitestepDesktop());
			ModifyStyle(hWnd, WS_CHILD, WS_POPUP);

			bLayeredFlag = true;
		}
		
		KillTimer(hWnd, TIMER_ALPHAFADEUPBANG);
		KillTimer(hWnd, TIMER_ALPHAFADEDOWNBANG);

		KillTimer(hWnd, TIMER_ALPHAFADEIN);
		KillTimer(hWnd, TIMER_ALPHAFADEOUT);

		iUpdateAlpha = alphaTransparency;
		
		alphaFadeBangEndValue = newAlphaTransparency;

		alphaTransparency = newAlphaTransparency;
		alphaFadeTransparencyBackup = newAlphaTransparency;

		alphaFadeBangStep = step;

		if ( iUpdateAlpha > alphaFadeBangEndValue )
			SetTimer(hWnd, TIMER_ALPHAFADEDOWNBANG, delay, NULL);
		else if ( iUpdateAlpha < alphaFadeBangEndValue )
			SetTimer(hWnd, TIMER_ALPHAFADEUPBANG, delay, NULL);
		else
			UpdateWindowTransparency(newAlphaTransparency);
	}
}

//------------------------------------------------------------
//Set Text Settings
//------------------------------------------------------------

void Label::setText(const string &text, bool updateBackup, int extraFeatureMode, GhostLabel *ghostlabel)
{
	if ( extraFeatureMode == 2 )
	{
		if ( ghostlabel != NULL )
		{
			ghostlabel->strOriginalText = text;
			LSSetVariable((ghostlabel->strName + "Text").c_str(), ("\"" +text + "\"").c_str());

			update();
		}
	}
	else if ( extraFeatureMode == 1 )
	{
		if ( hWndTextBox )
		{
			string processedText = processLabelText(text, this, NULL);
			SetWindowText( hWndTextBox, processedText.c_str() );
			PrefixedLSSetVariable(strName, "CurrentTextEditBoxText", processedText);

			SetForegroundWindow(hWndTextBox);
			SetFocus(hWndTextBox);

			SendMessage((HWND) hWndTextBox, (UINT) EM_SETSEL, (WPARAM) processedText.length(), (LPARAM) processedText.length());
		}
	}
	else
	{
		//Backup User Changed TEXT <-> Internal Change
		if ( updateBackup )
		{
			originalTextBackup = text;
			listLabelHREFClickRegions.clear();
		}

		//originalText MUST be splitted, even if process is empty!
		if (noTextSplit)
			originalText = split(text, "%&*&%");
		else
			originalText = split(text, ";");
	
		if ( updateBackup )
		{
			current = 0;
			currentBackup = 0;
		}
		else
		{
			current = currentBackup;
		}

		update();
	}
}

void Label::previous()
{
	current--;

	if(current < 0)
		current = originalText.size()-1;

	currentBackup = current;

	update();
}

void Label::next()
{
	current++;

	if(current >= originalText.size())
		current = 0;

	currentBackup = current;

	update();
}

void Label::setScrolling(int scrolling)
{
	if (scrolling != 0 && iScroll == 0)
	{
		iScrollPosition = 0;
		bSkipScrollRepaint = false;
		repaint();
	}
	else if (scrolling == 0 && iScroll != 0)
	{
		KillTimer(hWnd, TIMER_SCROLL);
		iScrollPosition = 0;
		repaint();
	}

	iScrollLimit = 0;
	iScroll = scrolling;
	if (scrolling != 0)
		iScrollBackup = scrolling;
}

void Label::setScrollLimit(int limit)
{
	if (limit >= 0)
	{
		setScrolling(iScrollBackup);
		iScrollLimit = limit + 1;
	}
	else
	{
		setScrolling(0);
	}
}

void Label::update()
{
	bool ghostUpdateContent = false;
	string oldText = text;

	//Tooltips
	if ( pTooltip )
	{
		if ( !strOriginalTooltip.empty() )
		{
			strTooltip = (processLabelText(strOriginalTooltip, this, &dynamicTooltip));	

			if (dynamicTooltip)
				pTooltip->apply(strTooltip.c_str());
		}

		if ( !labelTooltipRegions.empty() )
		{
			POINT pt;
			GetCursorPos(&pt);
			ScreenToClient(hWnd, &pt);
			bool tmpdynamicTooltip = false;

			for(Label_RegionListIterator lrit = labelTooltipRegions.begin(); lrit != labelTooltipRegions.end(); lrit++)
			{
				if ( !(*lrit)->strOriginalTooltip.empty() )
				{
					string oldTooltipText = (*lrit)->strTooltip;
					(*lrit)->strTooltip = processLabelText((*lrit)->strOriginalTooltip, this, &tmpdynamicTooltip);
				
					if ( !dynamicTooltip && tmpdynamicTooltip )
						dynamicTooltip = true;

					if( PtInRect( &(*lrit)->region, pt) )
					{	
						if ( !(*lrit)->strTooltip.empty() && _stricmp(strTooltip.c_str(), (*lrit)->strTooltip.c_str()) != NULL )
						{
							strTooltip = (*lrit)->strTooltip;
							pTooltip->apply(strTooltip.c_str());
						}
					}
				}
			}
		}
	}

	if ( !ghostlabelList.empty() )
	{
		string oldGhostText = "";
		bool tmpdynamicText = false;

		for(GhostLabelListIterator glit = ghostlabelList.begin(); glit != ghostlabelList.end(); glit++)
		{
			if ( *glit != NULL )
			{
				if ( !(*glit)->strOriginalText.empty() && !(*glit)->bNoEscape )
				{
					oldGhostText = (*glit)->strText;
					(*glit)->strText = processLabelText((*glit)->strOriginalText, this, &tmpdynamicText);

					if ( !dynamicText && tmpdynamicText )
						dynamicText = true;

					if ( !ghostUpdateContent && strcmp((*glit)->strText.c_str(), oldGhostText.c_str()) != NULL )
						ghostUpdateContent = true;
				}
				else
				{
					(*glit)->strText = (*glit)->strOriginalText;
				}
			}
			else
			{
				break;
			}
		}
	}

	//Process Escape Sequence for ';'
	string process = originalText[current];
	while ( strstr(process.c_str(), "%~") != NULL )
		process.replace(process.find("%~"), 2, ";", 1);

	//Process [labelname]
	while ( strstr(process.c_str(), "[labelname]") != NULL )
		process.replace(process.find("[labelname]"), 11, strName.c_str(), strName.length());

	// Normal Text Processing
	if ( !noEscape )
	{
		bool tmpdynamicText = false;

		text = processLabelText(process, this, &tmpdynamicText);
		
		if ( !dynamicText && tmpdynamicText )
			dynamicText = true;

		while ( strstr(text.c_str(), "\t") != NULL )
			text.replace(text.find("\t"), 1, " ", 1);
	}
	// Skip Text Processing
	else
	{
		text = process;
	}

	if ( text.empty() )
		bSkipScrollRepaint = true;
	else 
		bSkipScrollRepaint = false;

	if ( strcmp(text.c_str(), oldText.c_str()) != NULL )
	{	
		if ( autoWidthMode != 0 || autoHeightMode != 0 )
			AutoSize();

		if(!textChangeCommand.empty())
			xLSExecute(hWnd, textChangeCommand.c_str(), SW_SHOWNORMAL);
	
		repaint();
	}
	else if ( ghostUpdateContent || alwaysUpdateContent )
	{
		repaint();
	}

	if ( dynamicText || dynamicTooltip || alwaysUpdateContent )
		SetTimer(hWnd, TIMER_UPDATE, updateInterval, 0);
	else
		KillTimer(hWnd, TIMER_UPDATE);
}

//------------------------------------------------------------
//Set Animations
//------------------------------------------------------------

void Label::setAnimation(bool start, int loops)
{
	if ( !normalAnim )
		return;

	imageLoop = loops;
	normalAnim = start;

	if (start)
	{
		iFrameCounter = 1;
		iLoopCounter = 0;
		SetTimer(hWnd, TIMER_FRAMEANIMATION, imageFrameDelay, NULL);

		if ( !animloopstartCommand.empty() )
			xLSExecute(hWnd, animloopstartCommand.c_str(), SW_SHOWNORMAL);
	}
	else
	{
		iFrameCounter = 0;
		iLoopCounter = 0;
		KillTimer(hWnd, TIMER_FRAMEANIMATION);

		if ( !animloopstopCommand.empty() )
			xLSExecute(hWnd, animloopstopCommand.c_str(), SW_SHOWNORMAL);
		
		repaint(true);
	}	
}

//------------------------------------------------------------
//Move/Resize/Reposition
//------------------------------------------------------------
//Type == 1 -> Move
//Type == 2 -> Resize
//Type == 3 -> Reposition

void Label::reposition(int type, int newx, int newy, int newwidth, int newheight, int steps, int time, bool repositionBy, bool movecommand, Label* sender)
{
	//Prevents infinite looping of docked moving
	this->sender = sender;

	int x = actualx;
	int y = actualy;
	
	int width = actualwidth;
	int height = actualheight;
	
	POINT posHolder;
	posHolder.x = actualx;
	posHolder.y = actualy;

	POINT sizeHolder;
	sizeHolder.x = actualwidth;
	sizeHolder.y = actualheight;

	if (steps > 0 && time > 0)
	{
		if (time > 50)
			time = 50;

		if (repositionBy)
		{
			if (type != 2)
			{
				newx = x + newx;
				newy = y + newy;
			}
			if (type != 1)
			{
				newwidth = width + newwidth;
				newheight = height + newheight;
			}
		}

		int counter = 0;
		int deltax = newx - x;
		int deltay = newy - y;
		int deltasizex = newwidth - width;
		int deltasizey = newheight - height;

		bool growx;
		bool growy;
		bool growsizex;
		bool growsizey;
		
		if (deltax < 0)
			growx = false;
		else
			growx = true;
		if (deltay < 0)
			growy = false;
		else
			growy = true;
		
		if (deltasizex < 0)
			growsizex = false;
		else
			growsizex = true;
		if (deltasizey < 0)
			growsizey = false;
		else
			growsizey = true;

		int restx = 0;
		int resty = 0;
		int restw = 0;
		int resth = 0;

		div_t div_result;
		div_result = div( deltax, steps );
		deltax = div_result.quot;
		restx = div_result.rem;
		div_result = div( deltay, steps );
		deltay = div_result.quot;
		resty = div_result.rem;

		div_result = div( deltasizex, steps );
		deltasizex = div_result.quot;
		restw = div_result.rem;
		div_result = div( deltasizey, steps );
		deltasizey = div_result.quot;
		resth = div_result.rem;

		if (deltax == 0 && growx)
			deltax = 1;
		else if (deltax == 0 && !growx)
			deltax = -1;
		if (deltay == 0 && growy)
			deltay = 1;
		else if (deltay == 0 && !growy)
			deltay = -1;

		if (deltasizex == 0 && growsizex)
			deltasizex = 1;
		else if (deltasizex == 0 && !growsizex)
			deltasizex = -1;
		if (deltasizey == 0 && growsizey)
			deltasizey = 1;
		else if (deltasizey == 0 && !growsizey)
			deltasizey = -1;

		int dynx = x;
		int dyny = y;
		int dynwidth = width;
		int dynheight = height;

		int stopper = 0;
		while (counter <= steps)
		{
			stopper = 0; // Stop if x, y, width and height are finished, stopper = 4
			if ( restx > 0 && deltax > 0 )
			{
				dynx = dynx+deltax+1;
				restx--;
			}
			else if ( restx < 0 && deltax < 0 )
			{
				dynx = dynx+deltax-1;
				restx++;
			}
			else
			{
				dynx = dynx+deltax;
			}

			if (growx && dynx > newx)
			{
				dynx = newx;
				stopper++;
			}
			else if (!growx && dynx < newx)
			{
				dynx = newx;
				stopper++;
			}

			if ( resty > 0 && deltay > 0 )
			{
				dyny = dyny+deltay+1;
				resty--;
			}
			else if ( resty < 0 && deltay < 0 )
			{
				dyny = dyny+deltay-1;
				resty++;
			}
			else
			{
				dyny = dyny+deltay;
			}

			if (growy && dyny > newy)
			{
				dyny = newy;
				stopper++;
			}
			else if (!growy && dyny < newy)
			{
				dyny = newy;
				stopper++;
			}

			if ( restw > 0 && deltasizex > 0 )
			{
				dynwidth = dynwidth+deltasizex+1;
				restw--;
			}
			else if ( restw < 0 && deltasizex < 0 )
			{
				dynwidth = dynwidth+deltasizex-1;
				restw++;
			}
			else
			{
				dynwidth = dynwidth+deltasizex;
			}

			if (growsizex && dynwidth > newwidth)
			{
				dynwidth = newwidth;
				stopper++;
			}
			else if (!growsizex && dynwidth < newwidth)
			{
				dynwidth = newwidth;
				stopper++;
			}

			if ( resth > 0 && deltasizey > 0 )
			{
				dynheight = dynheight+deltasizey+1;
				resth--;
			}
			else if ( resth < 0 && deltasizey < 0 )
			{
				dynheight = dynheight+deltasizey-1;
				resth++;
			}
			else
			{
				dynheight = dynheight+deltasizey;
			}

			if (growsizey && dynheight > newheight)
			{
				dynheight = newheight;
				stopper++;
			}
			else if (!growsizey && dynheight < newheight)
			{
				dynheight = newheight;
				stopper++;
			}

			if ( type == 2 || type == 3 )
				bResizeBorderResize = false;
			
			SetWindowPos(hWnd, 0, dynx, dyny, dynwidth, dynheight,
					SWP_NOACTIVATE | (type == 2 ? SWP_NOMOVE : 0) | (type == 1 ? SWP_NOSIZE : 0 ) | SWP_NOZORDER);

			if (box != NULL)
				RedrawWindow(box, NULL, NULL, RDW_INVALIDATE | RDW_UPDATENOW | RDW_ALLCHILDREN);

			repaint();
		
			if (stopper == 4)
				counter = steps;

			counter++;
			
			Sleep(time);
		}

		if ( type == 1 )
		{
			SetWindowPos(hWnd, 0, newx, newy, 0, 0,
						SWP_NOACTIVATE | SWP_NOSIZE | SWP_NOZORDER);
		}
		else if ( type == 2 )
		{
			bResizeBorderResize = false;

			SetWindowPos(hWnd, 0, 0, 0, newwidth, newheight,
						SWP_NOACTIVATE | SWP_NOMOVE | SWP_NOZORDER);

			if ( !fireOnResizeDuringResize && !resizeCommand.empty() && (newwidth != sizeHolder.x || newheight != sizeHolder.y) )
				xLSExecute(hWnd, resizeCommand.c_str(), SW_SHOWNORMAL);

		}
		else if ( type == 3 )
		{
			bResizeBorderResize = false;

			SetWindowPos(hWnd, 0, newx, newy, newwidth, newheight,
						SWP_NOACTIVATE | SWP_NOZORDER);

			if ( !fireOnResizeDuringResize && !resizeCommand.empty() && (newwidth != sizeHolder.x || newheight != sizeHolder.y) )
				xLSExecute(hWnd, resizeCommand.c_str(), SW_SHOWNORMAL);
		}
		
		if (box != NULL)
			repaint();
	}
	else
	{
		if (repositionBy)
		{
			if (type != 2)
			{
				newx = x + newx;
				newy = y + newy;
			}
			if (type != 1)
			{
				newwidth = width + newwidth;
				newheight = height + newheight;
			}
		}

		if ( type == 1 )
		{
			SetWindowPos(hWnd, 0, newx, newy, 0, 0,
						SWP_NOACTIVATE | SWP_NOSIZE | SWP_NOZORDER);
		}
		else if ( type == 2 )
		{
			bResizeBorderResize = false;

			SetWindowPos(hWnd, 0, 0, 0, newwidth, newheight,
						SWP_NOACTIVATE | SWP_NOMOVE | SWP_NOZORDER);

			if ( !fireOnResizeDuringResize && !resizeCommand.empty() && (newwidth != sizeHolder.x || newheight != sizeHolder.y) )
				xLSExecute(hWnd, resizeCommand.c_str(), SW_SHOWNORMAL);
		}
		else if ( type == 3 )
		{
			bResizeBorderResize = false;

			SetWindowPos(hWnd, 0, newx, newy, newwidth, newheight,
						SWP_NOACTIVATE | SWP_NOZORDER);

			if ( !fireOnResizeDuringResize && !resizeCommand.empty() && (newwidth != sizeHolder.x || newheight != sizeHolder.y) )
				xLSExecute(hWnd, resizeCommand.c_str(), SW_SHOWNORMAL);
		}

		if (box != NULL)
			repaint();
	}

	if (type != 2 && movecommand && bLabelInitialized && !moveCommand.empty() && (newx != posHolder.x || newy != posHolder.y))
		xLSExecute(hWnd, moveCommand.c_str(), SW_SHOWNORMAL);
}

//------------------------------------------------------------
//Show/Hide
//------------------------------------------------------------
void Label::show(bool execute, int extraFeatureMode, GhostLabel *ghostlabel)
{
	if ( ParentDestroyNotificationReceived )
		return;

	if ( extraFeatureMode == 2 )
	{
		if ( ghostlabel != NULL )
		{
			ghostlabel->bVisible = true;
			repaint(true);
		}
	}
	else if ( extraFeatureMode == 1 )
	{
		if ( hWndTextBox )
		{
			ShowWindow(hWndTextBox, SW_SHOW);
			if ( !textboxVisible )
			{
				textboxVisible = true;

				SetForegroundWindow(hWndTextBox);
				SetFocus(hWndTextBox);

				repaint();

				PrefixedLSSetVariable(strName, "TextEditBoxVisible", "true");
			}
			else
			{
				SetForegroundWindow(hWndTextBox);
				SetFocus(hWndTextBox);
			}
		}
	}
	else
	{
		KillTimer(hWnd, TIMER_AUTOHIDE);
		autoHideIsRunning = false;

		if (alphaFade && !bVisible)
		{
			KillTimer(hWnd, TIMER_ALPHAFADEUPBANG);
			KillTimer(hWnd, TIMER_ALPHAFADEDOWNBANG);

			KillTimer(hWnd, TIMER_ALPHAFADEOUT);
			iUpdateAlpha = alphaTransparency;
			SetTimer(hWnd, TIMER_ALPHAFADEIN, alphaFadeDelay, NULL);
		}
		else
		{
			ShowWindow(hWnd, SW_SHOWNOACTIVATE);
		}

		if (!showCommand.empty() && execute && !bVisible)
		{
			xLSExecute(hWnd, showCommand.c_str(), SW_SHOWNORMAL);
		}

		bVisible = true;

		bScrollingPaused = false;

		PrefixedLSSetVariable(strName, "Visible", "true");

		if (normalAnim)
		{
			iFrameCounter = 1;
			iLoopCounter = 0;
			SetTimer(hWnd, TIMER_FRAMEANIMATION, imageFrameDelay, NULL);

			if ( !animloopstartCommand.empty() )
				xLSExecute(hWnd, animloopstartCommand.c_str(), SW_SHOWNORMAL);
		}

		//Very important, but i don't know why :)
		repaint(true);
	}
}

void Label::showHide(int timeout, bool execute)
{
	if ( autoHideIsRunning )
	{
		KillTimer(hWnd, TIMER_AUTOHIDE);
		autoHideIsRunning = false;
	}
	else
	{
		if ( !bVisible )
			show(execute);
		else
			hide(execute);
	}

	SetTimer(hWnd, TIMER_AUTOHIDE, timeout, NULL);

	autoHideIsRunning = true;
}

void Label::hide(bool execute, int extraFeatureMode, GhostLabel *ghostlabel)
{
	if ( extraFeatureMode == 2 )
	{
		if ( ghostlabel != NULL )
		{
			ghostlabel->bVisible = false;
			repaint(true);
		}
	}
	else if ( extraFeatureMode == 1 )
	{
		if ( hWndTextBox )
		{
			SetWindowText(hWndTextBox,"");
			ShowWindow(hWndTextBox, SW_HIDE);
			textboxVisible = false;
			repaint(true);

			PrefixedLSSetVariable(strName, "TextEditBoxVisible", "false");
		}
	}
	else
	{
		KillTimer(hWnd, TIMER_AUTOHIDE);
		autoHideIsRunning = false;

		if (alphaFade && bVisible)
		{
			KillTimer(hWnd, TIMER_ALPHAFADEUPBANG);
			KillTimer(hWnd, TIMER_ALPHAFADEDOWNBANG);

			KillTimer(hWnd, TIMER_ALPHAFADEIN);
			iUpdateAlpha = alphaTransparency;
			SetTimer(hWnd, TIMER_ALPHAFADEOUT, alphaFadeDelay, NULL);
		}
		else
		{
			ShowWindow(hWnd, SW_HIDE);
		}

		if (!hideCommand.empty() && execute && bVisible)
		{
			xLSExecute(hWnd, hideCommand.c_str(), SW_SHOWNORMAL);
		}

		bVisible = false;

		bScrollingPaused = true;

		PrefixedLSSetVariable(strName, "Visible", "false");

		if (normalAnim || hoverAnim)
		{
			KillTimer(hWnd, TIMER_FRAMEANIMATION);
			
			if ( iLoopCounter < imageLoop && !animloopstopCommand.empty() )
				xLSExecute(hWnd, animloopstopCommand.c_str(), SW_SHOWNORMAL);
			
			iFrameCounter = 1;
			iLoopCounter = 0;
			iHoverLoopCounter = 0;
		}
	}
}

//------------------------------------------------------------
//Clipboard Functions
//------------------------------------------------------------

void Label::clipboardCopy(string prefix)
{
	string toCopy = prefix.empty() ? text : (prefix + " " + text);
	SetClipboardText(hWnd, toCopy.c_str());
}

void Label::clipboardPaste(string prefix)
{
	char buffer[256] = {0};

	if(GetClipboardText(hWnd, buffer, 256))
	{
		string toPaste = prefix.empty() ? string(buffer) : (prefix + " " + string(buffer));
		setText(toPaste);
	}
}

//------------------------------------------------------------
//Region Events (Checking)
//------------------------------------------------------------

bool Label::checkHREFRegions(int x, int y, vector<string> inputlist)
{
	bool found = false;
	if (!inputlist.empty())
	{	
		char left[16], top[16], right[16], bottom[16], hreftooltip[MAX_LINE_LENGTH], command[MAX_LINE_LENGTH];
		char *buffers[] = {left, top, right, bottom, hreftooltip};

		int intleft = 0;
		int intright = 0;
		int inttop = 0;
		int intbottom = 0;
		string strTooltip = "";

		for(vector<string>::iterator sit = inputlist.begin(); sit != inputlist.end(); sit++)
		{
			if(LCTokenize((*sit).c_str(), buffers, 5, command) >= 5)
			{
				intleft = atoi(left);
				intright = atoi(right);
				inttop = atoi(top);
				intbottom  = atoi(bottom);
				strTooltip = hreftooltip;

				if( x >= intleft && x <= intright && y >= inttop && y <= intbottom )
				{
					if (!handcursor)
					{
						if ( !IsOS(OS_2KXP) )
						{
							// Get the windows directory
							CString strWndDir;
							GetWindowsDirectory(strWndDir.GetBuffer(MAX_LINE_LENGTH), MAX_LINE_LENGTH);
							strWndDir.ReleaseBuffer();

							strWndDir += _T("\\winhlp32.exe");

							// This retrieves cursor #106 from winhlp32.exe, which is a hand pointer
							HMODULE hModule = LoadLibrary(strWndDir);
								
							if (hModule)
								handcursor = ::LoadCursor(hModule, MAKEINTRESOURCE(106));
					
							FreeLibrary(hModule);
						}
						else
						{
							handcursor = LoadCursor( 0, MAKEINTRESOURCE(32649) );
						}

						SetCursor(handcursor);
					}
					else
					{
						SetCursor(handcursor);
					}

					if ( pTooltip == NULL && !strTooltip.empty() )
					{
						pTooltip = Create_xTooltipClass(hWnd, hInstance);
						hWndTooltip = pTooltip->configure(strName.c_str(), "");
					}
					else if ( pTooltip && !strTooltip.empty() )
					{
						pTooltip->apply(strTooltip.c_str());
					}
						
					//Processing Hover Change
					if (hrefconfig.size() == 2 && !bMouseInsideHREF)
					{
						CString textprocess = originalText[current].c_str();
						CString textoutput = originalText[current].c_str();
						CString commandprocess = command;

						textprocess.MakeLower();
						commandprocess.MakeLower();

						int pos = 0;
						textprocess.Replace("&quot;", "\"");
						textprocess.Replace("&lt;", "<");
						textprocess.Replace("&gt;", ">");
						textprocess.Replace("&amp;", "&");
			
						textoutput.Replace("&quot;", "\"");
						textoutput.Replace("&lt;", "<");
						textoutput.Replace("&gt;", ">");
						textoutput.Replace("&amp;", "&");

						commandprocess = commandprocess.Right(commandprocess.GetLength()-commandprocess.Find("'>"));
						pos = textprocess.Find(commandprocess);
						if ( pos != -1 )
						{
							textprocess.Insert(pos+2, hrefconfig[0].c_str());
							textoutput.Insert(pos+2, hrefconfig[0].c_str());
							pos = textprocess.Find("</a>", pos+2);
							if ( pos != -1 )
							{
								textprocess.Insert(pos, hrefconfig[1].c_str());
								textoutput.Insert(pos, hrefconfig[1].c_str());

								textoutput.Replace("\"", "");

								setText((string)textoutput);
									
								bMouseInsideHREF = true;
							}
						}
					}
					//End

					found = true;
					break;
				}
			}
		}
	}

	if ( !found && pTooltip )
	{
		bool tmpdynamicTooltip = false;
		string restore = processLabelText(strOriginalTooltip, this, &tmpdynamicTooltip);
		if ( _stricmp(strTooltip.c_str(), restore.c_str()) != NULL )
		{
			strTooltip = restore;
			pTooltip->apply(strTooltip.c_str());
		}
	}

	return found;
}

bool Label::checkHREFClickRegions(int x, int y, vector<string> inputlist)
{
	bool found = false;
	if (!inputlist.empty())
	{	
		char left[16], top[16], right[16], bottom[16], command[MAX_LINE_LENGTH];
		char *buffers[] = {left, top, right, bottom};

		int intleft = 0;
		int intright = 0;
		int inttop = 0;
		int intbottom = 0;

		for(vector<string>::iterator sit = inputlist.begin(); sit != inputlist.end(); sit++)
		{
			if(LCTokenize((*sit).c_str(), buffers, 4, command) >= 4)
			{
				intleft = atoi(left);
				intright = atoi(right);
				inttop = atoi(top);
				intbottom  = atoi(bottom);

				if( x >= intleft && x <= intright && y >= inttop && y <= intbottom )
				{	
					CString process = command;
					process = process.Right(process.GetLength()-process.Find("<'")-2);
					process = process.Left(process.Find("'>"));

					process.Replace("&quot;", "\"");
					process.Replace("&lt;", "<");
					process.Replace("&gt;", ">");
					process.Replace("&amp;", "&");
			
					xLSExecute(hWnd, process, SW_SHOWNORMAL);

					found = true;
					break;	
				}
			}
		}
	}
	return found;
}

bool Label::checkRegions(int x, int y, Label_RegionList inputlist, bool btooltip)
{
	bool found = false;
	if (!inputlist.empty())
	{
		if ( btooltip && pTooltip )
		{	
			POINT pt = {x,y};
			for(Label_RegionListIterator lrit = inputlist.begin(); lrit != inputlist.end(); lrit++)
			{
				if( PtInRect(&(*lrit)->region, pt) && ((*lrit)->pGhostLabel == NULL || ((*lrit)->pGhostLabel != NULL && (*lrit)->pGhostLabel->bVisible)))
				{	
					if ( !(*lrit)->strTooltip.empty() && _stricmp(strTooltip.c_str(), (*lrit)->strTooltip.c_str()) != NULL )
					{
						strTooltip = (*lrit)->strTooltip;
						pTooltip->apply(strTooltip.c_str());
					}

					found = true;
					break;	
				}
			}

			if ( !found )
			{
				bool tmpdynamicTooltip = false;
				string restore = processLabelText(strOriginalTooltip, this, &tmpdynamicTooltip);
				if ( _stricmp(strTooltip.c_str(), restore.c_str()) != NULL )
				{
					strTooltip = restore;
					pTooltip->apply(strTooltip.c_str());
				}
			}
		}
		else if ( !btooltip )
		{
			POINT pt = {x,y};
			for(Label_RegionListIterator lrit = inputlist.begin(); lrit != inputlist.end(); lrit++)
			{
				if( PtInRect( &(*lrit)->region, pt) )
				{	
					if ( (*lrit)->pGhostLabel != NULL )
					{
						if ( (*lrit)->pGhostLabel->bVisible && !(*lrit)->pGhostLabel->bIsHover && !(*lrit)->pGhostLabel->bIsPressed )
						{
							(*lrit)->pGhostLabel->bIsHover = true;
							found = true;
							if ( !(*lrit)->pGhostLabel->bMouseInside )
							{
								(*lrit)->pGhostLabel->bMouseInside = true;
								if ( !(*lrit)->pGhostLabel->strEnterCommand.empty() )
									xLSExecute(hWnd, (*lrit)->pGhostLabel->strEnterCommand.c_str(), SW_SHOWNORMAL);
							}
						}
					}
				}
				else 
				{
					if ( (*lrit)->pGhostLabel != NULL )
					{
						if ( (*lrit)->pGhostLabel->bVisible && ((*lrit)->pGhostLabel->bIsHover || (*lrit)->pGhostLabel->bIsPressed) )
						{
							(*lrit)->pGhostLabel->bIsHover = false;
							(*lrit)->pGhostLabel->bIsPressed = false;
							found = true;
							if ( (*lrit)->pGhostLabel->bMouseInside )
							{
								(*lrit)->pGhostLabel->bMouseInside = false;
								if ( !(*lrit)->pGhostLabel->strLeaveCommand.empty() )
									xLSExecute(hWnd, (*lrit)->pGhostLabel->strLeaveCommand.c_str(), SW_SHOWNORMAL);
							}
						}
					}
				}
			}
		}
	}
	return found;
}


bool Label::checkClickRegions(int x, int y, Label_RegionList inputlist, int checkPressedState)
{
	bool found = false;
	if (!inputlist.empty())
	{	
		POINT pt = {x,y};
		for(Label_RegionListIterator lrit = inputlist.begin(); lrit != inputlist.end(); lrit++)
		{
			if( PtInRect( &(*lrit)->region, pt) )
			{	
				if ( checkPressedState != -1 )
				{
					if ( (*lrit)->pGhostLabel == NULL || ((*lrit)->pGhostLabel != NULL && (*lrit)->pGhostLabel->bVisible) )
					{
						if ( !(*lrit)->strAction.empty() )
							xLSExecute(hWnd, (*lrit)->strAction.c_str(), SW_SHOWNORMAL);
					}
				}

				if ( checkPressedState != 0)
				{
					if ( (*lrit)->pGhostLabel != NULL )
					{
						if ( !(*lrit)->pGhostLabel->bIsPressed && checkPressedState == -1 )
							(*lrit)->pGhostLabel->bIsPressed = true;
						else if ( (*lrit)->pGhostLabel->bIsPressed && checkPressedState == 1 )
							(*lrit)->pGhostLabel->bIsPressed = false;
					}
				}

				found = true;
				if ( checkPressedState == 0 )
					break;	
			}
			else if ( checkPressedState != 0)
			{
				if ( (*lrit)->pGhostLabel != NULL )
				{
					if ( (*lrit)->pGhostLabel->bIsPressed )
						(*lrit)->pGhostLabel->bIsPressed = false;
				}
			}
		}
	}
	return found;
}

//------------------------------------------------------------
//Mouse Related Actions (Clicks, Enter, Leave, Move, ...)
//------------------------------------------------------------

LRESULT Label::NcHitTest(int x, int y)
{
	if ( y >= 0 && y <= iResizeBorderTop && x >= 0 && x <= iResizeBorderLeft )
	{
		return HTTOPLEFT;
	}
	else if ( y >= 0 && y <= iResizeBorderTop && x >= actualwidth-iResizeBorderRight && x <= actualwidth )
	{	
		return HTTOPRIGHT;
	}	
	else if ( y >= 0 && y <= iResizeBorderTop )
	{	
		return HTTOP;
	}	
	else if ( y >= actualheight-iResizeBorderBottom && y <= actualheight && x >= 0 && x <= iResizeBorderLeft )
	{	
		return HTBOTTOMLEFT;
	}	
	else if ( y >= actualheight-iResizeBorderBottom && y <= actualheight && x >= actualwidth-iResizeBorderRight && x <= actualwidth )
	{	
		return HTBOTTOMRIGHT;
	}	
	else if ( y >= actualheight-iResizeBorderBottom && y <= actualheight )
	{	
		return HTBOTTOM;
	}	
	else if ( x >= 0 && x <= iResizeBorderLeft )
	{	
		return HTLEFT;
	}	
	else if ( x >= actualwidth-iResizeBorderRight && x <= actualwidth )
	{	
		return HTRIGHT;
	}	
	else
	{
		return 0;
	}
}

void Label::onLButtonDblClk(int x, int y)
{
	if ( !checkClickRegions(x, y, labelLeftDoubleClickRegions) ) 
	{
		if ( !CheckModClick(leftModDoubleClickList) )
		{
			if(!leftDoubleClickCommand.empty())
				xLSExecute(hWnd, leftDoubleClickCommand.c_str(), SW_SHOWNORMAL);
		}
	}
}

void Label::onLButtonDown(int x, int y)
{
	// 1 = LeftButton
	ontemplateButtonDown(x, y, 1, labelLeftClickRegions, leftClickDownCommand);
}

void Label::onLButtonUp(int x, int y)
{	
	// 1 = LeftButton
	ontemplateButtonUp(x, y, 1, labelLeftClickRegions, leftClickCommand, leftClickUpCommand);
}

void Label::onMButtonDblClk(int x, int y)
{
	if ( !checkClickRegions(x, y, labelMiddleDoubleClickRegions) ) 
	{
		if ( !CheckModClick(middleModDoubleClickList) )
		{
			if(!middleDoubleClickCommand.empty())
				xLSExecute(hWnd, middleDoubleClickCommand.c_str(), SW_SHOWNORMAL);
		}
	}
}

void Label::onMButtonDown(int x, int y)
{
	// 3 = MiddleButton
	ontemplateButtonDown(x, y, 3, labelMiddleClickRegions, middleClickDownCommand);
}

void Label::onMButtonUp(int x, int y)
{
	// 3 = MiddleButton
	ontemplateButtonUp(x, y, 3, labelMiddleClickRegions, middleClickCommand, middleClickUpCommand);
}

void Label::onRButtonDblClk(int x, int y)
{
	if ( !checkClickRegions(x, y, labelRightDoubleClickRegions) ) 
	{
		if ( !CheckModClick(rightModDoubleClickList) )
		{
			if(!rightDoubleClickCommand.empty())
				xLSExecute(hWnd, rightDoubleClickCommand.c_str(), SW_SHOWNORMAL);
		}
	}
}

void Label::onRButtonDown(int x, int y)
{
	// 2 = RightButton
	ontemplateButtonDown(x, y, 2, labelRightClickRegions, rightClickDownCommand);
}

void Label::onRButtonUp(int x, int y)
{
	// 2 = RightButton
	ontemplateButtonUp(x, y, 2, labelRightClickRegions, rightClickCommand, rightClickUpCommand);
}

void Label::onX1ButtonDblClk(int x, int y)
{
	if ( !checkClickRegions(x, y, labelX1DoubleClickRegions) ) 
	{
		if ( !CheckModClick(X1ModDoubleClickList) )
		{
			if(!X1DoubleClickCommand.empty())
				xLSExecute(hWnd, X1DoubleClickCommand.c_str(), SW_SHOWNORMAL);
		}
	}
}

void Label::onX1ButtonDown(int x, int y)
{
	// 4 = X1Button
	ontemplateButtonDown(x, y, 4, labelX1ClickRegions, X1ClickDownCommand);
}

void Label::onX1ButtonUp(int x, int y)
{
	// 4 = X1Button
	ontemplateButtonUp(x, y, 4, labelX1ClickRegions, X1ClickCommand, X1ClickUpCommand);
}

void Label::onX2ButtonDblClk(int x, int y)
{
	if ( !checkClickRegions(x, y, labelX2DoubleClickRegions) ) 
	{
		if ( !CheckModClick(X2ModDoubleClickList) )
		{
			if(!X2DoubleClickCommand.empty())
				xLSExecute(hWnd, X2DoubleClickCommand.c_str(), SW_SHOWNORMAL);
		}
	}
}

void Label::onX2ButtonDown(int x, int y)
{
	// 5 = X2Button
	ontemplateButtonDown(x, y, 5, labelX2ClickRegions, X2ClickDownCommand);
}

void Label::onX2ButtonUp(int x, int y)
{
	// 5 = X2Button
	ontemplateButtonUp(x, y, 5, labelX2ClickRegions, X2ClickCommand, X2ClickUpCommand);
}

void Label::onWheelDown(int x, int y)
{
	if(!wheelDownCommand.empty())
		xLSExecute(hWnd, wheelDownCommand.c_str(), SW_SHOWNORMAL);
}

void Label::onWheelUp(int x, int y)
{
	if(!wheelUpCommand.empty())
		xLSExecute(hWnd, wheelUpCommand.c_str(), SW_SHOWNORMAL);
}

void Label::onMouseEnter()
{
	SendMessage(hWnd, LM_SETCURSOR, 0, 0);

	if (useHover)
	{
		//Kill AnimTimer from Normal Animation
		if (normalAnim)
			KillTimer(hWnd, TIMER_FRAMEANIMATION);

		//If HoverAnim is set (hoverframecount != 0)
		if (hoverAnim)
		{
			hoverActive = true;
			pressedActive = false;

			//AutoSize due to possible Font change
			if ( !text.empty() && (autoWidthMode != 0 || autoHeightMode != 0) )
				AutoSize();
	
			iFrameCounter = 1;
			iHoverLoopCounter = 0;
			//Start AnimTimer from Hover Animation
			SetTimer(hWnd, TIMER_FRAMEANIMATION, hoverimageFrameDelay, NULL);
		}
		//If HoverAnim is not set (hoverframecount == 0)
		else
		{
			iFrameCounter = 0;
			hoverActive = true;
			pressedActive = false;

			//AutoSize due to possible Font change
			if ( !text.empty() && (autoWidthMode != 0 || autoHeightMode != 0) )
				AutoSize();

			repaint(true);
		}
	}
	else
	{
		if ( hoverfont )
		{
			//AutoSize due to possible Font change
			if ( !text.empty() )
			{
				hoverActive = true;
				pressedActive = false;

				if ( autoWidthMode != 0 || autoHeightMode != 0 )
					AutoSize();

				repaint();
			}
		}
	}
	
	if (!enterCommand.empty())
	{
		xLSExecute(hWnd, enterCommand.c_str(), SW_SHOWNORMAL);
	}
		
	if ( !hoverCommand.empty() )
	{
		TRACKMOUSEEVENT mouseEvent = {0};
		mouseEvent.cbSize = sizeof(TRACKMOUSEEVENT);
		mouseEvent.hwndTrack = hWnd;
		mouseEvent.dwFlags = TME_HOVER;
		mouseEvent.dwHoverTime = hoverTime;

		_TrackMouseEvent(&mouseEvent);
	}

	if (focusOnEnter)
	{	
		skipButton = true;
		mouse_event( MOUSEEVENTF_ABSOLUTE | MOUSEEVENTF_MIDDLEDOWN,
						NULL, NULL, NULL, NULL );
		mouse_event( MOUSEEVENTF_ABSOLUTE | MOUSEEVENTF_MIDDLEUP,
						NULL, NULL, NULL, NULL );
	}
}

void Label::onMouseLeave()
{
	bool repaintneeded = false;

	if (useHover || usePressed)
	{
		//If HoverAnim was active (hoverframecount != 0)
		if (hoverAnim)
		{	
			iFrameCounter = 0;
			hoverActive = false;
			pressedActive = false;

			//AutoSize due to possible Font change
			if ( !text.empty() && (autoWidthMode != 0 || autoHeightMode != 0) )
				AutoSize();
		
			//Kill AnimTimer from Hover Animation
			KillTimer(hWnd, TIMER_FRAMEANIMATION);

			//If NormalAnim is set (framecount != 0)
			if (useHover && normalAnim)
			{
				if ( iLoopCounter < imageLoop || imageLoop == -1 )
				{
					iFrameCounter = 1;
					//iLoopCounter = 0;

					SetTimer(hWnd, TIMER_FRAMEANIMATION, imageFrameDelay, NULL);
				}
				else
				{
					repaintneeded = true;
				}
			}
			//If NormalAnim is not set (framecount == 0)
			else
			{
				repaintneeded = true;
			}
		}
		else
		{
			hoverActive = false;
			pressedActive = false;

			//AutoSize due to possible Font change
			if ( !text.empty() && (autoWidthMode != 0 || autoHeightMode != 0) )
				AutoSize();

			//If NormalAnim is set (framecount != 0)
			if (useHover && normalAnim)
			{
				if ( iLoopCounter < imageLoop || imageLoop == -1 )
				{
					iFrameCounter = 1;
					//iLoopCounter = 0;

					SetTimer(hWnd, TIMER_FRAMEANIMATION, imageFrameDelay, NULL);
				}
				else
				{
					repaintneeded = true;
				}
			}
			//If NormalAnim is not set (framecount == 0)
			else
			{
				repaintneeded = true;
			}
		}
	}
	else
	{
		if ( hoverfont )
		{
			//AutoSize due to possible Font change
			if ( !text.empty() )
			{	
				hoverActive = false;
				pressedActive = false;

				if ( autoWidthMode != 0 || autoHeightMode != 0 )
					AutoSize();

				repaintneeded = true;
			}
		}
	}

	if ( !labelGhostRegions.empty() )
	{
		for (Label_RegionListIterator lrit = labelGhostRegions.begin(); lrit != labelGhostRegions.end(); lrit++)
		{
			if ( (*lrit)->pGhostLabel->bIsHover || (*lrit)->pGhostLabel->bIsPressed )
			{
				(*lrit)->pGhostLabel->bIsHover = false;
				(*lrit)->pGhostLabel->bIsPressed = false;
				if ( (*lrit)->pGhostLabel->bMouseInside )
				{
					(*lrit)->pGhostLabel->bMouseInside = false;
					if ( !(*lrit)->pGhostLabel->strLeaveCommand.empty() )
						xLSExecute(hWnd, (*lrit)->pGhostLabel->strLeaveCommand.c_str(), SW_SHOWNORMAL);
				}

				repaintneeded = true;
			}
		}
	}
	
	if ( repaintneeded )
		repaint(true);

	if (!leaveCommand.empty())
	{
		xLSExecute(hWnd, leaveCommand.c_str(), SW_SHOWNORMAL);
	}

	if ( hWndTextBox )
	{
		char buffer[MAX_PATH] = {0};
		GetWindowText(hWndTextBox, buffer, MAX_PATH);
		PrefixedLSSetVariable(strName, "CurrentTextEditBoxText", buffer);
	}
}

void Label::onMouseMove(int x, int y)
{
	if (!bMoveable)
	{
		if (!bMouseInside)
		{
			bMouseInside = true;
			onMouseEnter();
			SetTimer(hWnd, TIMER_MOUSETRACK, 100, 0);
		}

		if (bMouseInside2)
		{
			bMouseInside2 = false;
			SendMessage(hWnd, LM_SETCURSOR, 0, 0);

			if ( !hoverCommand.empty() )
			{
				TRACKMOUSEEVENT mouseEvent = {0};
				mouseEvent.cbSize = sizeof(TRACKMOUSEEVENT);
				mouseEvent.hwndTrack = hWnd;
				mouseEvent.dwFlags = TME_HOVER;
				mouseEvent.dwHoverTime = hoverTime;

				_TrackMouseEvent(&mouseEvent);
			}
		}

		if (!listLabelHREFClickRegions.empty())
		{
			if (!checkHREFRegions(x, y, listLabelHREFClickRegions) && bMouseInsideHREF)
			{
				if (!originalTextBackup.empty())
				{
					current = currentBackup;
					setText(originalTextBackup);
				}
				SendMessage(hWnd, LM_SETCURSOR, 0, 0);
				bMouseInsideHREF = false;
			}
		}
		if (!labelTooltipRegions.empty() && pTooltip)
		{
			checkRegions(x, y, labelTooltipRegions);
		}
		if (!ghostlabelList.empty())
		{
			if ( checkRegions(x, y, labelGhostRegions, false) )
				repaint(true);
		}
	}
	else if(bMoveable)
	{
		if (bMousePressed && bMoveModifierKeyPressed && iMoveButtonPressed == iMoveButton)
		{
			KillTimer(hWnd, TIMER_MOUSETRACK);

			POINT ptNewMovePoint = {x,y};
	
			ptNewMovePoint.x = ptNewMovePoint.x-ptSavedMovePoint.x;
			ptNewMovePoint.y = ptNewMovePoint.y-ptSavedMovePoint.y;

			if ( !bHasMoved && (ptNewMovePoint.x != 0 || ptNewMovePoint.y != 0) )
				bHasMoved = true;

			if ( fireOnMoveDuringMove )
				reposition(1, ptNewMovePoint.x, ptNewMovePoint.y, 0, 0, 0, 0, true);
			else
				reposition(1, ptNewMovePoint.x, ptNewMovePoint.y, 0, 0, 0, 0, true, false);

			if ( bHasMoved && !noMoveCursor)
				SendMessage(hWnd, LM_SETCURSOR, 0, (LONG) IDC_SIZEALL);
		}
		else
		{
			SetTimer(hWnd, TIMER_MOUSETRACK, 100, 0);

			if (!bMouseInside)
			{
				bMouseInside = true;
				onMouseEnter();
			}

			if (bMouseInside2)
			{
				bMouseInside2 = false;
				SendMessage(hWnd, LM_SETCURSOR, 0, 0);

				if ( !hoverCommand.empty() )
				{
					TRACKMOUSEEVENT mouseEvent = {0};
					mouseEvent.cbSize = sizeof(TRACKMOUSEEVENT);
					mouseEvent.hwndTrack = hWnd;
					mouseEvent.dwFlags = TME_HOVER;
					mouseEvent.dwHoverTime = hoverTime;

					_TrackMouseEvent(&mouseEvent);
				}
			}

			if (!listLabelHREFClickRegions.empty())
			{
				if (!checkHREFRegions(x, y, listLabelHREFClickRegions) && bMouseInsideHREF)
				{
					if (!originalTextBackup.empty())
					{
						current = currentBackup;
						setText(originalTextBackup);
					}
					SendMessage(hWnd, LM_SETCURSOR, 0, 0);
					bMouseInsideHREF = false;
				}
			}
			if (!labelTooltipRegions.empty() && pTooltip)
			{
				checkRegions(x, y, labelTooltipRegions);
			}
			if (!ghostlabelList.empty())
			{
				if ( checkRegions(x, y, labelGhostRegions, false) )
					repaint(true);
			}
		}
	}
}

//------------------------------------------------------------
//AutoWidthMode and AutoHeightMode Implementation
//------------------------------------------------------------
void Label::AutoSize()
{ 
	RECT rectPosition;
	rectPosition.left = actualx;
	rectPosition.right = actualx+actualwidth;
	rectPosition.top = actualy;
	rectPosition.bottom = actualy+actualheight;

	int width = (rectPosition.right-rectPosition.left);
	int height = (rectPosition.bottom-rectPosition.top);

	if ( width < 0 || height < 0 )
		return;

	int textWidth = 0;
	int textHeight = 0;

	//Create Tmp BufferDC
	HDC	bufferDC = CreateCompatibleDC(NULL);
	HBITMAP bufferBitmap = CreateCompatibleBitmap(bufferDC, width, height);
	HBITMAP oldBMP = (HBITMAP) SelectObject(bufferDC, bufferBitmap);
	
	POINT size = {0,0};
	if (pressedActive && pressedfont)
	{
		size = pressedfont->measure(bufferDC, 0, width, text.c_str(), TRUE);
		
		if ( m_bPressedLineBreak && size.x >= autoMaxWidth )
			size = pressedfont->measure(bufferDC, 0, autoMaxWidth, text.c_str());
		else if ( m_bPressedLineBreak && size.x <= autoMinWidth )
			size = pressedfont->measure(bufferDC, 0, autoMinWidth, text.c_str());
	}
	else if (hoverActive && hoverfont)
	{
		size = hoverfont->measure(bufferDC, 0, width, text.c_str(), TRUE);
		
		if ( m_bHoverLineBreak && size.x >= autoMaxWidth )
			size = hoverfont->measure(bufferDC, 0, autoMaxWidth, text.c_str());
		else if ( m_bHoverLineBreak && size.x <= autoMinWidth )
			size = hoverfont->measure(bufferDC, 0, autoMinWidth, text.c_str());
	}
	else
	{
		size = normalfont->measure(bufferDC, 0, width, text.c_str(), TRUE);
		
		if ( m_bLineBreak && size.x >= autoMaxWidth )
			size = normalfont->measure(bufferDC, 0, autoMaxWidth, text.c_str());
		else if ( m_bLineBreak && size.x <= autoMinWidth )
			size = normalfont->measure(bufferDC, 0, autoMinWidth, text.c_str());
	}

	textWidth = size.x+6;
	textHeight = size.y+6;

	bufferBitmap = (HBITMAP) SelectObject(bufferDC, oldBMP);
	DeleteDC(bufferDC);
	DeleteObject(bufferBitmap);
	DeleteObject(oldBMP);
	
	if ( oldWidth == textWidth && oldHeight == textHeight )
	{
		return;
	}
	else
	{
		oldWidth = textWidth;
		oldHeight = textHeight;
	}

	//For AUTOWIDTH/HEIGHT MODE	
	int newx, newy, newwidth, newheight, deltax, deltay;

	if (autoWidthMode != 0)
		deltax = textWidth - width;
	else
		deltax = 0;

	if (autoHeightMode != 0)
		deltay = textHeight - height;
	else
		deltay = 0;

	newx = rectPosition.left;
	newy = rectPosition.top;
	newwidth = width + deltax;
	newheight = height + deltay;

	//Check MIN/MAX
	if (newwidth < autoMinWidth)
	{
		deltax = deltax + (autoMinWidth-newwidth);
		newwidth = autoMinWidth;
	}
	else if (newwidth > autoMaxWidth)
	{
		deltax = deltax - (newwidth-autoMaxWidth);
		newwidth = autoMaxWidth;
	}

	if (newheight < autoMinHeight)
	{
		deltay = deltay + (autoMinHeight-newheight);
		newheight = autoMinHeight;
	}
	else if (newheight > autoMaxHeight)
	{
		deltay = deltay - (newheight-autoMaxHeight);
		newheight = autoMaxHeight;
	}

	if ((autoWidthMode == 0 || autoWidthMode == 1) && (autoHeightMode == 0 || autoHeightMode == 1))
	{
		newx = rectPosition.left;
		newy = rectPosition.top;
	}
	else if ((autoWidthMode == 0 || autoWidthMode == 1) && autoHeightMode == 2)
	{
		newx = rectPosition.left;
		newy = rectPosition.top-deltay;
	}
	else if ((autoWidthMode == 0 || autoWidthMode == 1) && autoHeightMode == 3)
	{
		newx = rectPosition.left;
		newy = startCenterY-(newheight/2);
	}
	else if (autoWidthMode == 2 && (autoHeightMode == 0 || autoHeightMode == 1))
	{
		newx = rectPosition.left-deltax;
		newy = rectPosition.top;
	}
	else if (autoWidthMode == 2 && autoHeightMode == 2)
	{
		newx = rectPosition.left-deltax;
		newy = rectPosition.top-deltay;
	}
	else if (autoWidthMode == 2 && autoHeightMode == 3)
	{
		newx = rectPosition.left-deltax;
		newy = startCenterY-(newheight/2);
	}
	else if (autoWidthMode == 3 && (autoHeightMode == 0 || autoHeightMode == 1))
	{
		newx = startCenterX-(newwidth/2);
		newy = rectPosition.top;
	}
	else if (autoWidthMode == 3 && autoHeightMode == 2)
	{
		newx = startCenterX-(newwidth/2);
		newy = rectPosition.top-deltay;
	}
	else if (autoWidthMode == 3 && autoHeightMode == 3)
	{
		newx = startCenterX-(newwidth/2);
		newy = startCenterY-(newheight/2);
	}

	reposition(3, newx, newy, newwidth, newheight, autoAnimSteps, autoAnimDelay);
}

void Label::repaint(bool bDeleteScrollBackup)
{
	if ( backupBitmap )
	{
		backupBitmap = (HBITMAP) SelectObject(backupDC, oldbackupBMP);
		DeleteObject(backupBitmap);
	}
	if ( backupDC )
		DeleteDC(backupDC);
	if ( oldbackupBMP )
		DeleteObject(oldbackupBMP);

	backupBitmap = NULL;
	backupDC = NULL;
	oldbackupBMP = NULL;

	if ( bDeleteScrollBackup )
	{
		if ( scrollBitmap )
		{
			scrollBitmap = (HBITMAP) SelectObject(scrollDC, oldscrollBMP);
			DeleteObject(scrollBitmap);
		}
		if ( scrollDC )
			DeleteDC(scrollDC);
		if ( oldscrollBMP )
			DeleteObject(oldscrollBMP);

		scrollBitmap = NULL;
		scrollDC = NULL;
		oldscrollBMP = NULL;
	}

	if ( alphaMap || fakealphaMap ) 
	{
		UpdateWindowTransparency(alphaTransparency);
	}
	else
	{
		RedrawWindow(hWnd, NULL, NULL, RDW_INVALIDATE | RDW_UPDATENOW);

		if ( bTrueTransparency && bLabelInitialized )
			updateRegion();

		if ( hWndTextBox && textboxVisible )
		{
			if ( hTextBGBrush )
			{
				DeleteObject( hTextBGBrush );
				hTextBGBrush = NULL;
			}
		
			InvalidateRect(hWndTextBox, NULL, true);
		}
	}
}

void Label::updateRegion()
{	
	RECT rectPosition;
	GetClientRect(hWnd, &rectPosition);

	HDC tmpDC = CreateCompatibleDC(NULL);
	HBITMAP tmpBmp = CreateBitmap(rectPosition.right, rectPosition.bottom, 1, bitsperpixel, NULL);
	HBITMAP oldBMP = (HBITMAP) SelectObject(tmpDC, tmpBmp);

	//Draw Image
	onPaint(tmpDC);

	tmpBmp = (HBITMAP) SelectObject(tmpDC, oldBMP);

	HRGN region = BitmapToRegion(tmpBmp, RGB(255, 0, 255), 0, 0, 0);
	HRGN windowRgn = CreateRectRgn(0, 0, 0, 0);
	CombineRgn(windowRgn, region, NULL, RGN_COPY);

	SetWindowRgn(hWnd, windowRgn, true);	

	DeleteObject(windowRgn);
	DeleteObject(region);

	DeleteDC(tmpDC);
	DeleteObject(tmpBmp);
	DeleteObject(oldBMP);
}

bool Label::FindDockedLabel(Label* findLabel)
{
	for(LabelListIterator lit = hasDockedLabelList.begin(); lit != hasDockedLabelList.end(); lit++)
	{
		if ( (*lit) == findLabel )
			return true;
	}

	return false;
}

void Label::onWindowPosChanging(WINDOWPOS *windowPos)
{
	if ( (windowPos->flags & SWP_NOZORDER) == 0 )
	{
		if ( bDisablezOrderChange && !bNormalWindowzOrder )
		{
			windowPos->hwndInsertAfter = NULL;
			windowPos->flags = windowPos->flags | SWP_NOZORDER;
		}
	}
	
	bDisablezOrderChange = true;

	if ( bUseResizeBorder && bResizeBorderResize && (windowPos->flags & SWP_NOSIZE) == 0 )
	{
		if ( ptResizeStepSize.x != 0 && (windowPos->cx-actualwidth)%ptResizeStepSize.x != 0 )
		{
			windowPos->x = actualx;
			windowPos->cx = actualwidth;
		}
		if ( ptResizeStepSize.y != 0 &&(windowPos->cy-actualheight)%ptResizeStepSize.y != 0 )
		{
			windowPos->y = actualy;
			windowPos->cy = actualheight;
		}
	}

	if ( (windowPos->flags & SWP_NOMOVE) != 0 )
		return;

	int result = 0;

	if ( bMousePressed && bMoveModifierKeyPressed )
	{
		if ( iMoveRestriction == 1 )
		{
			// top edge
			if ( windowPos->y != actualy )
				windowPos->y = actualy;
		}
		else if ( iMoveRestriction == 2 )
		{
			// left edge
			if ( windowPos->x != actualx )
				windowPos->x = actualx;
		}

		//Moving of hooked Label out of the Parent isn't allowed
		if ( box || bUseCustomMoveArea )
		{
			int minx = 0;
			int miny = 0;
			int maxx = 0;
			int maxy = 0;
			if ( box && !bUseCustomMoveArea )
			{
				RECT boxPosition;
				GetClientRect(box, &boxPosition);
				maxx = boxPosition.right;
				maxy = boxPosition.bottom;
			}
			else if ( bUseCustomMoveArea )
			{
				minx = rectCustomMoveArea.left;
				miny = rectCustomMoveArea.top;
				maxx = rectCustomMoveArea.right;
				maxy = rectCustomMoveArea.bottom;
			}

			// left edge
			if ( windowPos->x < minx )
				windowPos->x = minx;

			// top edge
			if ( windowPos->y < miny )
				windowPos->y = miny;

			// bottom edge
			if ( windowPos->y+actualheight > maxy)
				windowPos->y = maxy-actualheight;

			// right edge
			if ( windowPos->x+actualwidth > maxx)
				windowPos->x = maxx-actualwidth;

			if (box)
				return;
		}

		//Check Snap to Borders
		if ( snapDistance != 0 )
		{
			POINT pos = {windowPos->x, windowPos->y};
			POINT size = {actualwidth, actualheight};

			//Check First WorkArea Border
			if ( (_stricmp("alllabels", snapTo.c_str()) == NULL || _stricmp("desktop", snapTo.c_str()) == NULL) )
			{
				RECT rScreen;
				if ( iRealMonitors > 1 )
				{
					MONITORINFO mi = { sizeof(MONITORINFO) };
					GetMonitorInfo(MonitorFromWindow(hWnd, MONITOR_DEFAULTTONEAREST), &mi);

					rScreen = mi.rcWork;
				}
				else
				{
					SystemParametersInfo(SPI_GETWORKAREA, 0, &rScreen, NULL);
				}

				result = IsCloseTo( pos, size, rScreen.left, rScreen.top, rScreen.right-rScreen.left, rScreen.bottom-rScreen.top, snapDistance);
			
				if (result == 1)
				{
					windowPos->x = pos.x;
				}
				else if (result == 2)
				{	
					windowPos->y = pos.y;
				}
				else if (result == 3)
				{
					windowPos->x = pos.x;
					windowPos->y = pos.y;
				}
							
				if ( _stricmp("desktop", snapTo.c_str()) == NULL )
					return;
			}

			result = 0;
			string Bang = "";

			bool skipX = false;
			bool skipY = false;

			if ( iMoveRestriction == 2 )
				skipX = true;
			else if ( iMoveRestriction == 1 )
				skipY = true;

			for( LabelListIterator lit = labelList.begin(); lit != labelList.end(); lit++)
			{
				if ( !(*lit)->getBox() && (*lit)->isVisible() && _stricmp(strName.c_str(), (*lit)->getName().c_str()) != NULL)
				{
					if ( _stricmp((*lit)->getName().c_str(), snapTo.c_str()) == NULL )
					{
						result = IsCloseTo( pos, size, (*lit)->actualx, (*lit)->actualy, (*lit)->actualwidth, (*lit)->actualheight, snapDistance, skipX, skipY);
						if ( result == 0 )
						{
							if ( dockOnSnapTo == 1 )
							{
								if ( (*lit)->FindDockedLabel(this) )
								{
									Bang = (strName + " " + (*lit)->getName() + " false");
									snapToList.insert(snapToList.end(), Bang);
								}
							}
							else if ( dockOnSnapTo == 2 )
							{
								if ( FindDockedLabel( (*lit) ) )
								{
									Bang = ((*lit)->getName() + " " + strName + " false");
									snapToList.insert(snapToList.end(), Bang);
								}
							}
							else if ( dockOnSnapTo == 3 )
							{
								if ( (*lit)->FindDockedLabel(this) )
								{
									Bang = (strName + " " + (*lit)->getName() + " false");
									snapToList.insert(snapToList.end(), Bang);
								}
								if ( FindDockedLabel( (*lit) ) )
								{
									Bang = ((*lit)->getName() + " " + strName + " false");
									snapToList.insert(snapToList.end(), Bang);	
								}
							}
						}
					}
					if ( _stricmp((*lit)->labelGroup.c_str(), snapTo.c_str()) == NULL || _stricmp("alllabels", snapTo.c_str()) == NULL )
					{
						result = IsCloseTo( pos, size, (*lit)->actualx, (*lit)->actualy, (*lit)->actualwidth, (*lit)->actualheight, snapDistance, skipX, skipY);
						if ( result == 0 )
						{
							if ( dockOnSnapTo == 1 )
							{
								if ( (*lit)->FindDockedLabel(this) )
								{
									Bang = (strName + " " + (*lit)->getName() + " false");
									snapToList.insert(snapToList.end(), Bang);
								}
							}
							else if ( dockOnSnapTo == 2 )
							{
								if ( FindDockedLabel( (*lit) ) )
								{
									Bang = ((*lit)->getName() + " " + strName + " false");
									snapToList.insert(snapToList.end(), Bang);
								}
							}
							else if ( dockOnSnapTo == 3 )
							{
								if ( (*lit)->FindDockedLabel(this) )
								{
									Bang = (strName + " " + (*lit)->getName() + " false");
									snapToList.insert(snapToList.end(), Bang);
								}
								if ( FindDockedLabel( (*lit) ) )
								{
									Bang = ((*lit)->getName() + " " + strName + " false");
									snapToList.insert(snapToList.end(), Bang);
								}
							}
						}
					}
					if (result != 0)
					{
						if ( dockOnSnapTo == 1 )
						{
							Bang = (strName + " " + (*lit)->getName());
							snapToList.insert(snapToList.end(), Bang);
						}
						else if ( dockOnSnapTo == 2 )
						{
							Bang = ((*lit)->getName() + " " + strName);
							snapToList.insert(snapToList.end(), Bang);
						}
						else if ( dockOnSnapTo == 3 )
						{
							Bang = (strName + " " + (*lit)->getName());
							snapToList.insert(snapToList.end(), Bang);
							
							Bang = ((*lit)->getName() + " " + strName);
							snapToList.insert(snapToList.end(), Bang);
						}

						if ( result == 1 )
						{
							skipX = true;
						}
						else if (result == 2 )
						{
							skipY = true;
						}
						else if (result == 3 )
						{
							skipX = true;
							skipY = true;
						}
					}

					if (skipX && skipY)	//Only Break, if both direction have snapped
						break;
				}
			}
				
			if (result == 1)
			{
				windowPos->x = pos.x;
			}
			else if (result == 2)
			{	
				windowPos->y = pos.y;
			}
			else if (result == 3)
			{
				windowPos->x = pos.x;
				windowPos->y = pos.y;
			}
		}
	}
}

void Label::onMove(int x, int y)
{
	//Docked Label Must Move (MoveBy)
	if ( !hasDockedLabelList.empty() )
	{
		for(LabelListIterator lit = hasDockedLabelList.begin(); lit != hasDockedLabelList.end(); lit++)
		{
			if ( (*lit) == this || (*lit) == sender )
				continue;
			
			(*lit)->reposition(1, x-oldPositionBackup.x, y-oldPositionBackup.y, 0, 0, 0, 0, true, true, this);
		}
	}

	oldPositionBackup.x = x;
	oldPositionBackup.y = y;
	actualx = x;
	actualy = y;

	if (autoWidthMode != 0 || autoHeightMode != 0)
	{
		startCenterX = actualx+(actualwidth/2);
		startCenterY = actualy+(actualheight/2);
	}

	if ( bLabelInitialized )
	{
		PrefixedLSSetVariable(strName, "CurrentX", IntToString( actualx ));
		PrefixedLSSetVariable(strName, "CurrentY", IntToString( actualy ));
	}

	if ( !bTrueTransparency && !alphaMap )
		repaint(true);

	if ( hasHookedModules )
		RedrawWindow(hWnd, NULL, NULL, RDW_UPDATENOW | RDW_ALLCHILDREN);
}

void Label::onSize(int width, int height)
{
	//Docked Label Must Move (MoveBy)
	if ( !hasDockedLabelList.empty() )
	{
		for(LabelListIterator lit = hasDockedLabelList.begin(); lit != hasDockedLabelList.end(); lit++)
		{
			if ( (*lit) == this || (*lit) == sender || (*lit)->dockedtoSide == 0 || (*lit)->dockedtoSide == 1 || (*lit)->dockedtoSide == 4 )
				continue;

			if ( (*lit)->dockedtoSide == 2 && width == actualwidth )
				continue;
			else if ( (*lit)->dockedtoSide == 3 && height == actualheight )
				continue;
			else if ( (*lit)->dockedtoSide == 5 && width == actualwidth )
				continue;
			else if ( (*lit)->dockedtoSide == 6 && height == actualheight )
				continue;
			else if ( (*lit)->dockedtoSide == 7 && width == actualwidth && height == actualheight)
				continue;
			
			(*lit)->reposition(1, width-oldSizeBackup.x, height-oldSizeBackup.y, 0, 0, 0, 0, true, true, this);
		}
	}

	oldSizeBackup.x = width;
	oldSizeBackup.y = height;
	actualwidth = width;
	actualheight = height;

	if (autoWidthMode != 0 || autoHeightMode != 0)
	{
		startCenterX = actualx+(actualwidth/2);
		startCenterY = actualy+(actualheight/2);
	}

	if ( hWndTextBox )
	{
		TextEditBoxSizeBorder.left = xParseCoord(textboxXOrg.c_str(), 0, actualwidth, false);
		TextEditBoxSizeBorder.right = TextEditBoxSizeBorder.left+xParseDimen(textboxWidthOrg.c_str(), actualwidth, actualwidth, false);
		TextEditBoxSizeBorder.top = xParseCoord(textboxYOrg.c_str(), 0, actualheight, true);
		TextEditBoxSizeBorder.bottom = TextEditBoxSizeBorder.top+textboxHeight;

		TextEditBoxSize.left = TextEditBoxSizeBorder.left+tebleftBorder;
		TextEditBoxSize.right = TextEditBoxSizeBorder.right-tebrightBorder;
		TextEditBoxSize.top = TextEditBoxSizeBorder.top+tebtopBorder;
		TextEditBoxSize.bottom = TextEditBoxSizeBorder.bottom-tebbottomBorder;

		SetWindowPos(hWndTextBox, NULL, 
						TextEditBoxSize.left,
						TextEditBoxSize.top,
						(TextEditBoxSize.right-TextEditBoxSize.left), 
						(TextEditBoxSize.bottom-TextEditBoxSize.top), 
						SWP_NOACTIVATE | SWP_NOZORDER);
	}

	if (bLabelInitialized)
	{
		PrefixedLSSetVariable(strName, "CurrentWidth", IntToString( width ));
		PrefixedLSSetVariable(strName, "CurrentHeight", IntToString( height ));

		if ( !ghostlabelList.empty() )
		{
			for(GhostLabelListIterator glit = ghostlabelList.begin(); glit != ghostlabelList.end(); glit++)
			{
				if ( *glit != NULL )
				{
					(*glit)->iX = xParseCoord((*glit)->strOrgX.c_str(), 0, actualwidth, false);
					(*glit)->iY = xParseCoord((*glit)->strOrgY.c_str(), 0, actualheight, true);

					(*glit)->iWidth = xParseDimen((*glit)->strOrgWidth.c_str(), 0, actualwidth, false);
					(*glit)->iHeight = xParseDimen((*glit)->strOrgHeight.c_str(), 0, actualheight, true);
				}
				else
				{
					break;
				}
			}
		}

		UpdateLabel_Regions( labelLeftClickRegions );
		UpdateLabel_Regions( labelLeftDoubleClickRegions );
		
		UpdateLabel_Regions( labelMiddleClickRegions );
		UpdateLabel_Regions( labelMiddleDoubleClickRegions );

		UpdateLabel_Regions( labelRightClickRegions );
		UpdateLabel_Regions( labelRightDoubleClickRegions );

		UpdateLabel_Regions( labelX1ClickRegions );
		UpdateLabel_Regions( labelX1DoubleClickRegions );

		UpdateLabel_Regions( labelX2ClickRegions );
		UpdateLabel_Regions( labelX2DoubleClickRegions );

		UpdateLabel_Regions( labelTooltipRegions );

		UpdateLabel_Regions( labelGhostRegions );
	}

	repaint();

	//Set new Rect for ToolTip Tracker
	if ( pTooltip )
		pTooltip->apply(strTooltip.c_str(), TRUE);

	if ( fireOnResizeDuringResize && !resizeCommand.empty() )
		xLSExecute(hWnd, resizeCommand.c_str(), SW_SHOWNORMAL);

	if ( hasHookedModules )
		RedrawWindow(hWnd, NULL, NULL, RDW_UPDATENOW | RDW_ALLCHILDREN);

	bResizeBorderResize = true;
}

void Label::RelayMouseMessageToBox(UINT message, WPARAM wParam, LPARAM lParam)
{
	POINT pt;
	pt.x = GET_X_LPARAM(lParam);
	pt.y = GET_Y_LPARAM(lParam);

	if (box != NULL)
	{
		MapWindowPoints(hWnd, box, &pt, 1);
		PostMessage(box, message, wParam, MAKELPARAM((short) pt.x, (short) pt.y));
	}
	else
	{
		MapWindowPoints(hWnd, GetLitestepDesktop(), &pt, 1);
		PostMessage(GetLitestepDesktop(), message, wParam, MAKELPARAM((short) pt.x, (short) pt.y));
	}
}

void Label::MouseTrack()
{
	POINT pt;
	GetCursorPos(&pt);
			
	RECT rectPosition;
	GetWindowRect(hWnd, &rectPosition);

	if ( bTrueTransparency && !bTrackingIgnoreTrueTransparency )
	{
		HRGN hrgn = CreateRectRgn(0,0,0,0);
		int regionType = GetWindowRgn(hWnd, hrgn);
		if (regionType != ERROR) 
		{ 
			/* hrgn contains window region */ 
			ScreenToClient(hWnd, &pt);
			if(!PtInRegion(hrgn, pt.x, pt.y))
			{
				KillTimer(hWnd, TIMER_MOUSETRACK);
				bMouseInside = false;
				bMousePressed = false;
				if (!originalTextBackup.empty() && bMouseInsideHREF)
				{
					current = currentBackup;
					setText(originalTextBackup);
				}
				bMouseInsideHREF = false;
				onMouseLeave();	

				DeleteObject(hrgn); /* finished with region */

				return;
			}
			else if ( ChildWindowFromPoint(hWnd, pt) != NULL )
			{
				bMouseInside2 = true;

				DeleteObject(hrgn); /* finished with region */

				return;
			}
		}

		DeleteObject(hrgn); /* finished with region */
	}
	
	if(!PtInRect(&rectPosition, pt))
	{
		KillTimer(hWnd, TIMER_MOUSETRACK);
		bMouseInside = false;
		bMousePressed = false;
		if (!originalTextBackup.empty() && bMouseInsideHREF)
		{
			current = currentBackup;
			setText(originalTextBackup);
		}
		bMouseInsideHREF = false;
		onMouseLeave();	
	}
	else
	{
		ScreenToClient(hWnd, &pt);
		if ( ChildWindowFromPoint(hWnd, pt) != NULL )
			bMouseInside2 = true;
	}
}

void Label::onTimer(int timerID)
{
	switch(timerID)
	{
		case TIMER_MOUSETRACK:
		{
			MouseTrack();
		}
		break;

		case TIMER_UPDATE:
		{
			if ( (bVisible && IsWindowVisible(hWnd)) || alwaysUpdateContent )
				update();
		}
		break;
		
		case TIMER_SCROLL:
		{
			if ( bSkipScrollRepaint || bScrollingPaused )
				break;

			KillTimer(hWnd, TIMER_SCROLL);

			int useSteps;
			if ( iScrollStepsInitial > 0 )
				useSteps = iScrollStepsInitial;
			else
				useSteps = iScrollSteps;

			if ( bVisible && IsWindowVisible(hWnd) && !bFrozenScroll && (iScroll == 2 || iScroll == 4) && iScrollPause > 0 && useSteps > 0 )
			{
				if ( iScrollActualStep < useSteps )
				{
					iScrollActualStep++;
				
					if (iScroll == 2)
						iScrollPosition -= iScrollSpeed;
					else if (iScroll == 4)
						iScrollPosition += iScrollSpeed;

					repaint();
				}
				else
				{
					iScrollActualStep = 0;
					iScrollStepsInitial = -1;
					bFrozenScroll = true;
					SetTimer(hWnd, TIMER_SCROLLPAUSE, iScrollPause, 0);
				}
			}
			//Normal Scroll (Horizontal or without Pause)
			else if ( bVisible && IsWindowVisible(hWnd) && !bFrozenScroll )
			{
				if (iScroll == 1 || iScroll == 2)
					iScrollPosition -= iScrollSpeed;
				else if (iScroll == 3 || iScroll == 4)
					iScrollPosition += iScrollSpeed;

				repaint();
			}
		}
		break;

		case TIMER_AUTOHIDE:
		{
			autoHideIsRunning = false;
			KillTimer(hWnd, TIMER_AUTOHIDE);

			if ( bVisible )
				hide();
			else
				show();
		}
		break;

		case TIMER_ALPHAFADEIN:
		{
			if ( iUpdateAlpha == 0 )
				ShowWindow(hWnd, SW_SHOWNOACTIVATE);

			if (iUpdateAlpha < alphaFadeTransparencyBackup-alphaFadeStep)
			{
				iUpdateAlpha += alphaFadeStep;
				UpdateWindowTransparency(iUpdateAlpha);

				alphaTransparency = iUpdateAlpha;
			}
			else
			{
				KillTimer(hWnd, TIMER_ALPHAFADEIN);
				if ( iUpdateAlpha != alphaFadeTransparencyBackup)
				{
					iUpdateAlpha = alphaFadeTransparencyBackup;
					UpdateWindowTransparency(alphaFadeTransparencyBackup);
				}

				alphaTransparency = alphaFadeTransparencyBackup;
			}
		}
		break;

		case TIMER_ALPHAFADEOUT:
		{
			if (iUpdateAlpha > alphaFadeStep)
			{
				iUpdateAlpha -= alphaFadeStep;
				UpdateWindowTransparency(iUpdateAlpha);

				alphaTransparency = iUpdateAlpha;
			}
			else
			{
				KillTimer(hWnd, TIMER_ALPHAFADEOUT);
				if (iUpdateAlpha != 0)
				{
					iUpdateAlpha = 0;
					UpdateWindowTransparency(0);
				}

				alphaTransparency = 0;
			}	
			
			if ( iUpdateAlpha == 0 )
				ShowWindow(hWnd, SW_HIDE);
		}
		break;

		case TIMER_ALPHAFADEUPBANG:
		{
			if (iUpdateAlpha < alphaFadeBangEndValue-alphaFadeBangStep)
			{
				iUpdateAlpha += alphaFadeBangStep;
				UpdateWindowTransparency(iUpdateAlpha);

				alphaTransparency = iUpdateAlpha;
			}
			else
			{
				KillTimer(hWnd, TIMER_ALPHAFADEUPBANG);
				if (iUpdateAlpha != alphaFadeBangEndValue)
				{
					iUpdateAlpha = alphaFadeBangEndValue;
					UpdateWindowTransparency(alphaFadeBangEndValue);
				}

				alphaTransparency = alphaFadeBangEndValue;
			}
		}
		break;

		case TIMER_ALPHAFADEDOWNBANG:
		{
			if (iUpdateAlpha > alphaFadeBangEndValue)
			{
				iUpdateAlpha -= alphaFadeBangStep;
				UpdateWindowTransparency(iUpdateAlpha);

				alphaTransparency = iUpdateAlpha;
			}
			else
			{
				KillTimer(hWnd, TIMER_ALPHAFADEDOWNBANG);
				if (iUpdateAlpha != alphaFadeBangEndValue)
				{
					iUpdateAlpha = alphaFadeBangEndValue;
					UpdateWindowTransparency(alphaFadeBangEndValue);
				}

				alphaTransparency = alphaFadeBangEndValue;
			}
		}
		break;

		case TIMER_FRAMEANIMATION:
		{
			if ( bVisible && IsWindowVisible(hWnd) )
			{
				if (hoverActive && useHover)
				{
					if (iFrameCounter == hoverimageFrameCount)
					{
						iFrameCounter = 0;
						iHoverLoopCounter++;
					}
					if (iHoverLoopCounter == hoverimageLoop)
					{
						iFrameCounter = -1;
						//iHoverLoopCounter = 0;
						KillTimer(hWnd, TIMER_FRAMEANIMATION);
					}
				}
				else
				{
					if (iFrameCounter == imageFrameCount)
					{
						iFrameCounter = 0;
						iLoopCounter++;
					}
					if (iLoopCounter == imageLoop)
					{
						iFrameCounter = -1;
						//iLoopCounter = 0;
						KillTimer(hWnd, TIMER_FRAMEANIMATION);

						if ( !animloopstopCommand.empty() )
							xLSExecute(hWnd, animloopstopCommand.c_str(), SW_SHOWNORMAL);
					}
				}
				iFrameCounter++;

				repaint(true);
			}
		}
		break;

		case TIMER_SCROLLPAUSE:
		{
			if ( bVisible && IsWindowVisible(hWnd) && bFrozenScroll )
			{
				KillTimer(hWnd, TIMER_SCROLLPAUSE);
				bFrozenScroll = false;
				repaint();
			}
		}
		break;
	}
}

bool Label::onWindowMessage(UINT message, WPARAM wParam, LPARAM lParam, LRESULT &lResult)
{
	switch(message)
	{
		case LM_TEXTEDITBOX:
		{
			enterActionProcessing( (string) (const char *) lParam );
			return true;
		}

		case LM_SETLABELTEXT:
		{
			setText( (string) (const char *) lParam, true);
			return true;
		}

		case LM_SETCURSOR:
		{
			if (lParam != NULL)
			{
				SetCursor( LoadCursor(0, (const char *) lParam ) );
			}
			else if (!cursor && !cursorPath.empty())
			{
				if (strstr(cursorPath.c_str(), ":\\") != NULL)
					cursor = LoadCursorFromFile( cursorPath.c_str() );

				if (!cursor)
				{	
					char imagePath[MAX_LINE_LENGTH] = {0};
					VarExpansion( imagePath, "$lsimagefolder$" );
					strcat(imagePath, cursorPath.c_str());

					cursor = LoadCursorFromFile( imagePath );
				}

				if (!cursor)
					cursor = LoadCursor( 0, IDC_ARROW );

				SetCursor( cursor );
			}
			else if ( cursor )
			{
				SetCursor( cursor );
			}
			else
			{
				SetCursor( LoadCursor( 0, IDC_ARROW ) );
			}

			return true;
		}

		case WM_KEYDOWN:
		{
			if ( !keyDownCommand.empty() )
			{
				CString fullCommand = keyDownCommand.c_str();
				if ( fullCommand.Find("%[keycode]%") != -1 )
				{
					fullCommand.Replace("%[keycode]%", IntToString((INT) wParam).c_str());	
				}
				xLSExecute(hWnd, fullCommand, SW_SHOWNORMAL);
			}

			return true;
		}

		case WM_KEYUP:
		{
			if ( !keyUpCommand.empty() )
			{
				CString fullCommand = keyUpCommand.c_str();
				if ( fullCommand.Find("%[keycode]%") != -1 )
				{
					fullCommand.Replace("%[keycode]%", IntToString((INT) wParam).c_str());
				}
				xLSExecute(hWnd, fullCommand, SW_SHOWNORMAL);
			}

			return true;
		}

		case WM_ACTIVATE:
		{
			if (wParam == WA_INACTIVE && focusActive)
			{
				if ( !loosefocusCommand.empty() )
					xLSExecute(hWnd, loosefocusCommand.c_str(), SW_SHOWNORMAL);

				focusActive = false;
			}
			else if ( (wParam == WA_CLICKACTIVE || wParam == WA_ACTIVE) && !focusActive )
			{
				if ( !gainfocusCommand.empty() )
					xLSExecute(hWnd, gainfocusCommand.c_str(), SW_SHOWNORMAL);

				focusActive = true;
			}

			return true;
		}


		case WM_MOUSEHOVER:
		{
			if ( !hoverCommand.empty() )
				xLSExecute(hWnd, hoverCommand.c_str(), SW_SHOWNORMAL);

			return true;
		}

		case WM_CLOSE:
		{
			lResult = 0;
			return true;
		}

		case WM_DESTROY:
		{
			if (box != NULL)
			{
				if ( pTooltip )
				{
					Destroy_xTooltipClass(pTooltip);
					pTooltip = NULL;
				}

				if (hWndTextBox)
				{
					if ( textcursor )
					{
						DestroyCursor(textcursor);
						textcursor = NULL;
					}
					// Remove the subclass from the edit control. 
					SetWindowLong(this->hWndTextBox, GWL_WNDPROC, (LONG) this->wpOrigEditProc); 
					
					if ( hTextBGBrush )
					{
						DeleteObject(hTextBGBrush);
						hTextBGBrush = NULL;
					}

					if ( textboxhFont )
					{
						DeleteObject( (HGDIOBJ)(HFONT) textboxhFont );
						textboxhFont = NULL;
					}
					
					DestroyWindow(hWndTextBox);
					hWndTextBox = NULL;
				}

				KillTimer(hWnd, TIMER_MOUSETRACK);
				KillTimer(hWnd, TIMER_UPDATE);
				KillTimer(hWnd, TIMER_SCROLL);
				KillTimer(hWnd, TIMER_AUTOHIDE);
				KillTimer(hWnd, TIMER_ALPHAFADEIN);
				KillTimer(hWnd, TIMER_ALPHAFADEOUT);
				KillTimer(hWnd, TIMER_FRAMEANIMATION);
				KillTimer(hWnd, TIMER_SCROLLPAUSE);
				KillTimer(hWnd, TIMER_ALPHAFADEUPBANG);
				KillTimer(hWnd, TIMER_ALPHAFADEDOWNBANG);
			
				box = NULL;
				hide();
				
				ParentDestroyNotificationReceived = true;
			}			
			
			return false;
		}

		case WM_DROPFILES:
		{
			if (dropCommand.empty())	// we shouldn't get here... but somehow we did :p
				break;

			int intFileAction = -1;

			char action[32] = {0};
			char szTarget[MAX_LINE_LENGTH] = {0};
			char *buffers[] = {action};

			LCTokenize(dropCommand.c_str(), buffers, 1, szTarget);

			if (_stricmp(action, "move") == NULL)
				intFileAction = 1;
			else if (_stricmp(action, "copy") == NULL)
				intFileAction = 2;
			else if (_stricmp(action, "delete") == NULL)
				intFileAction = 0;
			else if (_stricmp(action, "shortcut") == NULL)
				intFileAction = 3;
			else
				intFileAction = -1;

			if (intFileAction == -1)
			{
				int numDropped, i;
				char szFile[MAX_LINE_LENGTH] = {0};
				
				numDropped = DragQueryFile((HDROP) wParam, 0xFFFFFFFF, NULL, 0);
				for (i = 0; i < numDropped; i++)
				{
					DragQueryFile((HDROP) wParam, i, (char *)&szFile, MAX_LINE_LENGTH);
					if (szFile && szFile[0])
					{
						CString fullCommand = dropCommand.c_str();
						if ( fullCommand.Find("%[droppath]%") != -1 )
						{
							fullCommand.Replace("%[droppath]%", szFile);
						}
						else
						{
							fullCommand += " \"";
							fullCommand += szFile;
							fullCommand += "\"";
						}
						xLSExecute(hWnd, fullCommand, SW_SHOWNORMAL);
					}
				}

				DragFinish((HDROP) wParam);
				break;
			}
		
			//Test Path for Existence
			CString strPath = szTarget;
			strPath.Replace("\"", "");
			if ( strPath.Right(1) != "\\" )
				strPath += "\\";

			bool pathExists = PathFileExists(strPath);

			if (intFileAction >= 0 && intFileAction < 3)
			{
				char *szSourceFiles = NULL;
				char buffer[MAX_LINE_LENGTH] = {0};
				int numFiles;
				UINT len,scursor = 0;

				numFiles = DragQueryFile((HDROP) wParam, 0xFFFFFFFF, NULL, NULL);

				szSourceFiles = new char[MAX_LINE_LENGTH*numFiles+1];
				scursor = 0;

				for (int i=0;i<numFiles;i++)
				{
					len = DragQueryFile((HDROP) wParam, i, buffer, MAX_LINE_LENGTH);
					
					strcpy(szSourceFiles+scursor,buffer);
					scursor += len + 1;
				}
					
				DragFinish((HDROP) wParam);

				if( pathExists || intFileAction == 0 )
				{
					szSourceFiles[scursor] = 0;
					strcpy(buffer, strPath);
					buffer[strlen(buffer)+1] = 0;
					
					SHFILEOPSTRUCT shfop;
					shfop.hwnd = NULL;
					if (intFileAction == 1)
						shfop.wFunc = FO_MOVE;
					else if (intFileAction == 2)
						shfop.wFunc = FO_COPY;
					else if (intFileAction == 0)
						shfop.wFunc = FO_DELETE;
					shfop.pFrom = szSourceFiles;
					shfop.pTo = buffer;
					shfop.fFlags = FOF_NOCONFIRMMKDIR | FOF_ALLOWUNDO;
					SHFileOperation(&shfop);
				}
				
				delete[] szSourceFiles;
			}
			else if (pathExists && intFileAction == 3)
			{
				int numDropped;
				char szFile[MAX_LINE_LENGTH] = {0};
				
				numDropped = DragQueryFile((HDROP) wParam, 0xFFFFFFFF, NULL, 0);
				for (int i = 0; i < numDropped; i++)
				{
					DragQueryFile((HDROP) wParam, i, (char *)&szFile, MAX_LINE_LENGTH);

					HRESULT hres; 
					IShellLink* psl; 

					hres = CoCreateInstance(CLSID_ShellLink, NULL,
					CLSCTX_INPROC_SERVER, IID_IShellLink, (LPVOID *) &psl); 
					if (SUCCEEDED(hres))
					{
						IPersistFile* ppf; 
						psl->SetPath(szFile); 
						psl->SetDescription("");
 
						hres = psl->QueryInterface(IID_IPersistFile, (LPVOID*)&ppf); 
						if (SUCCEEDED(hres))
						{
							CString work = szFile;
							work = work.Right(work.GetLength()-work.ReverseFind('\\')-1);
							work = work.Left(work.Find("."));
							work += ".lnk";

							WCHAR wsz[MAX_PATH]; 
							MultiByteToWideChar(CP_ACP, 0, (strPath + work), -1, wsz, MAX_LINE_LENGTH);  
							hres = ppf->Save(wsz, TRUE); 
							ppf->Release(); 
						}
						psl->Release(); 
					}
				}
				DragFinish((HDROP) wParam);
			}
			
			return true;
		}
		
		case WM_LBUTTONDBLCLK:
		{
			if(bLabelInitialized && leftDoubleClickCommand.empty() && labelLeftDoubleClickRegions.empty() && leftModDoubleClickList.empty())
			{
				RelayMouseMessageToBox(message, wParam, lParam);
				return true;
			}

			onLButtonDblClk(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_LBUTTONDOWN:
		{	
			if(bLabelInitialized && leftClickDownCommand.empty() && leftClickUpCommand.empty() && leftClickCommand.empty() && labelLeftClickRegions.empty() && listLabelHREFClickRegions.empty() && leftModClickDownList.empty() && (!bMoveable || (bMoveable && iMoveButton != 1)) )
			{
				if ( usePressed )
				{
					pressedActive = true;
					repaint(true);
				}

				RelayMouseMessageToBox(message, wParam, lParam);
				return true;
			}

			onLButtonDown(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_LBUTTONUP:
		{
			if(bLabelInitialized && leftClickDownCommand.empty() && leftClickUpCommand.empty() && leftClickCommand.empty() && labelLeftClickRegions.empty() && listLabelHREFClickRegions.empty() && leftModClickUpList.empty() && leftModClickList.empty() && (!bMoveable || (bMoveable && iMoveButton != 1)) )
			{
				if ( usePressed )
				{
					pressedActive = false;
					repaint(true);
				}
				RelayMouseMessageToBox(message, wParam, lParam);
				return true;
			}

			onLButtonUp(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_MBUTTONDBLCLK:
		{
			if(bLabelInitialized && middleDoubleClickCommand.empty() && labelMiddleDoubleClickRegions.empty() && middleModDoubleClickList.empty())
			{
				RelayMouseMessageToBox(message, wParam, lParam);
				return true;
			}

			onMButtonDblClk(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_MBUTTONDOWN:
		{
			if ( skipButton )
				return true;

			if(bLabelInitialized && middleClickDownCommand.empty() && middleClickUpCommand.empty() && middleClickCommand.empty() && labelMiddleClickRegions.empty() && middleModClickDownList.empty() && (!bMoveable || (bMoveable && iMoveButton != 3)) )
			{
				if ( usePressed )
				{
					pressedActive = true;
					repaint(true);
				}
				RelayMouseMessageToBox(message, wParam, lParam);
				return true;
			}

			onMButtonDown(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_MBUTTONUP:
		{
			if ( skipButton )
			{
				skipButton = false;
				return true;
			}

			if(bLabelInitialized && middleClickDownCommand.empty() && middleClickUpCommand.empty() && middleClickCommand.empty() && labelMiddleClickRegions.empty() && middleModClickUpList.empty() && middleModClickList.empty() && (!bMoveable || (bMoveable && iMoveButton != 3)) )
			{
				if ( usePressed )
				{
					pressedActive = false;
					repaint(true);
				}
				RelayMouseMessageToBox(message, wParam, lParam);
				return true;
			}

			onMButtonUp(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_RBUTTONDBLCLK:
		{
			if(bLabelInitialized && rightDoubleClickCommand.empty() && labelRightDoubleClickRegions.empty() && rightModDoubleClickList.empty())
			{
				RelayMouseMessageToBox(message, wParam, lParam);
				return true;
			}

			onRButtonDblClk(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_RBUTTONDOWN:
		{
			if(bLabelInitialized && rightClickDownCommand.empty() && rightClickUpCommand.empty() && rightClickCommand.empty() && labelRightClickRegions.empty() && rightModClickDownList.empty() && (!bMoveable || (bMoveable && iMoveButton != 2)) )
			{
				if ( usePressed )
				{
					pressedActive = true;
					repaint(true);
				}
				RelayMouseMessageToBox(message, wParam, lParam);
				return true;
			}

			onRButtonDown(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_RBUTTONUP:
		{
			if(bLabelInitialized && rightClickDownCommand.empty() && rightClickUpCommand.empty() && rightClickCommand.empty() && labelRightClickRegions.empty() && rightModClickUpList.empty() && rightModClickList.empty() && (!bMoveable || (bMoveable && iMoveButton != 2)) )
			{
				if ( usePressed )
				{
					pressedActive = false;
					repaint(true);
				}
				RelayMouseMessageToBox(message, wParam, lParam);
				return true;
			}

			onRButtonUp(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_XBUTTONDOWN:
		{
			if (HIWORD(wParam) == XBUTTON1)
			{
				if(bLabelInitialized && X1ClickDownCommand.empty() && X1ClickUpCommand.empty() && X1ClickCommand.empty() && labelX1ClickRegions.empty() && X1ModClickDownList.empty() )
				{
					if ( usePressed )
					{
						pressedActive = true;
						repaint(true);
					}
					RelayMouseMessageToBox(message, wParam, lParam);
					return true;
				}

				onX1ButtonDown(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			}
			else if (HIWORD(wParam) == XBUTTON2)
			{
				if(bLabelInitialized && X2ClickDownCommand.empty() && X2ClickUpCommand.empty() && X2ClickCommand.empty() && labelX2ClickRegions.empty() && X2ModClickDownList.empty() )
				{
					if ( usePressed )
					{
						pressedActive = true;
						repaint(true);
					}
					RelayMouseMessageToBox(message, wParam, lParam);
					return true;
				}

				onX2ButtonDown(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			}
						
			return true;
		}

		case WM_XBUTTONUP:
		{
			if (HIWORD(wParam) == XBUTTON1)
			{
				if(bLabelInitialized && X1ClickDownCommand.empty() && X1ClickUpCommand.empty() && X1ClickCommand.empty() && labelX1ClickRegions.empty() && X1ModClickUpList.empty() && X1ModClickList.empty() )
				{
					if ( usePressed )
					{
						pressedActive = false;
						repaint(true);
					}
					RelayMouseMessageToBox(message, wParam, lParam);
					return true;
				}

				onX1ButtonUp(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			}
			else if (HIWORD(wParam) == XBUTTON2)
			{
				if(bLabelInitialized && X2ClickDownCommand.empty() && X2ClickUpCommand.empty() && X2ClickCommand.empty() && labelX2ClickRegions.empty() && X2ModClickUpList.empty() && X2ModClickList.empty() )
				{
					if ( usePressed )
					{
						pressedActive = false;
						repaint(true);
					}
					RelayMouseMessageToBox(message, wParam, lParam);
					return true;
				}

				onX2ButtonUp(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			}
						
			return true;
		}

		case WM_XBUTTONDBLCLK:
		{
			if (HIWORD(wParam) == XBUTTON1)
			{
				if(bLabelInitialized && X1DoubleClickCommand.empty() && labelX1DoubleClickRegions.empty() && X1ModDoubleClickList.empty())
				{
					RelayMouseMessageToBox(message, wParam, lParam);
					return true;
				}

				onX1ButtonDblClk(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			}
			else if (HIWORD(wParam) == XBUTTON2)
			{
				if(bLabelInitialized && X2DoubleClickCommand.empty() && labelX2DoubleClickRegions.empty() && X2ModDoubleClickList.empty())
				{
					RelayMouseMessageToBox(message, wParam, lParam);
					return true;
				}

				onX2ButtonDblClk(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			}

			return true;
		}

		case WM_MOUSEWHEEL:
		{
			POINT pt;
			RECT childPosition;

			GetCursorPos(&pt);

			char tmpClass[MAX_LINE_LENGTH] = {0};				
			
			if ( hasHookedModules )
			{
				for(HWND hWndChild = ::GetTopWindow(hWnd); hWndChild != NULL; hWndChild = ::GetNextWindow(hWndChild, GW_HWNDNEXT))
				{
					GetWindowRect(hWndChild, &childPosition);
					if ( PtInRect(&childPosition, pt) )
					{
						GetClassName(hWndChild, tmpClass, MAX_LINE_LENGTH);
						if (_stricmp(tmpClass, "xlabel") == NULL	|| _stricmp(tmpClass, "xlabelxp") == NULL || _stricmp(tmpClass, "xtray") == NULL || _stricmp(tmpClass, "xtaskbar") == NULL)
						{
							ScreenToClient(hWndChild, &pt);
							::PostMessage(hWndChild, WM_MOUSEWHEEL, wParam, MAKELPARAM((short) pt.x, (short) pt.y));
								
							return true;
						}

						return true;
					}
				}
			}

			ScreenToClient(hWnd, &pt);
			if ((short)(HIWORD(wParam)) < 0)
			{
				onWheelDown(pt.x, pt.y);

				return true;
			}
			else
			{
				onWheelUp(pt.x, pt.y);

				return true;
			}
		}

		case WM_MOUSEMOVE:
		{
			if ( pTooltip && hWndTooltip )
			{
				MSG hintMessage = {hWnd, message, wParam, lParam};
				SendMessage( hWndTooltip, (UINT) TTM_RELAYEVENT, 0, (LPARAM) (LPMSG) &hintMessage ); 
			}
			
			if (bMoveable && iMoveKey != -1)
			{
				if (iMoveKey == 3)
					bMoveModifierKeyPressed = (bool) (0x8000 & GetKeyState(VK_CONTROL)) && (0x8000 & GetKeyState(VK_SHIFT));
				else if (iMoveKey == 2)
					bMoveModifierKeyPressed = (bool) (0x8000 & GetKeyState(VK_SHIFT));
				else if (iMoveKey == 1)
					bMoveModifierKeyPressed = (bool) (0x8000 & GetKeyState(VK_CONTROL));
				else 
					bMoveModifierKeyPressed = (bool) (0x8000 & GetKeyState(VK_CONTROL));
			}
			else if (bMoveable && iMoveKey == -1)
			{
				bMoveModifierKeyPressed = true;
			}

			onMouseMove(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_CTLCOLOREDIT:
		case WM_CTLCOLORSTATIC:
		{
			const HDC hDC = (HDC)wParam;
			
			SetTextColor(hDC, textboxTextColor);

			SetBkMode(hDC, TRANSPARENT);

			lResult = (int) GetBGBrush();

			return true;
		}

		case WM_PAINT:
		{	
			PAINTSTRUCT ps;

			HDC hDC = BeginPaint(hWnd, &ps);

			onPaint(hDC);

			EndPaint(hWnd, &ps);

			if ( bRestartScrollRepaint )
			{
				bRestartScrollRepaint = false;
				SetTimer(hWnd, TIMER_SCROLL, iScrollInterval, 0);
			}
	
			return true;	
		}

		case WM_GETMINMAXINFO:
		{
			POINT maxsize = {autoMaxWidth, autoMaxHeight};
			POINT minsize = {autoMinWidth, autoMinHeight};

			minsize.x = max(minsize.x, iResizeBorderLeft+iResizeBorderRight);
			minsize.y = max(minsize.y, iResizeBorderTop+iResizeBorderBottom);

			((MINMAXINFO FAR*) lParam)->ptMaxTrackSize = maxsize;
			((MINMAXINFO FAR*) lParam)->ptMinTrackSize = minsize;

			return true;
		}

		case WM_WINDOWPOSCHANGING:
		{
			onWindowPosChanging((WINDOWPOS *) lParam);
			return true;
		}

		case WM_MOVE:
		{
			onMove(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_SIZE:
		{
			onSize(GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam));
			return true;
		}

		case WM_TIMER:
		{
			onTimer((int) wParam);
			return true;
		}

		case WM_NCHITTEST:
		{
			if ( bUseResizeBorder )
			{
				POINT point = {GET_X_LPARAM(lParam), GET_Y_LPARAM(lParam)};
				ScreenToClient(hWnd, &point);

				lResult = NcHitTest(point.x, point.y);
				
				if ( lResult == 0 )
					return false;
				else
					return true;
			}
			else
			{
				return false;
			}
		}

		default:
		{
			return false;
		}
	}

	return false;
}

HBRUSH Label::GetBGBrush()
{
	if ( !hTextBGBrush )
	{
		HDC tmpDC = CreateCompatibleDC(NULL);
		HBITMAP tmpBmp = CreateBitmap((TextEditBoxSize.right-TextEditBoxSize.left), (TextEditBoxSize.bottom-TextEditBoxSize.top), 1, bitsperpixel, NULL);
		HBITMAP oldBMP = (HBITMAP) SelectObject(tmpDC, tmpBmp);

		//Draw Image
		onPaint(tmpDC, &TextEditBoxSize);

		hTextBGBrush = CreatePatternBrush(tmpBmp);

		tmpBmp = (HBITMAP) SelectObject(tmpDC, oldBMP);
		DeleteDC(tmpDC);
		DeleteObject(tmpBmp);
		DeleteObject(oldBMP);
	}
  
	return hTextBGBrush;
}

LRESULT Label::windowProcedure(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	Label *label = NULL;

	if (message == WM_NCCREATE)
	{
		label = (Label *) ((CREATESTRUCT *) lParam)->lpCreateParams;
		label->hWnd = hWnd;
		SetWindowLong(hWnd, 0, (LONG) label);
	}
	else
	{
		label = (Label *) GetWindowLong(hWnd, 0);
	}

	if (label)
	{
		LRESULT lResult = 0;

		if ( label->onWindowMessage(message, wParam, lParam, lResult) )
			return lResult;
	}

	return DefWindowProc(hWnd, message, wParam, lParam);
}

int Label::IsCloseTo(POINT &pos, const POINT size, const int x, const int y, const int cx, const int cy, const int span, bool skipX, bool skipY)
{
	bool internalX = false;
	bool internalY = false;

	int tmpdockx = -1;
	int tmpdocky = -1;

	POINT tmppos = {pos.x, pos.y};

	if ( !skipX && (tmppos.x > x-span) && (tmppos.x < x+span) )
	{
		if ( tmppos.y > y-span && tmppos.y < y+span )
		{
			pos.x = x;
			internalX = true;
			tmpdockx = 0;
		}
		else if ( ( tmppos.y > y-span && tmppos.y < y+span ) 
			|| ( tmppos.y+size.y > y-span && tmppos.y+size.y < y+span ) 
			|| ( tmppos.y > y+cy-span && tmppos.y < y+cy+span ) 
			|| ( tmppos.y+size.y > y+cy-span && tmppos.y+size.y < y+cy+span ) )
		{
			pos.x = x;
			internalX = true;
			tmpdockx = 0;
		}
		else if ( tmppos.y > y && tmppos.y < y+cy 
				&& tmppos.y+size.y > y && tmppos.y+size.y < y+cy )
		{
			pos.x = x;
			internalX = true;
			tmpdockx = 0;
		}
	}
	else if ( !skipX && (tmppos.x > x+cx-span) && (tmppos.x < x+cx+span) )
	{
		if ( ( tmppos.y > y-span && tmppos.y < y+span ) 
			|| ( tmppos.y+size.y > y-span && tmppos.y+size.y < y+span ) 
			|| ( tmppos.y > y+cy-span && tmppos.y < y+cy+span ) 
			|| ( tmppos.y+size.y > y+cy-span && tmppos.y+size.y < y+cy+span ) )
		{
			pos.x = x+cx;
			internalX = true;
			tmpdockx = 2;
		}
		else if ( tmppos.y > y && tmppos.y < y+cy 
				&& tmppos.y+size.y > y && tmppos.y+size.y < y+cy )
		{
			pos.x = x+cx;
			internalX = true;
			tmpdockx = 2;
		}
	}
	else if ( !skipX && (tmppos.x+size.x > x-span ) && (tmppos.x+size.x < x+span) )
	{
		if ( ( tmppos.y > y-span && tmppos.y < y+span ) 
			|| ( tmppos.y+size.y > y-span && tmppos.y+size.y < y+span ) 
			|| ( tmppos.y > y+cy-span && tmppos.y < y+cy+span ) 
			|| ( tmppos.y+size.y > y+cy-span && tmppos.y+size.y < y+cy+span ) )
		{
			pos.x = x-size.x;
			internalX = true;
			tmpdockx = 0;
		}
		else if ( tmppos.y > y && tmppos.y < y+cy 
				&& tmppos.y+size.y > y && tmppos.y+size.y < y+cy )
		{
			pos.x = x-size.x;
			internalX = true;
			tmpdockx = 0;
		}
	}
	else if ( !skipX && (tmppos.x+size.x > x+cx-span ) && (tmppos.x+size.x < x+cx+span) )
	{
		if ( ( tmppos.y > y-span && tmppos.y < y+span ) 
			|| ( tmppos.y+size.y > y-span && tmppos.y+size.y < y+span ) 
			|| ( tmppos.y > y+cy-span && tmppos.y < y+cy+span ) 
			|| ( tmppos.y+size.y > y+cy-span && tmppos.y+size.y < y+cy+span ) )
		{
			pos.x = x+cx-size.x;
			internalX = true;
			tmpdockx = 2;
		}
		else if ( tmppos.y > y && tmppos.y < y+cy 
				&& tmppos.y+size.y > y && tmppos.y+size.y < y+cy )
		{
			pos.x = x+cx-size.x;
			internalX = true;
			tmpdockx = 2;
		}
	}

	if ( !skipY && (tmppos.y > y-span) && (tmppos.y < y+span) )
	{
		if ( tmppos.x > x-span && tmppos.x < x+span )
		{
			pos.y = y;
			internalY = true;
			tmpdocky = 1;
		}
		else if ( ( tmppos.x > x-span && tmppos.x < x+span ) 
			|| ( tmppos.x+size.x > x-span && tmppos.x+size.x < x+span ) 
			|| ( tmppos.x > x+cx-span && tmppos.x < x+cx+span ) 
			|| ( tmppos.x+size.x > x+cx-span && tmppos.x+size.x < x+cx+span ) )
		{
			pos.y = y;
			internalY = true;
			tmpdocky = 1;
		}
		else if ( tmppos.x > x && tmppos.x < x+cx 
				&& tmppos.x+size.x > x && tmppos.x+size.x < x+cx )
		{
			pos.y = y;
			internalY = true;
			tmpdocky = 1;
		}
	}
	else if ( !skipY && tmppos.y > y+cy-span && tmppos.y < y+cy+span )
	{
		if ( ( tmppos.x > x-span && tmppos.x < x+span ) 
			|| ( tmppos.x+size.x > x-span && tmppos.x+size.x < x+span ) 
			|| ( tmppos.x > x+cx-span && tmppos.x < x+cx+span ) 
			|| ( tmppos.x+size.x > x+cx-span && tmppos.x+size.x < x+cx+span ) )
		{
			pos.y = y+cy;
			internalY = true;
			tmpdocky = 3;
		}
		else if ( tmppos.x > x && tmppos.x < x+cx  
				&& tmppos.x+size.x > x && tmppos.x+size.x < x+cx )
		{
			pos.y = y+cy;
			internalY = true;
			tmpdocky = 3;
		}
	}
	else if ( !skipY && tmppos.y+size.y > y-span && tmppos.y+size.y < y+span )
	{
		if ( ( tmppos.x > x-span && tmppos.x < x+span ) 
			|| ( tmppos.x+size.x > x-span && tmppos.x+size.x < x+span ) 
			|| ( tmppos.x > x+cx-span && tmppos.x < x+cx+span ) 
			|| ( tmppos.x+size.x > x+cx-span && tmppos.x+size.x < x+cx+span ) )
		{
			pos.y = y-size.y;
			internalY = true;
			tmpdocky = 1;
		}
		else if ( tmppos.x > x && tmppos.x < x+cx 
				&& tmppos.x+size.x > x && tmppos.x+size.x < x+cx )
		{
			pos.y = y-size.y;
			internalY = true;
			tmpdocky = 1;
		}
	}
	else if ( !skipY && tmppos.y+size.y > y+cy-span && tmppos.y+size.y < y+cy+span )
	{
		if ( ( tmppos.x > x-span && tmppos.x < x+span ) 
			|| ( tmppos.x+size.x > x-span && tmppos.x+size.x < x+span ) 
			|| ( tmppos.x > x+cx-span && tmppos.x < x+cx+span ) 
			|| ( tmppos.x+size.x > x+cx-span && tmppos.x+size.x < x+cx+span ) )
		{
			pos.y = y+cy-size.y;
			internalY = true;
			tmpdocky = 3;
		}
		else if ( tmppos.x > x && tmppos.x < x+cx 
				&& tmppos.x+size.x > x && tmppos.x+size.x < x+cx )
		{
			pos.y = y+cy-size.y;
			internalY = true;
			tmpdocky = 3;
		}
	}

	if (!internalX && !internalY)
	{
		return 0;
	}
	else if (internalX && !internalY)
	{
		dockedtoSide = tmpdockx;
		return 1;
	}
	else if (!internalX && internalY)
	{
		dockedtoSide = tmpdocky;
		return 2;
	}
	else
	{
		if ( tmpdockx == 0 && tmpdocky == 1 )
			dockedtoSide = 4;
		else if ( tmpdockx == 2 && tmpdocky == 1 )
			dockedtoSide = 5;
		else if ( tmpdockx == 0 && tmpdocky == 3 )
			dockedtoSide = 6;
		else if ( tmpdockx == 2 && tmpdocky == 3 )
			dockedtoSide = 7;
		return 3;
	}
}

void Label::ontemplateButtonDown(int x, int y, int actualMouseClick, Label_RegionList &labelClickRegions, string clickDownCommand)
{
	bool skipClick = false;

	//Stop Animation Timer (Normal & Hover)
	KillTimer(hWnd, TIMER_FRAMEANIMATION);

	if ( bMoveable && iMoveButton == actualMouseClick )
	{
		if ( !bMousePressed && !bMoveModifierKeyPressed )
			bMousePressed = true;
		else if ( !bMousePressed && bMoveModifierKeyPressed )
		{
			bMousePressed = true;
			iMoveButtonPressed = actualMouseClick;
		
			ptSavedMovePoint.x = x;
			ptSavedMovePoint.y = y;
		}
	}
	else if ( !bMousePressed )
		bMousePressed = true;
	
	bool repaintNeeded = false;

	pressedActive = true;

	if ( pressedfont )
	{
		//AutoSize due to possible Font change
		if ( !text.empty() && (autoWidthMode != 0 || autoHeightMode != 0) )
			AutoSize();
	}

	if ( usePressed )
		repaintNeeded = true;
		
	//Last TRUE specifies Check for Clicks in GhostLabel
	if ( !ghostlabelList.empty() )
	{
		if ( checkClickRegions(x, y, labelClickRegions, -1) )
		{
			repaintNeeded = true;
			skipClick = true;
		}
	}

	//Repaint due to possible FontChange
	if ( !originalText.empty() || !text.empty() )
		repaint(repaintNeeded);
	else if ( usePressed )
		repaint(true);
	
	SetCapture(hWnd);

	if ( !skipClick )
	{
		if ( actualMouseClick == 1 )
			skipClick = CheckModClick(leftModClickDownList);
		else if ( actualMouseClick == 2 )
			skipClick = CheckModClick(rightModClickDownList);
		else if ( actualMouseClick == 3 )
			skipClick = CheckModClick(middleModClickDownList);
		else if ( actualMouseClick == 4 )
			skipClick = CheckModClick(X1ModClickDownList);
		else if ( actualMouseClick == 5 )
			skipClick = CheckModClick(X2ModClickDownList);
		
		if( !skipClick && !clickDownCommand.empty() )
			xLSExecute(hWnd, clickDownCommand.c_str(), SW_SHOWNORMAL);
	}
}

void Label::ontemplateButtonUp(int x, int y, int actualMouseClick, Label_RegionList &labelClickRegions, string clickCommand, string clickUpCommand)
{
	bool repaintNeeded = false;
	bool skipClick = false;

	if ( bMoveable && iMoveButton == actualMouseClick )
	{	
		//To be on the save side
		ReleaseCapture();

		if ( bMousePressed )
		{
			SendMessage(hWnd, LM_SETCURSOR, 0, 0);
		
			if ( actualMouseClick == 1 )
				skipClick = checkHREFClickRegions(x, y, listLabelHREFClickRegions);

			if ( !skipClick )
				skipClick = checkClickRegions(x, y, labelClickRegions, 1);

			bMousePressed = false;
			iMoveButtonPressed = 0;

			//Docking
			if ( bHasMoved )
			{
				for(StringListIterator sit = snapToList.begin(); sit != snapToList.end(); sit++)
					ParseBangCommand(hWnd, "!labeldock", (*sit).c_str());
		
				snapToList.clear();
			}

			if ( bHasMoved && bLabelInitialized && !moveCommand.empty() )
				xLSExecute(hWnd, moveCommand.c_str(), SW_SHOWNORMAL);

			bHasMoved = false;
		}
	}
	else 
	{
		//To be on the save side
		ReleaseCapture();

		if( bMousePressed )
		{	
			if ( actualMouseClick == 1 )
				skipClick = checkHREFClickRegions(x, y, listLabelHREFClickRegions);
			
			if ( !skipClick )
				skipClick = checkClickRegions(x, y, labelClickRegions, 1);
			
			bMousePressed = false;
			iMoveButtonPressed = 0;
		}
	}

	hoverActive = true;
	pressedActive = false;

	if ( pressedfont )
	{
		//AutoSize due to possible Font change
		if ( !text.empty() && (autoWidthMode != 0 || autoHeightMode != 0) )
			AutoSize();
	}

	if ( usePressed )
		repaintNeeded = true;
	
	if ( skipClick && !ghostlabelList.empty() )
	{
		repaintNeeded = true;
	}

	//Animation RESTART
	//Restart Hover Anim
	if ( useHover && hoverAnim )
	{
		iFrameCounter = 1;
		iHoverLoopCounter = 0;

		SetTimer(hWnd, TIMER_FRAMEANIMATION, hoverimageFrameDelay, NULL);
	}
	//Restart Normal Anim
	else if ( normalAnim )
	{
		if ( iLoopCounter < imageLoop || imageLoop == -1 )
		{
			iFrameCounter = 1;
			//iLoopCounter = 0;

			SetTimer(hWnd, TIMER_FRAMEANIMATION, imageFrameDelay, NULL);
		}
	}

	//Repaint due to possible FontChange
	if ( !originalText.empty() || !text.empty() )
		repaint(repaintNeeded);
	else if ( repaintNeeded )
		repaint(true);

	if ( !skipClick )
	{
		bool tmpskipClick = false;

		if ( actualMouseClick == 1 )
		{
			tmpskipClick = CheckModClick(leftModClickList);
			skipClick = CheckModClick(leftModClickUpList);
		}
		else if ( actualMouseClick == 2 )
		{
			tmpskipClick = CheckModClick(rightModClickList);
			skipClick = CheckModClick(rightModClickUpList);
		}
		else if ( actualMouseClick == 3 )
		{
			tmpskipClick = CheckModClick(middleModClickList);
			skipClick = CheckModClick(middleModClickUpList);
		}
		else if ( actualMouseClick == 4 )
		{
			tmpskipClick = CheckModClick(X1ModClickList);
			skipClick = CheckModClick(X1ModClickUpList);
		}
		else if ( actualMouseClick == 5 )
		{
			tmpskipClick = CheckModClick(X2ModClickList);
			skipClick = CheckModClick(X2ModClickUpList);
		}

		if ( !skipClick && tmpskipClick )
			skipClick = true;
	}

	if( !skipClick && !clickCommand.empty() )
	{
		if ( hWndTextBox && (_stricmp(clickCommand.c_str(), ".editbox") == NULL || _stricmp(clickCommand.c_str(), "\".editbox\"") == NULL) )
		{
			ShowWindow(hWndTextBox, SW_SHOW);
			textboxVisible = true;
			SetForegroundWindow(hWndTextBox);
			SetFocus(hWndTextBox);
		}
		else
		{
			xLSExecute(hWnd, clickCommand.c_str(), SW_SHOWNORMAL);
		}
	}

	if( !skipClick && !clickUpCommand.empty() )
		xLSExecute(hWnd, clickUpCommand.c_str(), SW_SHOWNORMAL);
}

void Label::enterActionProcessing(string input)
{
	HINSTANCE result = HINSTANCE(32);

	if ( !input.empty() )
	{
		if ( _stricmp(enterAction.c_str(), ".execute") == NULL || _stricmp(enterAction.c_str(), "\".execute\"") == NULL )
		{
			result = xLSExecute(hWnd, input.c_str(), SW_SHOWNORMAL);
		}
		else if ( _stricmp(enterAction.c_str(), ".settext") == NULL || _stricmp(enterAction.c_str(), "\".settext\"") == NULL )
		{
			SendMessage(hWnd, LM_SETLABELTEXT, 0, (LONG) input.c_str());
			result = HINSTANCE(33);
		}
		else
		{
			CString worker = enterAction.c_str();
			worker.Replace("%[textinput]%", input.c_str());
			result = xLSExecute(hWnd, worker, SW_SHOWNORMAL);
		}

		PrefixedLSSetVariable(strName, "CurrentTextEditBoxText", input);
	}

	if ( (int) result > 32 )
	{
		if ( !successCommand.empty() )
			xLSExecute(hWnd, successCommand.c_str(), SW_SHOWNORMAL);
	}
	else
	{
		if ( !failCommand.empty() )
		{	
			CString worker = failCommand.c_str();
			worker.Replace("%[textinput]%", input.c_str());
			xLSExecute(hWnd, worker, SW_SHOWNORMAL);
		}
	}
}


//------------------------------------------------------------
//Initialize and Update AlphaTransparency
//------------------------------------------------------------

void Label::UpdateWindowTransparency(int newAlphaTransparency)
{
	//Initialize LayeredWindow Function
	if (!alphaInitialized)
	{
		HMODULE hDLL = LoadLibrary ("user32");

		pUpdateLayeredWindow = 
					(PULW) GetProcAddress(hDLL, "UpdateLayeredWindow");

		pSetLayeredWindowAttributes = 
					(PSLWA) GetProcAddress(hDLL, "SetLayeredWindowAttributes");

		//Alpha Transparency Features Not Allowed
		if ( pUpdateLayeredWindow == NULL || pSetLayeredWindowAttributes == NULL )
		{
			alphaFadeTransparencyBackup = 255;
			alphaTransparency = 255;
			alphaMap = false;
			fakealphaMap = false;
			alphaFade = false;

			ModifyStyleEx(hWnd, WS_EX_LAYERED, 0 );

			bLayeredFlag = false;

			return;
		}

		alphaInitialized = true;
	}

	if ( (alphaMap || fakealphaMap) && !hasHookedModules )
	{
		if ( backupBitmap )
		{
			backupBitmap = (HBITMAP) SelectObject(backupDC, oldbackupBMP);
			DeleteObject(backupBitmap);
		}
		if ( backupDC )
			DeleteDC(backupDC);
		if ( oldbackupBMP )
			DeleteObject(oldbackupBMP);

		backupDC = NULL;
		backupBitmap = NULL;
		oldbackupBMP = NULL;

		RECT rectPosition;
		GetWindowRect(hWnd, &rectPosition);

		int x = rectPosition.left;
		int y = rectPosition.top;
		int width = (rectPosition.right-rectPosition.left);
		int height = (rectPosition.bottom-rectPosition.top);

		rectPosition.left = 0;
		rectPosition.right = width;
		rectPosition.top = 0;
		rectPosition.bottom = height;

		if ( width <= 0 || height <= 0 )
			return;
			
		HDC backgroundDC = CreateCompatibleDC(NULL);

		BITMAPINFO alpha;
		ZeroMemory( &alpha.bmiHeader, sizeof(BITMAPINFOHEADER) );
		alpha.bmiHeader.biWidth=width;      // Set size you need
		alpha.bmiHeader.biHeight=height;    // Set size you need
		alpha.bmiHeader.biPlanes=1;
		alpha.bmiHeader.biBitCount=32;            // Can be 8, 16, 32 bpp or other number
		alpha.bmiHeader.biSizeImage=0;
		alpha.bmiHeader.biSize=sizeof(BITMAPINFOHEADER);
		alpha.bmiHeader.biClrUsed= 0;
		alpha.bmiHeader.biClrImportant= 0;
		VOID *pvBits;

		HBITMAP	backgroundBitmap = CreateDIBSection( backgroundDC,
														&alpha,
														DIB_RGB_COLORS,
														&pvBits,
														NULL,
														0 );

		HBITMAP oldBMP = (HBITMAP) SelectObject(backgroundDC, backgroundBitmap);

		if ( scrollBitmap != NULL && scrollDC != NULL )
		{
			BitBlt(backgroundDC, 0, 0, width, height, scrollDC, 0, 0, SRCCOPY);
		}
		else
		//1*********************************************************************
		{
		//1*********************************************************************

		if ( fakealphaMap && !bTrueTransparency )
		{
			// paint desktop on display DC and then into background buffer
			PaintDesktopEx(backgroundDC, 0, 0, width, height, x, y, false);
		}

		BITMAP bm;
		GetObject(backgroundBitmap, sizeof(BITMAP), &bm);

		BYTE *pPixel = (LPBYTE)bm.bmBits;

		int iSize = width * height;

		for (int j = 0; j < iSize; ++j)
		{
			if ( fakealphaMap && bTrueTransparency )
			{
				pPixel[0] = 255;
				pPixel[1] = 0;
				pPixel[2] = 255;
				pPixel[3] = 255;
			}
			else if ( fakealphaMap && !bTrueTransparency )
			{
				pPixel[3] = 255;
			}
			else
			{
				pPixel[0] = 0;
				pPixel[1] = 0;
				pPixel[2] = 0;
				pPixel[3] = 0;
			}

			pPixel+= 4;
		}

		//BG Painting
		if ( (!normalAnim && !hoverAnim) || iFrameCounter == 0 || (usePressed && pressedActive) )
		{
			if (pressedActive && usePressed && pressedbackground)
			{
				pressedbackground->apply(backgroundDC, 0, 0, width, height);
			}
			else if (hoverActive && useHover && hoverbackground)
			{
				hoverbackground->apply(backgroundDC, 0, 0, width, height);
			}
			else
			{
				normalbackground->apply(backgroundDC, 0, 0, width, height);
			}
		}
		else
		{
			if ( hoveranim && ((pressedActive && usePressed) || (hoverActive && useHover)) )
			{
				hoveranim->apply(backgroundDC, 0, 0, width, height, iFrameCounter);
			}
			else if ( normalanim )
			{
				normalanim->apply(backgroundDC, 0, 0, width, height, iFrameCounter);
			}
		}

		if ( !ghostlabelList.empty() )
		{
			for(GhostLabelListIterator glit = ghostlabelList.begin(); glit != ghostlabelList.end(); glit++)
			{
				if ( *glit != NULL )
				{
					if ( (*glit)->bVisible )
					{
						if ( (*glit)->pPressedTexture && (*glit)->bPressed && ((pressedActive && usePressed && !(*glit)->bStandalone) || ((*glit)->bIsPressed && (*glit)->bStandalone)) )
							(*glit)->pPressedTexture->apply(backgroundDC, (*glit)->iX, (*glit)->iY, (*glit)->iWidth, (*glit)->iHeight);
						else if ( (*glit)->pHoverTexture && (*glit)->bHover && ((hoverActive && useHover && !(*glit)->bStandalone) || ((*glit)->bIsHover && (*glit)->bStandalone)) )
							(*glit)->pHoverTexture->apply(backgroundDC, (*glit)->iX, (*glit)->iY, (*glit)->iWidth, (*glit)->iHeight);
						else if ( (*glit)->pNormalTexture && (*glit)->bNormal ) 
							(*glit)->pNormalTexture->apply(backgroundDC, (*glit)->iX, (*glit)->iY, (*glit)->iWidth, (*glit)->iHeight);
					}
				}
				else
				{ 
					break;
				}
			}
		}

		//Create ScrollBitmap, if it doesn't exist!
		//**********************************************************************
		if ( iScroll != 0 && scrollBitmap == NULL && scrollDC == NULL )
		{
			scrollDC = CreateCompatibleDC(NULL);

			BITMAPINFO alpha;
			ZeroMemory( &alpha.bmiHeader, sizeof(BITMAPINFOHEADER) );
			alpha.bmiHeader.biWidth=width;      // Set size you need
			alpha.bmiHeader.biHeight=height;    // Set size you need
			alpha.bmiHeader.biPlanes=1;
			alpha.bmiHeader.biBitCount=32;      // Can be 8, 16, 32 bpp or other number
			alpha.bmiHeader.biSizeImage=0;
			alpha.bmiHeader.biSize=sizeof(BITMAPINFOHEADER);
			alpha.bmiHeader.biClrUsed= 0;
			alpha.bmiHeader.biClrImportant= 0;
			VOID *pvBits;

			scrollBitmap = CreateDIBSection( scrollDC,
												&alpha,
												DIB_RGB_COLORS,
												&pvBits,
												NULL,
												0 );

			oldscrollBMP = (HBITMAP) SelectObject(scrollDC, scrollBitmap);

			BitBlt(scrollDC, 0, 0, width, height, backgroundDC, 0, 0, SRCCOPY);
		}
		//**********************************************************************

		//1*********************************************************************
		}
		//1*********************************************************************

		//Text Painting Function		
		if ( !text.empty() )
			TextPaint(backgroundDC, width, height);

		if ( !ghostlabelList.empty() )
		{
			for(GhostLabelListIterator glit = ghostlabelList.begin(); glit != ghostlabelList.end(); glit++)
			{
				if ( *glit != NULL )
				{
					if ( (*glit)->bVisible )
					{
						if ( !(*glit)->strOriginalText.empty() )
						{	
							int glleft;
							int glright;
							int gltop;
							int glbottom;

							if ( (*glit)->pPressedText && (*glit)->bPressed && ((pressedActive && usePressed && !(*glit)->bStandalone) || ((*glit)->bIsPressed && (*glit)->bStandalone)) )
							{
								RECT Borders = (*glit)->pPressedText->getBorders();

								glleft = (*glit)->iX+Borders.left;
								glright = (*glit)->iX+(*glit)->iWidth-Borders.right;
								gltop = (*glit)->iY+Borders.top;
								glbottom = (*glit)->iY+(*glit)->iHeight-Borders.bottom;

								//Create Region in which text drawing is allowed
								HRGN allowedArea = CreateRectRgn( glleft, gltop, glright, glbottom );
								SelectClipRgn(backgroundDC, allowedArea);
								DeleteObject(allowedArea);
						
								(*glit)->pPressedText->apply(backgroundDC,
																(*glit)->iX,
																(*glit)->iY,
																(*glit)->iWidth,
																(*glit)->iHeight,
																(*glit)->strText.c_str());

								//Reset Region in which text drawing is allowed
								SelectClipRgn(backgroundDC, NULL);
							}
							else if ( (*glit)->pHoverText && (*glit)->bHover && ((hoverActive && useHover && !(*glit)->bStandalone) || ((*glit)->bIsHover && (*glit)->bStandalone)) )
							{
								RECT Borders = (*glit)->pHoverText->getBorders();

								glleft = (*glit)->iX+Borders.left;
								glright = (*glit)->iX+(*glit)->iWidth-Borders.right;
								gltop = (*glit)->iY+Borders.top;
								glbottom = (*glit)->iY+(*glit)->iHeight-Borders.bottom;

								//Create Region in which text drawing is allowed
								HRGN allowedArea = CreateRectRgn( glleft, gltop, glright, glbottom );
								SelectClipRgn(backgroundDC, allowedArea);
								DeleteObject(allowedArea);
						
								(*glit)->pHoverText->apply(backgroundDC,
																(*glit)->iX,
																(*glit)->iY,
																(*glit)->iWidth,
																(*glit)->iHeight,
																(*glit)->strText.c_str());

								//Reset Region in which text drawing is allowed
								SelectClipRgn(backgroundDC, NULL);
							}
							else if ( (*glit)->pNormalText && (*glit)->bNormal )
							{
								RECT Borders = (*glit)->pNormalText->getBorders();

								glleft = (*glit)->iX+Borders.left;
								glright = (*glit)->iX+(*glit)->iWidth-Borders.right;
								gltop = (*glit)->iY+Borders.top;
								glbottom = (*glit)->iY+(*glit)->iHeight-Borders.bottom;

								//Create Region in which text drawing is allowed
								HRGN allowedArea = CreateRectRgn( glleft, gltop, glright, glbottom );
								SelectClipRgn(backgroundDC, allowedArea);
								DeleteObject(allowedArea);
						
								(*glit)->pNormalText->apply(backgroundDC,
																(*glit)->iX,
																(*glit)->iY,
																(*glit)->iWidth,
																(*glit)->iHeight,
																(*glit)->strText.c_str());

								//Reset Region in which text drawing is allowed
								SelectClipRgn(backgroundDC, NULL);
							}
						}
					}
				}
				else
				{ 
					break;
				}
			}
		}

		//Prepare Combined Image
		BITMAP bm;
		GetObject(backgroundBitmap, sizeof(BITMAP), &bm);

		BYTE *pPixel = (LPBYTE)bm.bmBits;

		int iSize = bm.bmHeight * bm.bmWidth;

		for (int j = 0; j < iSize; ++j)
		{
			if ( pPixel[0] == 255 && pPixel[1] == 0 && pPixel[2] == 255 )
			{
				pPixel[0] = 0;
				pPixel[1] = 0;
				pPixel[2] = 0;
				pPixel[3] = 0;
			}
			else if ( fakealphaMap )
			{
				pPixel[3] = 255;
			}

			pPixel+= 4;
		}
		
		POINT ptWindowScreenPosition = {x, y};
		SIZE szWindow = {width, height};

		POINT ptSrc = {0,0};

		BLENDFUNCTION blendPixelFunction = { AC_SRC_OVER, 0, newAlphaTransparency, AC_SRC_ALPHA };

		pUpdateLayeredWindow(hWnd, NULL, &ptWindowScreenPosition, &szWindow, backgroundDC, &ptSrc, 0, &blendPixelFunction, ULW_ALPHA );

		backgroundBitmap = (HBITMAP) SelectObject(backgroundDC, oldBMP);
		DeleteDC(backgroundDC);
		DeleteObject(backgroundBitmap);
		DeleteObject(oldBMP);

		if ( bRestartScrollRepaint )
		{
			bRestartScrollRepaint = false;
			SetTimer(hWnd, TIMER_SCROLL, iScrollInterval, 0);
		}
	}
	else
	{	
		pSetLayeredWindowAttributes(hWnd, 0, newAlphaTransparency, LWA_ALPHA);
	}
}

void Label::onPaint(HDC hDC, RECT *specialRect)
{
	bool useSpecialRectPainting = false;

	if ( specialRect != NULL )
		useSpecialRectPainting = true;

	RECT rectPosition;
	GetWindowRect(hWnd, &rectPosition);

	int x = rectPosition.left;
	int y = rectPosition.top;
	int width = (rectPosition.right-rectPosition.left);
	int height = (rectPosition.bottom-rectPosition.top);

	if ( width < 0 || height < 0 )
		return;

	rectPosition.left = 0;
	rectPosition.top = 0;
	rectPosition.right = width;
	rectPosition.bottom = height;

	HDC backgroundDC = NULL;
	HBITMAP	backgroundBitmap = NULL;
	HBITMAP oldBMP = NULL;

	// Use Complete Backup for WindowsInternal Repaint (Covering Windows, ...)
	if ( !useSpecialRectPainting && backupBitmap != NULL && backupDC != NULL )
	{
		BitBlt(hDC, 0, 0, width, height, backupDC, 0, 0, SRCCOPY);
	}
	else
	//1----------------------------------------------------------------
	{
	//1----------------------------------------------------------------

		backgroundDC = CreateCompatibleDC(hDC);
		backgroundBitmap = CreateCompatibleBitmap(hDC, width, height);
		oldBMP = (HBITMAP) SelectObject(backgroundDC, backgroundBitmap);

		if ( scrollBitmap != NULL && scrollDC != NULL )
		{
			BitBlt(backgroundDC, 0, 0, width, height, scrollDC, 0, 0, SRCCOPY);
		}
		else
		//1*********************************************************************
		{
		//1*********************************************************************

		//True Transparency
		if (bTrueTransparency)
		{
			::SetBkColor(backgroundDC, RGB(255, 0, 255));
			::ExtTextOut(backgroundDC, 0, 0, ETO_OPAQUE, &rectPosition, NULL, 0, NULL);
		}
		//PrePaint Background (Fake Transparency)
		else
		{
			// paint desktop on display DC and then into background buffer
			PaintDesktopEx(backgroundDC, 0, 0, width, height, x, y, FALSE);
		}
					
		//Normal Background Painting if no Animation
		if ( (!normalAnim && !hoverAnim) || iFrameCounter == 0 || (usePressed && pressedActive) )
		{
			if (pressedActive && usePressed && pressedbackground)
			{
				pressedbackground->apply(backgroundDC, 0, 0, width, height);
			}
			else if (hoverActive && useHover && hoverbackground)
			{
				hoverbackground->apply(backgroundDC, 0, 0, width, height);
			}
			else
			{
				normalbackground->apply(backgroundDC, 0, 0, width, height);
			}
		}
		//Special Background Painting if Animation (normal or hover)
		else
		{
			if ( hoveranim && ((pressedActive && usePressed) || (hoverActive && useHover)) )
			{
				hoveranim->apply(backgroundDC, 0, 0, width, height, iFrameCounter);
			}
			else if ( normalanim )
			{
				normalanim->apply(backgroundDC, 0, 0, width, height, iFrameCounter);
			}
		}

		if ( !ghostlabelList.empty() )
		{
			for(GhostLabelListIterator glit = ghostlabelList.begin(); glit != ghostlabelList.end(); glit++)
			{
				if ( *glit != NULL )
				{
					if ( (*glit)->bVisible )
					{
						if ( (*glit)->pPressedTexture && (*glit)->bPressed && ((pressedActive && usePressed && !(*glit)->bStandalone) || ((*glit)->bIsPressed && (*glit)->bStandalone)) )
							(*glit)->pPressedTexture->apply(backgroundDC, (*glit)->iX, (*glit)->iY, (*glit)->iWidth, (*glit)->iHeight);
						else if ( (*glit)->pHoverTexture && (*glit)->bHover && ((hoverActive && useHover && !(*glit)->bStandalone) || ((*glit)->bIsHover && (*glit)->bStandalone))  )
							(*glit)->pHoverTexture->apply(backgroundDC, (*glit)->iX, (*glit)->iY, (*glit)->iWidth, (*glit)->iHeight);
						else if ( (*glit)->pNormalTexture && (*glit)->bNormal ) 
							(*glit)->pNormalTexture->apply(backgroundDC, (*glit)->iX, (*glit)->iY, (*glit)->iWidth, (*glit)->iHeight);
					}
				}
				else
				{
					break;
				}
			}
		}

		//Create ScrollBitmap, if it doesn't exist!
		//**********************************************************************
		if ( iScroll != 0 && scrollBitmap == NULL && scrollDC == NULL )
		{
			scrollDC = CreateCompatibleDC(hDC);
			scrollBitmap = CreateCompatibleBitmap(hDC, width, height);
			oldscrollBMP = (HBITMAP) SelectObject(scrollDC, scrollBitmap);

			BitBlt(scrollDC, 0, 0, width, height, backgroundDC, 0, 0, SRCCOPY);
		}
		//**********************************************************************

		//1*********************************************************************
		}
		//1*********************************************************************

		//Only needed with Text
		if ( !text.empty() && !useSpecialRectPainting )
			TextPaint(backgroundDC, width, height);

		if ( !ghostlabelList.empty() && !useSpecialRectPainting )
		{
			for(GhostLabelListIterator glit = ghostlabelList.begin(); glit != ghostlabelList.end(); glit++)
			{
				if ( *glit != NULL )
				{
					if ( (*glit)->bVisible )
					{
						if ( !(*glit)->strOriginalText.empty() )
						{	
							int glleft;
							int glright;
							int gltop;
							int glbottom;

							if ( (*glit)->pPressedText && (*glit)->bPressed && ((pressedActive && usePressed && !(*glit)->bStandalone) || ((*glit)->bIsPressed && (*glit)->bStandalone)) )
							{
								RECT Borders = (*glit)->pPressedText->getBorders();

								glleft = (*glit)->iX+Borders.left;
								glright = (*glit)->iX+(*glit)->iWidth-Borders.right;
								gltop = (*glit)->iY+Borders.top;
								glbottom = (*glit)->iY+(*glit)->iHeight-Borders.bottom;

								//Create Region in which text drawing is allowed
								HRGN allowedArea = CreateRectRgn( glleft, gltop, glright, glbottom );
								SelectClipRgn(backgroundDC, allowedArea);
								DeleteObject(allowedArea);
						
								(*glit)->pPressedText->apply(backgroundDC,
																(*glit)->iX,
																(*glit)->iY,
																(*glit)->iWidth,
																(*glit)->iHeight,
																(*glit)->strText.c_str());

								//Reset Region in which text drawing is allowed
								SelectClipRgn(backgroundDC, NULL);
							}
							else if ( (*glit)->pHoverText && (*glit)->bHover && ((hoverActive && useHover && !(*glit)->bStandalone) || ((*glit)->bIsHover && (*glit)->bStandalone)) )
							{
								RECT Borders = (*glit)->pHoverText->getBorders();

								glleft = (*glit)->iX+Borders.left;
								glright = (*glit)->iX+(*glit)->iWidth-Borders.right;
								gltop = (*glit)->iY+Borders.top;
								glbottom = (*glit)->iY+(*glit)->iHeight-Borders.bottom;

								//Create Region in which text drawing is allowed
								HRGN allowedArea = CreateRectRgn( glleft, gltop, glright, glbottom );
								SelectClipRgn(backgroundDC, allowedArea);
								DeleteObject(allowedArea);
						
								(*glit)->pHoverText->apply(backgroundDC,
																(*glit)->iX,
																(*glit)->iY,
																(*glit)->iWidth,
																(*glit)->iHeight,
																(*glit)->strText.c_str());

								//Reset Region in which text drawing is allowed
								SelectClipRgn(backgroundDC, NULL);
							}
							else if ( (*glit)->pNormalText && (*glit)->bNormal )
							{
								RECT Borders = (*glit)->pNormalText->getBorders();

								glleft = (*glit)->iX+Borders.left;
								glright = (*glit)->iX+(*glit)->iWidth-Borders.right;
								gltop = (*glit)->iY+Borders.top;
								glbottom = (*glit)->iY+(*glit)->iHeight-Borders.bottom;

								//Create Region in which text drawing is allowed
								HRGN allowedArea = CreateRectRgn( glleft, gltop, glright, glbottom );
								SelectClipRgn(backgroundDC, allowedArea);
								DeleteObject(allowedArea);
						
								(*glit)->pNormalText->apply(backgroundDC,
																(*glit)->iX,
																(*glit)->iY,
																(*glit)->iWidth,
																(*glit)->iHeight,
																(*glit)->strText.c_str());

								//Reset Region in which text drawing is allowed
								SelectClipRgn(backgroundDC, NULL);
							}
						}
					}
				}
				else
				{
					break;
				}
			}
		}

		//TextEditBox BG
		//----------------------------------------------------------------------------
		if ( hWndTextBox && textboxVisible )
		{
			if ( texteditboxbackground )
				texteditboxbackground->apply(backgroundDC, TextEditBoxSizeBorder.left, TextEditBoxSizeBorder.top, (TextEditBoxSizeBorder.right-TextEditBoxSizeBorder.left), (TextEditBoxSizeBorder.bottom-TextEditBoxSizeBorder.top));
		}
		//----------------------------------------------------------------------------

		// blt the composed image to the display
		if ( useSpecialRectPainting )
			BitBlt(hDC, 0, 0, (specialRect->right-specialRect->left), (specialRect->bottom-specialRect->top), backgroundDC, specialRect->left, specialRect->top, SRCCOPY);
		else
			BitBlt(hDC, 0, 0, width, height, backgroundDC, 0, 0, SRCCOPY);

		//Create BackupBitmap, if it doesn't exist!
		//----------------------------------------------------------------------
		if ( !useSpecialRectPainting && backupBitmap == NULL && backupDC == NULL )
		{
			backupDC = CreateCompatibleDC(hDC);
			backupBitmap = CreateCompatibleBitmap(hDC, width, height);
			oldbackupBMP = (HBITMAP) SelectObject(backupDC, backupBitmap);

			BitBlt(backupDC, 0, 0, width, height, backgroundDC, 0, 0, SRCCOPY);
		}
		//----------------------------------------------------------------------

	//1----------------------------------------------------------------
	}
	//1----------------------------------------------------------------

	if ( backgroundBitmap != NULL && backgroundDC != NULL )
	{
		backgroundBitmap = (HBITMAP) SelectObject(backgroundDC, oldBMP);
		DeleteDC(backgroundDC);
		DeleteObject(backgroundBitmap);
		DeleteObject(oldBMP);
	}
}

void Label::TextPaint(HDC &desthdc, int width, int height)
{
	RECT textBorder;
	RECT textFade;
	int textAlphaTransparency;
	POINT textSize;
	PaintHTMLText *painttext = NULL;

	if (pressedActive && pressedfont)
	{
		textBorder = pressedfont->getBorders();
		textFade = pressedfont->getTextFade();
		textAlphaTransparency = pressedfont->getAlphaTransparency();
		textSize = pressedfont->measure(desthdc, 0, width, text.c_str());

		painttext = pressedfont;
	}
	else if (hoverActive && hoverfont)
	{
		textBorder = hoverfont->getBorders();
		textFade = hoverfont->getTextFade();
		textAlphaTransparency = hoverfont->getAlphaTransparency();
		textSize = hoverfont->measure(desthdc, 0, width, text.c_str());

		painttext = hoverfont;
	}
	else
	{
		textBorder = normalfont->getBorders();
		textFade = normalfont->getTextFade();
		textAlphaTransparency = normalfont->getAlphaTransparency();
		textSize = normalfont->measure(desthdc, 0, width, text.c_str());

		painttext = normalfont;
	}
	//--------------------------------------------------------------------------------
	// start rendering text
	//--------------------------------------------------------------------------------
	int textWidth = textSize.x;
	int textHeight = textSize.y;

	//Create Region in which text drawing is allowed
	HRGN allowedArea = CreateRectRgn( textBorder.left, textBorder.top, width-textBorder.right, height-textBorder.bottom );
	SelectClipRgn(desthdc, allowedArea);
	DeleteObject(allowedArea);

	if ( ((iScroll == 1 || iScroll == 3) && textWidth > width-textBorder.left-textBorder.right) || ((iScroll == 2 || iScroll == 4) && textHeight > height-textBorder.top-textBorder.bottom) )
	{	
		if ( bSkipScrollRepaint )
		{
			bSkipScrollRepaint = false;
			iScrollPosition = 0;
		}

		if ( !bRestartScrollRepaint )
			bRestartScrollRepaint = true;

		if (iScroll == 1 || iScroll == 3)
		{
			if(iScrollPosition <= 0)
			{
				iScrollPosition = textWidth + iScrollPadLength;
								
				if (iScrollLimit)
				{
					iScrollLimit--;
					if (iScrollLimit == 0)
						setScrolling(0);
				}
			}

			if(iScrollPosition > textWidth + iScrollPadLength)
				iScrollPosition = 0;
		}
		else if (iScroll == 2 || iScroll == 4)
		{
			if(iScrollPosition <= 0)
			{
				iScrollPosition = textHeight + iScrollPadLength;
								
				if (iScrollLimit)
				{
					iScrollLimit--;
					if (iScrollLimit == 0)
						setScrolling(0);
				}
			}

			if(iScrollPosition > textHeight + iScrollPadLength )
				iScrollPosition = 0;
		}

		if ( alphaMap || textFade.left != 0 || textFade.right != 0 || textFade.top != 0 || textFade.bottom != 0 || textAlphaTransparency != 255 )
		{
			BITMAPINFO alpha;
			ZeroMemory( &alpha.bmiHeader, sizeof(BITMAPINFOHEADER) );
			alpha.bmiHeader.biWidth=width;      // Set size you need
			alpha.bmiHeader.biHeight=height;    // Set size you need
			alpha.bmiHeader.biPlanes=1;
			alpha.bmiHeader.biBitCount=32;      // Can be 8, 16, 32 bpp or other number
			alpha.bmiHeader.biSizeImage=0;
			alpha.bmiHeader.biSize=sizeof(BITMAPINFOHEADER);
			alpha.bmiHeader.biClrUsed= 0;
			alpha.bmiHeader.biClrImportant= 0;
			VOID *pvBits;

			HDC darkDC = CreateCompatibleDC(NULL);

			HBITMAP darkBitmap = CreateDIBSection( darkDC,
														&alpha,
														DIB_RGB_COLORS,
														&pvBits,
														NULL,
														0 );

			HBITMAP olddarkBitmap = (HBITMAP) SelectObject(darkDC, darkBitmap);

			HDC lightDC = CreateCompatibleDC(NULL);

			HBITMAP lightBitmap = CreateDIBSection( lightDC,
														&alpha,
														DIB_RGB_COLORS,
														&pvBits,
														NULL,
														0 );

			HBITMAP oldlightBitmap = (HBITMAP) SelectObject(lightDC, lightBitmap);

			//Create Region in which text drawing is allowed
			HRGN allowedArea = CreateRectRgn( textBorder.left, textBorder.top, width-textBorder.right, height-textBorder.bottom );
			SelectClipRgn(darkDC, allowedArea);
			SelectClipRgn(lightDC, allowedArea);
			DeleteObject(allowedArea);

			BITMAP bm_dark;
			GetObject(darkBitmap, sizeof(BITMAP), &bm_dark);

			BYTE *pPixel_dark = (LPBYTE)bm_dark.bmBits;

			int iSize = width * height;

			for (int j = 0; j < iSize; ++j)
			{
				pPixel_dark[0] = 0;
				pPixel_dark[1] = 0;
				pPixel_dark[2] = 0;
				pPixel_dark[3] = 255;

				pPixel_dark+= 4;
			}

			BITMAP bm_light;
			GetObject(lightBitmap, sizeof(BITMAP), &bm_light);

			BYTE *pPixel_light = (LPBYTE)bm_light.bmBits;

			for (j = 0; j < iSize; ++j)
			{
				pPixel_light[0] = 255;
				pPixel_light[1] = 255;
				pPixel_light[2] = 255;
				pPixel_light[3] = 255;

				pPixel_light+= 4;
			}
					
			if (iScroll == 1 || iScroll == 3)
			{
				char szValue[MAX_LINE_LENGTH] = { 0 };

				painttext->apply(darkDC,
									iScrollPosition,
									0,
									width + iScrollPosition - iScrollPadLength,
									height,
									text.c_str(),
									szValue,
									0,
									-1,
									TRUE,
									TRUE/*disableExtras*/);

				if ( _stricmp(szValue, "") != NULL )
					listLabelHREFClickRegions = split(szValue, "@?@");

				painttext->apply(darkDC,
									iScrollPosition - iScrollPadLength - textWidth,
									0,
									width + iScrollPosition + textWidth,
									height,
									text.c_str(),
									szValue,
									0,
									-1,
									TRUE,
									TRUE/*disableExtras*/);

				if ( _stricmp(szValue, "") != NULL )
				{
					vector<string> tmplistLabelHREFClickRegions = split(szValue, "@?@");

					for(vector<string>::iterator sit = tmplistLabelHREFClickRegions.begin(); sit != tmplistLabelHREFClickRegions.end(); sit++)
						listLabelHREFClickRegions.insert(listLabelHREFClickRegions.end(), (*sit));
				}

				painttext->apply(lightDC,
									iScrollPosition,
									0,
									width + iScrollPosition - iScrollPadLength,
									height,
									text.c_str(),
									NULL,
									0,
									-1,
									TRUE,
									TRUE/*disableExtras*/);

				painttext->apply(lightDC,
									iScrollPosition - iScrollPadLength - textWidth,
									0,
									width + iScrollPosition + textWidth,
									height,
									text.c_str(),
									NULL,
									0,
									-1,
									TRUE,
									TRUE/*disableExtras*/);
			}
			else if (iScroll == 2 || iScroll == 4)
			{
				char szValue[MAX_LINE_LENGTH] = { 0 };

				painttext->apply(darkDC,
									0,
									iScrollPosition,
									width,
									textHeight,
									text.c_str(),
									szValue,
									-1,
									2,
									TRUE,
									TRUE/*disableExtras*/);

				if ( _stricmp(szValue, "") != NULL )
					listLabelHREFClickRegions = split(szValue, "@?@");

				painttext->apply(darkDC,
									0,
									iScrollPosition - textHeight - iScrollPadLength,
									width,
									textHeight,
									text.c_str(),
									szValue,
									-1,
									2,
									TRUE,
									TRUE/*disableExtras*/);

				if ( _stricmp(szValue, "") != NULL )
				{
					vector<string> tmplistLabelHREFClickRegions = split(szValue, "@?@");

					for(vector<string>::iterator sit = tmplistLabelHREFClickRegions.begin(); sit != tmplistLabelHREFClickRegions.end(); sit++)
						listLabelHREFClickRegions.insert(listLabelHREFClickRegions.end(), (*sit));
				}

				painttext->apply(lightDC,
									0,
									iScrollPosition,
									width,
									textHeight,
									text.c_str(),
									NULL,
									-1,
									2,
									TRUE,
									TRUE/*disableExtras*/);

				painttext->apply(lightDC,
									0,
									iScrollPosition - textHeight - iScrollPadLength,
									width,
									textHeight,
									text.c_str(),
									NULL,
									-1,
									2,
									TRUE,
									TRUE/*disableExtras*/);
			}

			GetObject(darkBitmap, sizeof(BITMAP), &bm_dark);
			pPixel_dark = (LPBYTE)bm_dark.bmBits;

			GetObject(lightBitmap, sizeof(BITMAP), &bm_light);
			pPixel_light = (LPBYTE)bm_light.bmBits;

			int tmpx = 0;
			int tmpy = 0;
			int xval = 255;
			int yval = 255;

			int iLeftFade = (textFade.left != 0 ? 255/textFade.left : 0);
			int iRightFade = (textFade.right != 0 ? 255/textFade.right : 0);
			int iTopFade = (textFade.top != 0 ? 255/textFade.top : 0);
			int iBottomFade = (textFade.bottom != 0 ? 255/textFade.bottom : 0);

			for (j = 0; j < iSize; ++j)
			{
				if (pPixel_dark[3] == 0)
				{
					xval = 255;
					yval = 255;

					if ( textFade.left != 0 || textFade.right != 0 || textFade.top != 0 || textFade.bottom != 0 )
					{
						tmpx = (j+1)%width;
						tmpy = j/width;

						if ( tmpx == 0 )
							tmpx = width-1;

						if ( textFade.left != 0 && tmpx > textBorder.left && tmpx <= textBorder.left+textFade.left )
							xval = iLeftFade*(tmpx-textBorder.left);
						else if ( textFade.right != 0 && tmpx > width-textBorder.right-textFade.right && tmpx <= width-textBorder.right )
							xval = iRightFade*(width-textBorder.right-tmpx);
							
						//Order is reverted Top<->Bottom
						if ( textFade.bottom != 0 && tmpy > textBorder.bottom && tmpy < textBorder.bottom+textFade.bottom )
							yval = iBottomFade*(tmpy-textBorder.bottom);
						else if ( textFade.top != 0 && tmpy >= height-textBorder.top-textFade.top && tmpy < height-textBorder.top )
							yval = iTopFade*(height-textBorder.top-tmpy);
						
						if ( xval == 255 )
							pPixel_dark[3] = yval;
						else if ( yval == 255 )
							pPixel_dark[3] = xval;
						else
							pPixel_dark[3] = (xval*yval)/255;

						pPixel_dark[3] = pPixel_dark[3] - ((pPixel_light[0] - pPixel_dark[0]) * pPixel_dark[3] / 255);
					}
					else
					{
						if (pPixel_dark[0] == pPixel_light[0] && pPixel_dark[1] == pPixel_light[1] && pPixel_dark[2] == pPixel_light[2])
							pPixel_dark[3] = 255;
						else if (pPixel_dark[0] == 0 && pPixel_dark[1] == 0 && pPixel_dark[2] == 0 && pPixel_light[0] == 255 && pPixel_light[1] == 255 && pPixel_light[2] == 255 )
							pPixel_dark[3] = 0;
						else
							pPixel_dark[3] = 255 - (pPixel_light[0] - pPixel_dark[0]);
					}

					//PreMultiply
					pPixel_dark[0] = pPixel_dark[0] * pPixel_dark[3] / 255;
					pPixel_dark[1] = pPixel_dark[1] * pPixel_dark[3] / 255;
					pPixel_dark[2] = pPixel_dark[2] * pPixel_dark[3] / 255;
				}
				else
				{
					pPixel_dark[0] = 0;
					pPixel_dark[1] = 0;
					pPixel_dark[2] = 0;
					pPixel_dark[3] = 0;
				}
							
				pPixel_dark+= 4;	
				pPixel_light+= 4;	
			}

			BLENDFUNCTION blendFunction = { AC_SRC_OVER, 0, textAlphaTransparency, AC_SRC_ALPHA };

			AlphaBlend(desthdc, 0, 0, width, height, darkDC, 0, 0, width, height, blendFunction);

			darkBitmap = (HBITMAP) SelectObject(darkDC, olddarkBitmap);
			DeleteDC(darkDC);	
			DeleteObject(darkBitmap);
			DeleteObject(olddarkBitmap);

			lightBitmap = (HBITMAP) SelectObject(lightDC, oldlightBitmap);
			DeleteDC(lightDC);
			DeleteObject(lightBitmap);
			DeleteObject(oldlightBitmap);
		}
		else
		{
			if (iScroll == 1 || iScroll == 3)
			{
				char szValue[MAX_LINE_LENGTH] = { 0 };

				painttext->apply(desthdc,
									iScrollPosition,
									0,
									width + iScrollPosition - iScrollPadLength,
									height,
									text.c_str(),
									szValue,
									0,
									-1,
									TRUE,
									TRUE/*disableExtras*/);

				if ( _stricmp(szValue, "") != NULL )
					listLabelHREFClickRegions = split(szValue, "@?@");

				painttext->apply(desthdc,
									iScrollPosition - iScrollPadLength - textWidth,
									0,
									width + iScrollPosition + textWidth,
									height,
									text.c_str(),
									szValue,
									0,
									-1,
									TRUE,
									TRUE/*disableExtras*/);

				if ( _stricmp(szValue, "") != NULL )
				{
					vector<string> tmplistLabelHREFClickRegions = split(szValue, "@?@");

					for(vector<string>::iterator sit = tmplistLabelHREFClickRegions.begin(); sit != tmplistLabelHREFClickRegions.end(); sit++)
						listLabelHREFClickRegions.insert(listLabelHREFClickRegions.end(), (*sit));
				}
			}
			else if (iScroll == 2 || iScroll == 4)
			{
				char szValue[MAX_LINE_LENGTH] = { 0 };

				painttext->apply(desthdc,
									0,
									iScrollPosition,
									width,
									textHeight,
									text.c_str(),
									szValue,
									-1,
									2,
									TRUE,
									TRUE/*disableExtras*/);

				if ( _stricmp(szValue, "") != NULL )
					listLabelHREFClickRegions = split(szValue, "@?@");
		
				painttext->apply(desthdc,
									0,
									iScrollPosition - textHeight - iScrollPadLength,
									width,
									textHeight,
									text.c_str(),
									szValue,
									-1,
									2,
									TRUE,
									TRUE/*disableExtras*/);

				if ( _stricmp(szValue, "") != NULL )
				{
					vector<string> tmplistLabelHREFClickRegions = split(szValue, "@?@");

					for(vector<string>::iterator sit = tmplistLabelHREFClickRegions.begin(); sit != tmplistLabelHREFClickRegions.end(); sit++)
						listLabelHREFClickRegions.insert(listLabelHREFClickRegions.end(), (*sit));
				}
			}
		}
	}
	else
	{
		if ( !bSkipScrollRepaint )
			bSkipScrollRepaint = true;

		char szValue[MAX_LINE_LENGTH] = { 0 };

		painttext->apply(desthdc, 
							0, 
							0, 
							width, 
							height,
							text.c_str(), 
							szValue);

		if ( _stricmp(szValue, "") != NULL )
			listLabelHREFClickRegions = split(szValue, "@?@");
	}

	//Reset Region in which text drawing is allowed
	SelectClipRgn(desthdc, NULL);
	//--------------------------------------------------------------------------------
	// stop rendering text
	//--------------------------------------------------------------------------------
}
